commit 164078c71f0a02ffc3d2911ecfdf8ee94d016bef
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 19 13:54:46 2017 -0500

    use the same appstream-util everywhere

M	data/Makefile.am

commit 8e0d05d24ae6b8c58e86bfca7284d036b71a7b91
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 13:46:57 2017 -0500

    Fix up ingredients tests to pass

    This was broken when I removed the old parser.

M	tests/ingredients-data/valid-1.expected
M	tests/ingredients-data/valid-1.in
M	tests/ingredients-data/valid-2.expected
M	tests/ingredients-data/valid-2.in
M	tests/ingredients-data/valid-3.in
M	tests/ingredients-data/valid-4.in

commit 4b0fce951b14124e9dff2a20b48443ac6634364e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 13:46:07 2017 -0500

    Silently ignore empty lines in ingredients lists

    These just tend to happen at the end of test data files,
    and ignoring them is not causing us any harm.

M	src/gr-ingredients-list.c

commit d0041a2d62e3dc56c39fa37df7c3e735f066d7ac
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 13:19:18 2017 -0500

    0.14.0

M	configure.ac

commit 14015f92f1a80d65f8f7f8ca3ee8efc724242255
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 13:17:51 2017 -0500

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit c93f7ac4e554fd7b351b285324c50babd5b0f3f2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 13:07:08 2017 -0500

    Rewrite instructions when images are removed

    If we don't do this, the image references in the instructions
    get messed up.

    https://bugzilla.gnome.org/show_bug.cgi?id=778910

M	src/gr-edit-page.c

commit 8ef998b4e2dc7c7b6aa3bfe8b7c4a3a5aeb903bf
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 13:06:08 2017 -0500

    Fix a thinko

    gr_image_viewer_get_index was returning the number of images instead.

M	src/gr-image-viewer.c

commit bb92399bcf94ee76cae496b4f6c1fbcee2df4754
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 12:40:54 2017 -0500

    Add a way to preserve fields when parsing instructions

    Make it possible to not replace the temperature tags.

    This will be needed in future commits when we rewrite the
    instructions on the edit page.

M	src/gr-cooking-view.c
M	src/gr-details-page.c
M	src/gr-recipe-formatter.c
M	src/gr-recipe-formatter.h

commit 280978ccc44560403a99de91e3a5a81bb91086d4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 12:40:04 2017 -0500

    Drop an unnecessary helper function

    get_instructions used to do more, now it is just the
    same as get_text_view_text, so lets just use that.

M	src/gr-edit-page.c

commit fdad8c466b69ac7e1ab95a2faf20aac0e3648b87
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 11:50:03 2017 -0500

    Hook up the action in the contribute notification

    Offer to send an update if the user updates a contributed
    recipe.

M	src/gr-window.c
M	src/gr-window.ui

commit 854504f493d6c52ca3f5249809ef22d8e6f80c1f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 11:49:23 2017 -0500

    details page: Add a method to directly contribute a recipe

    This is just calling out to the new exporter api.

M	src/gr-details-page.c
M	src/gr-details-page.h

commit b1d93d6d6bb43b0999fb504973e894c126bc6b76
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 11:47:33 2017 -0500

    exporter: Add a method to contribute a recipe directly

    This method avoids the dialog with the list of recipes and directly
    opens the mail window.

M	src/gr-recipe-exporter.c
M	src/gr-recipe-exporter.h

commit 6019408b6754fbac66144f35fd8e687acdd4d7dc
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 11:08:10 2017 -0500

    Notify the user when they edit a contributed recipe

    Remind them to contribute and update.

M	src/gr-window.c
M	src/gr-window.h
M	src/gr-window.ui

commit fa818cf081add85bb66cf594fa6d555edbd72472
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 11:04:40 2017 -0500

    Show the edit button for writable, contributed recipes

    We can edit these!

M	src/gr-details-page.c

commit 4a4ff253ccfe915127e2d2e53418c603500edaa7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 11:04:23 2017 -0500

    fixup for storing contributed

M	src/gr-recipe-store.c

commit def136549a3de70a64249368bcbc5016e57dcb23
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 10:44:59 2017 -0500

    Set contributed property when loading recipes

    This is determined purely by where a recipe is loaded from:
    if it comes from the preinstalled data, it is contributed.

M	src/gr-recipe-store.c

commit eef542427e33f5474ceabe3a66ace742278d18f8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 10:44:05 2017 -0500

    Add a contributed property to GrRecipe

    This will detangle readonly-ness from contribution.

M	src/gr-recipe.c
M	src/gr-recipe.h

commit 9a23ff45b3bf47c103bc3cf36b7929025e0d62d3
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 10:37:28 2017 -0500

    Rename a parameter

    This more accurately reflects what it is about.

M	src/gr-recipe-store.c

commit 5602a864e8b054c26778603e5bc1ad8e591e11f0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 09:49:41 2017 -0500

    Don't make a user's contributed recipes as readonly

    We still want to edit them, so it is possible to contribute
    updates.

M	src/gr-recipe-store.c

commit 4359c600ea7697d11bd730c2a66722f0ef48b22d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 09:48:27 2017 -0500

    Make sure user id is available before loading recipes

    This will allow us to recognize recipes that should not
    be readonly, because they're the user's own.

M	src/gr-recipe-store.c

commit 85fe41f7d481228c5f4c977903d752f6eeb44413
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 09:34:23 2017 -0500

    Don't bing in preview

    We should only do this in cooking mode.

M	src/gr-cooking-view.c

commit 3c0ea29dc719aa0f0ed827bc74d74ddd3ce6b5b6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 09:30:40 2017 -0500

    Show a notification if an invisible timer expires

    Otherwise, the bing comes a bit out of the blue.

M	src/gr-cooking-view.c

commit 37908df4da17d506ed098057d8315aa03b91dc97
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 09:29:47 2017 -0500

    Add a way to show notifications on the cooking page

    This will be used for timers that expire while invisible.

M	src/gr-cooking-page.c
M	src/gr-cooking-page.h
M	src/gr-cooking-page.ui

commit 905c98221ff0e1f2d054269ae77d60ad12e5777c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 08:36:20 2017 -0500

    Don't reshuffle chefs when one changes

    Just refresh the tiles - this really only makes a difference
    in the rare case that you are among the chefs who have contributed
    recipes and are featured on the front page.

    https://bugzilla.gnome.org/show_bug.cgi?id=778902

M	src/gr-recipes-page.c

commit f0f46d097a27231a4f2530b995151d0f415d81c6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 08:35:48 2017 -0500

    chef tile: Add a setter for the chef

    This will let us refresh tiles without recreating them.

M	src/gr-chef-tile.c
M	src/gr-chef-tile.h

commit 117e9655cfd1d3846cf81eb18fe1da87973f99b2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 08:05:36 2017 -0500

    Fix a data glitch

M	data/recipes.db

commit bdf67f17c65aa0e2001a8e57c9dec5afcc6c7219
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 07:58:01 2017 -0500

    Drop angles from the recipes

    These are no longer used.

M	data/recipes.db

commit 6460f20bd62b14069886c58b32b5366f0f714692
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 07:57:11 2017 -0500

    Drop another test data recipe

M	data/recipes.db

commit d13e116537c8c4ff720346c4bb0b6f2bd41d0792
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 07:54:57 2017 -0500

    t Another contributed recipe

    Kiwi-Mandarin salsa by Bastian.

M	data/Makefile.am
A	data/images/kiwi-mandarin1.jpg
A	data/images/kiwi-mandarin2.jpg
A	data/images/kiwi-mandarin3.jpg
A	data/images/kiwi-mandarin4.jpg
A	data/images/kiwi-mandarin5.jpg
A	data/images/kiwi-mandarin6.jpg
A	data/images/kiwi-mandarin7.jpg
M	data/picks.db
M	data/recipes.db
M	data/recipes.db.h

commit 7455dc03acfa3590f8bcff21fdd972ee1d78cbf3
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 07:24:08 2017 -0500

    Cosmetic reordering

M	src/gr-window.c

commit b2635fba4b47387910a2bceeb23a349abe39bc01
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 07:22:59 2017 -0500

    Be less agressive about unsetting the recipe

    There is code in gr-window.c that expects to get the
    recipe from the edit page after calling save. These
    changes broke it, and made recipes crash when entering
    new recipes. Bad!

M	src/gr-edit-page.c

commit 53180557bbd7b233394e005584500e6b61f9768b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 19 07:21:27 2017 -0500

    Be saver against crash

    Always better to handle unexpected values without crashing.
    I just experienced this due to some other bug.

M	src/gr-edit-page.c

commit 6f915ab16d823b284a02ae66c2c8718203a827f0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 22:26:32 2017 -0500

    Add Nirbheek to credits

    For his work on meson support.

M	src/gr-about-dialog.c

commit ce434135446d81473e7612f1b9c97497e9d2de6e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 22:22:20 2017 -0500

    Always allow editing your own data

    Let users edit their own chef information, even if it
    is contributed.

M	src/gr-chef-dialog.c

commit 31074c4ce10d99d6f3b2387593e2fe9908269a30
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 20:52:35 2017 -0500

    Add OS info to system tab

    Show some information about the OS and the desktop
    in the system tab. This can be useful in bug reports.

    https://bugzilla.gnome.org/show_bug.cgi?id=778806

M	src/gr-about-dialog.c

commit 8a83a85eb081d39bec6bb9ebd2d02863ff46a376
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 21:36:07 2017 -0500

    Fix syntax for LIBGD_INIT

    The options are whitespace separated.

M	configure.ac

commit 8aeb3f97e7c7129881a02e6a4b62ae7c28e8f773
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 21:34:56 2017 -0500

    Initialize gd types explicitly

    That appears to be necessary.

M	src/main.c

commit c2243173bd83d8fa3d79a3249525dff361dcd1f0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 21:11:20 2017 -0500

    Explicitly build libgd as static library

    Shaily was having problems with linking against a shared libgd.

M	configure.ac

commit 97d5852a440696034d345f4361fe98c968c75186
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 21:00:06 2017 -0500

    Add libcanberra to the configure summary

    Just for completeness, list all optional dependencies.

M	configure.ac

commit b1b5725902d3c190b88e97225f665a40c73135ba
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:	Sat Feb 18 22:18:30 2017 +0530

    build: Rename generated files that are #included

    The extension .c implies they are valid C files but they are not since
    they are directly #include-ed to initialize a static array.

    With .c as the extension, Meson will try to build them as C sources
    instead of ignoring them like they are supposed to be.

M	po/POTFILES.in
M	src/Makefile.am
M	src/gr-ingredient.c

commit be4226e989117edea9fa700e99f5d84f87afca59
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:	Sat Feb 18 22:54:30 2017 +0530

    Don't warn about unused function if gnome-autoar is not enabled

M	src/gr-recipe-exporter.c

commit 0841f651237fd0433f5baac97ac42650202280da
Author: Nirbheek Chauhan <nirbheek@centricular.com>
Date:	Sat Feb 18 22:26:49 2017 +0530

    Don't destroy context if canberra support is disabled

M	src/gr-cooking-view.c

commit 51961fde773c77b5e6b40d894736b9beb065d574
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 20:14:35 2017 -0500

    Move the search provide ini file to data/

    Fits better there, with all the other data files we install.

M	data/Makefile.am
R100	src/org.gnome.Recipes-search-provider.ini
data/org.gnome.Recipes-search-provider.ini
M	src/Makefile.am

commit 2c740786879b6b85a75683e6e244c624ae473011
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 19:57:40 2017 -0500

    Keep images in a subdir when exporting

    This makes the export structure much more similar to what
    we want on disk.

M	src/gr-recipe-exporter.c

commit 0dff9bc4f8af5e649da155fd199ecde1cffa48aa
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 19:36:49 2017 -0500

    Remove remnants of dark text support

    This field is not used anymore, so drop the leftovers in
    the importer and exporter code.

M	src/gr-recipe-exporter.c
M	src/gr-recipe-importer.c

commit c750074c912a883929c1f1d198292fd4f8acfefa
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 19:28:43 2017 -0500

    Drop angles and rename GrRotatedImage

    There is nothing about rotation here anymore.

M	src/gr-cooking-view.c
M	src/gr-edit-page.c
M	src/gr-image-page.c
M	src/gr-image-viewer.c
M	src/gr-images.c
M	src/gr-images.h
M	src/gr-recipe-exporter.c
M	src/gr-recipe-importer.c
M	src/gr-recipe-printer.c
M	src/gr-recipe-store.c
M	src/gr-recipe-tile.c
M	src/gr-recipe.c
M	src/gr-shell-search-provider.c

commit 998bcdbfe2017ad5f9317d6af6eff19f6bccf1a5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 19:23:23 2017 -0500

    Drop all use of angles in GrRotateImage

    We don't need this anymore, since we now apply rotations
    in the file system.

M	src/gr-cooking-view.c
M	src/gr-edit-page.c
M	src/gr-image-page.c
M	src/gr-image-viewer.c
M	src/gr-recipe-exporter.c
M	src/gr-recipe-importer.c
M	src/gr-recipe-printer.c
M	src/gr-recipe-store.c
M	src/gr-shell-search-provider.c

commit 21dfc064d5cd2fdbf4d4a61373d952d553334238
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 19:12:10 2017 -0500

    Drop no longer needed rotation code

    Since we now always rotate images in the file system, we
    no longer need to write out a rotated image to the cache
    for the css.

M	src/gr-recipe-tile.c
M	src/gr-utils.c
M	src/gr-utils.h

commit b9882b77a2f4a79ed0b83d9bf8d534a42d3b37a8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 19:10:25 2017 -0500

    Also undo image rotations when the recipe isn't saved

    This simply requires us to write the rotated image out to
    a separate file, and use the same deferred removal mechanism
    we already have in place.

M	src/gr-image-viewer.c
M	src/gr-utils.c
M	src/gr-utils.h

commit f6617e22095f3fab30ebfa7efd23edb471f005ff
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 18:46:29 2017 -0500

    Fix a refcounting error

    We can't use an autoptr if we don't have our own reference.

    This was loosing a reference, causing criticals when cleaning
    up the store at exit.

M	src/gr-chef-dialog.c

commit 426b0437e74c217c9938e5ddec453f697ec24324
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 18:45:55 2017 -0500

    Do the same accounting for chef images

    We need to do the same deferred cleanup here.

M	src/gr-chef-dialog.c

commit 6fa46b94b713b5661ac64a9a00bf35fa4c27cc42
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 18:11:27 2017 -0500

    Persist the image changes when the recipe is saved or not

    We call the new image viewer api when the recipe is saved,
    or when we navigate away from the edit page without saving.

M	src/gr-edit-page.c
M	src/gr-window.c

commit 9aceffb9436df6cb1a1469532846fcb1350839cd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 18:10:13 2017 -0500

    Delay filesystem removal until data is saved

    This complication arises because we may have changes made
    to the images, only to not have the recipe saved later.
    In this case, we need to avoid removing the old images,
    and undo the imports.

M	src/gr-image-viewer.c
M	src/gr-image-viewer.h

commit 88d07e7580b754c0007e22d9011b80a65a910766
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 17:36:19 2017 -0500

    Remove images in the file system

    But only if they are actually stored in our import location.
    We don't want to accidentally remove some user data here.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui
M	src/gr-image-viewer.c
M	src/gr-utils.c
M	src/gr-utils.h

commit 894542f4541d1f0ca0cb2f6c142a56ead31253ac
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 17:07:27 2017 -0500

    Apply image rotation on disk

    This is not as elegant, but makes for a simpler data model,
    and will help with other things.

M	src/gr-image-viewer.c
M	src/gr-utils.c
M	src/gr-utils.h

commit 101593aa0ade632ce52082fe721f54bb49b3eb94
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 16:39:49 2017 -0500

    Save clipboard contents in the same directory

M	src/gr-image-viewer.c

commit c84a13bc292ab3abcad435f48440b068e134df3c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 16:28:26 2017 -0500

    Import chef images as well

M	src/gr-chef-dialog.c

commit f8e6458855167f502bccd548a1a20bacbee12dbb
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 16:22:07 2017 -0500

    Move the image_import function to utils

    We will reuse it for chef images as well.

M	src/gr-image-viewer.c
M	src/gr-utils.c
M	src/gr-utils.h

commit d59ff4db4b279a191ebd36e57daf6f8dd67e7f6a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 16:19:15 2017 -0500

    Import images

    When an image is added to a recipe, copy it to
    $XDG_DATA_HOME/gnome-recipes/images, applying any
    embedded orientation.

M	src/gr-image-viewer.c

commit 2d552e4207de91b4fa5e12a40c21caebe5c74579
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 15:21:28 2017 -0500

    Pre-rotate the one image with non-trivial rotation

    For jpeg's one can actually do lossless rotation,
    so lets do that instead of applying a rotation at runtime.

M	data/images/chickensoup.jpg
M	data/recipes.db

commit ce8127f4cdad9dac21e13620ba6881fd0e3bde76
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 15:13:41 2017 -0500

    Remove unused support for ingredient images

    This can come back if and when we find a use for it.

M	data/Makefile.am
D	data/ingredients/Almond.png
D	data/ingredients/Amaretti.png
D	data/ingredients/Anchovis.png
D	data/ingredients/Apple.png
D	data/ingredients/Apricot.png
D	data/ingredients/Artichoke.png
D	data/ingredients/Asparagus.png
D	data/ingredients/Aubergine.png
D	data/ingredients/Bacon.png
D	data/ingredients/Bagel.png
D	data/ingredients/Banana.png
D	data/ingredients/Basil.png
D	data/ingredients/Biscotti.png
D	data/ingredients/Carrot.png
M	src/gr-ingredient.c
M	src/gr-ingredient.h

commit 0857b77cc8bd6b75661bc58792789c96d2f1b9b6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 10:20:24 2017 -0500

    Avoid a crash

    We shouldn't bring up the lightbox if we have no images to show.

M	src/gr-image-page.c
M	src/gr-window.c

commit 7e27ffc7240da83a0c584452d778273c4425136b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 10:13:03 2017 -0500

    Some updates to README.md

    Mention new dependencies, update git locations.

M	README.md

commit 9e7596986f6ff264f58861bd72bb41bad203d07a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 09:24:37 2017 -0500

    Drop some dead code

    We don't use the custom GrToggleButton class anymore.

M	src/Makefile.am
D	src/gr-toggle-button.c
D	src/gr-toggle-button.h
M	src/main.c

commit b89cded647a39ad1ff6e4c3e638d46f7d6de295b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 09:15:12 2017 -0500

    Update libgd

M	libgd

commit 171ea6666b7f466c52eb57e74117c35416ff74e0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 18 08:15:04 2017 -0500

    Fix timer widget sizing

    In the preview, the timer was getting tiny. Fix that by setting
    a reasonable size for it.

M	src/gr-cooking-view.c
M	src/gr-cooking-view.ui

commit 437bd59b2de50d75399467687bc7149c16abd895
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 22:02:15 2017 -0500

    Don't error out on unknown units

    We won't be able to convert them, but we should just keep them.

    https://bugzilla.gnome.org/show_bug.cgi?id=777517

M	src/gr-ingredients-list.c

commit e933dbd0a11e1d9b08f4b15dd2eecea152e0f104
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 21:54:38 2017 -0500

    Drop support for the old ingredient list format

    It is no longer used.

M	src/gr-ingredients-list.c

commit a1709106a4f2d80725a0604d4cd0e31ed83faccf
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 21:54:06 2017 -0500

    Uses new instruction format in test data

M	data/recipes.db

commit f608e5e99d8d08567d6523e43597ca3d85b301c0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 21:45:41 2017 -0500

    Regenerate the chef css when saving a chef

    Same idea as the previous patch.

M	src/gr-chef-dialog.c

commit 1b334af0e08abb13c65d339a4312ef59cd4d068c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 21:44:48 2017 -0500

    Regenerate recipe css when a recipe is saved

    That is the more straightforward approach: instead of trying
    to regenerate the css somewhere else, just do it whenever we
    save a recipe.

M	src/gr-edit-page.c

commit dd783955b3bc95de83ce82d8342b51de07b522e2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 21:36:19 2017 -0500

    Remove one more hardcoded "recipes" location

    We use a cache dir below XDG_CACHE_DIR to store rotated
    images. Make it use the package name as well.

M	src/gr-utils.c

commit 9941a8ae43af9b6e029db5c000ca4fcc7f550d1a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 21:30:51 2017 -0500

    Avoid some unnecessary work

    We don't need the chef to update the recipe css, so don't get it.

M	src/gr-recipe-tile.c

commit 528c7b174f7115162f9d02892de3dbfabaf3ef8d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 21:15:37 2017 -0500

    Fix one more hardcoded "recipes" directory

    Use get_user_data_dir() instead of hardcoding "recipes"
    in the image viewer.

M	src/gr-image-viewer.c

commit 1930e2dc2f4a2707f2c10bb6fac063f09b24dffd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 21:12:53 2017 -0500

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit e53efabff058ee55f298902199fd271600e56d59
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 20:41:42 2017 -0500

    Allow pulseaudio in the sandbox

    This is necessary to make timer expiry sounds work.

M	org.gnome.Recipes.flatpak.json

commit ffe0d8af920b993bae75031d5cd06e8dc09db8fc
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 20:39:57 2017 -0500

    Use #ifdef for conditionally compiled code

    This is the common way of doing it. Lets be consistent.

M	src/gr-about-dialog.c

commit b0c70e9e6db93d4622179bb7c0bc62466674feba
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 20:36:27 2017 -0500

    Play a sound when timers expire

    Bing!

M	src/gr-cooking-view.c

commit 32203cd5a7cb79145d2f0527cccc399283a7dde5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 20:38:32 2017 -0500

    Add a suitable sound for timer expiry

    This is taken from the freedesktop sound theme.

M	data/Makefile.am
A	data/sounds/complete.oga

commit edf77d6589ef5aa9a1c864cb78e4eac6f511eab7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 20:35:54 2017 -0500

    List libcanberra in the system tab

    We show all our dependencies here, so treat libcanberra the same.

M	src/gr-about-dialog.c

commit dc0d9cc7f2cd8c4e8757dbfc6c7cf1b63f3b4f1a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 20:35:08 2017 -0500

    Optionally depend on libcanberra

    We will use this to play a sound when timers expire.

M	configure.ac

commit 07f38178be0d7624210cd6be6d9782aa36514877
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 20:08:36 2017 -0500

    Fix an off-by-one in timer parsing

    We were loosing the least significant digit of the seconds field.

M	src/gr-recipe-formatter.c

commit a2be2e22b30a6531239769493e8ddcc603cc391e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 19:51:03 2017 -0500

    Remove a leftover

    The portal field in GrApp is no longer used.

M	src/gr-app.c

commit 4307680f3e596ad5cb5cd9cd8e681a508f63cd67
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 19:40:32 2017 -0500

    Drop remnants of timer notification support

    With the fullscreen cooking view, we no longer do system notifications
    for expired timers, so we don't need this action anymore.

M	src/gr-app.c

commit 416d433d2dc9552e3b8a364cb6c1b2ef1431f15f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 19:38:31 2017 -0500

    Drop the cooking counter

    We're not using this at the moment, so lets not carry
    this code around. It can easily come back when it is needed.

M	src/gr-recipe-store.c

commit 8eb2fec8efaa086864a970a200eed0cc3067a7b0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 09:45:56 2017 -0500

    Add Sylvia to recipe author credits

M	src/gr-about-dialog.c

commit d42036b046048f785f10768667fd86d4a80b34f4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 09:45:21 2017 -0500

    Drop another test data recipe

M	data/recipes.db

commit a7e23cb7c6109ba4d8907df63825262a73114877
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 09:41:52 2017 -0500

    Another contributed recipes

    Borscht, by Sylvia.

M	data/Makefile.am
M	data/chefs.db
M	data/chefs.db.h
A	data/images/borscht.jpg
A	data/images/geisha.jpg
M	data/recipes.db
M	data/recipes.db.h

commit 41f041b680baeb351944370bd46b92a20837227d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 08:13:33 2017 -0500

    Drop all the DarkText keys

    We don't use these anymore.

M	data/recipes.db

commit 4c77b2dfe69043ab2ee1d07d7f9630b1bfee2198
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 08:12:07 2017 -0500

    Apply some extra markup to Adelia's recipe

    This makes it look nicer in cooking mode.

M	data/recipes.db

commit b41afd57bd300f0d408bf033c4e6fe5292967a07
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 08:05:29 2017 -0500

    Refresh the picks a bit

    Swap out some recipes, add the latest chefs.

M	data/picks.db

commit d011aeefd49c593ed3c416040175906d6853b164
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 08:03:14 2017 -0500

    Drop the last test data chef

M	data/chefs.db

commit 3b5ea161336c3f9e5144c2d39965d68c12079fd5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 08:01:24 2017 -0500

    Drop another test data recipe

M	data/recipes.db

commit 1c94c9b6228524e5efc9f11ca345f6a9b691b5b2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 08:00:36 2017 -0500

    Add Adelia to recipe credits

M	src/gr-about-dialog.c

commit 8e9b94a4c23a89624826a29e0bdea85c8544e3ce
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 17 07:58:56 2017 -0500

    Add another contributed recipe

    Mantovana cake by Adelia.

M	data/Makefile.am
M	data/chefs.db
M	data/chefs.db.h
A	data/images/adelia.jpg
A	data/images/mantovana.jpg
M	data/recipes.db
M	data/recipes.db.h

commit 9b0ebf4de742be6e8f8089b1025ec2b73d17b944
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Fri Feb 17 11:50:44 2017 +0000

    Update Spanish translation

M	po/es.po

commit 38c19538cb336c6c24d2a68eb0911fbd9b11ff5d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 16 21:29:39 2017 -0500

    Remove an extraneous section from the app menu

    The hig says to group Help, About and Quit in one section.

M	src/menus.ui

commit d9391aed72c0ac65dd8b555ba5523e585e5153ae
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 16 21:17:45 2017 -0500

    Forgotten file

M	src/recipes-images.gresource.xml

commit 974ca98a4c237fe40a009da04ad3a5a416ae1205
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 16 20:58:50 2017 -0500

    remove debug spew

M	src/gr-recipe-formatter.c

commit 2b55a75cbed498c87ec7985974bbeca399fedefe
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 16 20:57:23 2017 -0500

    Fix importing of recipes

    Another fallout from the recipes -> gnome-recipes renaming.

M	src/gr-recipe-importer.c

commit 58520195ede0099a58b8bb9a2849ee32ec8410fe
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 16 20:08:20 2017 -0500

    Stop including cuisine pictures are resources

    This unnecessarily bloats the binary.

M	data/Makefile.am
R100	src/american.png	data/images/american.png
R100	src/big-american.png	data/images/big-american.png
R100	src/big-chinese.png	data/images/big-chinese.png
R100	src/big-french.jpg	data/images/big-french.jpg
R100	src/big-indian.jpg	data/images/big-indian.jpg
R100	src/big-italian.png	data/images/big-italian.png
R100	src/big-mediterranean.png	data/images/big-mediterranean.png
R100	src/big-turkish.png	data/images/big-turkish.png
R100	src/chinese.png data/images/chinese.png
R100	src/french.jpg	data/images/french.jpg
R100	src/indian.jpg	data/images/indian.jpg
R100	src/italian.png data/images/italian.png
R100	src/mediterranean.png	data/images/mediterranean.png
R100	src/turkish.png data/images/turkish.png
M	src/Makefile.am
R060	src/cuisine.css src/cuisine.css.in

commit 497822cd414945481bbf6657ff53696fe3e92c00
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 16 19:24:03 2017 -0500

    Fix the json to refer to git.gnome.org

M	org.gnome.Recipes.flatpak.json

commit 9a6266a61d4685090eec06c97ae4ae3e06aaa783
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 16 19:05:25 2017 -0500

    Drop libglnx submodule

    We are not using it anymore.

M	.gitmodules
D	libglnx

commit 2a38910a791ff0ed783476a5096b1c8b0b86d42f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 16 18:57:28 2017 -0500

    Drop libglnx

    We we only using its rm_rf function, and only to clean up
    tmp dirs. We can just rely on /tmp getting cleaned regularly
    (in the traditional case) or being a tmpfs (in the sandboxed case).

M	Makefile.am
M	autogen.sh
M	src/Makefile.am
M	src/gr-about-dialog.c
M	src/gr-recipe-exporter.c
M	src/gr-recipe-importer.c
M	src/gr-recipe-store.c

commit 53e8691c9f73d53074b6491385325fd2ae699e2e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 16 18:46:59 2017 -0500

    Fix a crash

    format_date_time_difference needs to always return a newly
    allocated string.

M	src/gr-utils.c

commit 7405cce2542110fe257561a4e07ba124020d742a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 15 10:14:53 2017 -0500

    Add an 'add temperature' button

    This is similar to the other add buttons we have on the edit
    page, to support the new markup for temperatures.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit 4a35475d2602530815f40e463e72dde4821ef490
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 15 07:30:03 2017 -0500

    Support markup for temperature

    Support parsing [temperature:200C] (or F) in instructions.
    For now, we just format it nicely, but this will let us
    do unit conversion later on.

M	src/gr-recipe-formatter.c

commit b435e2941e4e654b4cf87945511e47133d498a10
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 16 07:57:19 2017 -0500

    Fix a format error in a recipe

M	data/recipes.db

commit 1faecfa3cacd88a24dee0f60702df33ee5f45053
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 15 19:13:19 2017 -0500

    Speed up loading recipes with many images

    We were doing much more work than necessary here.
    Be more efficient.

M	src/gr-image-viewer.c

commit 57c7fac6cd97e6af3c1b8d2634a4ef58cae24a7e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 15 19:13:08 2017 -0500

    Remove some dead code

M	src/gr-details-page.c

commit 8bc5d8a7cb9482043c399022396ed88d852cee99
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 15 15:41:12 2017 -0500

    All adding images from the popover

    This avoids a lot of going up and down, which is a complaint
    I've heard.

M	src/gr-edit-page.c

commit 86dd381347b8c3e6039b99ebc5f6e482fcf63f08
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 15 15:40:23 2017 -0500

    Add some spacing to image popover

    Same as for the image viewer; it is just hard to select
    the right image, otherwise.

M	src/gr-edit-page.ui

commit c171621dd15babadf6e9d53af406392cedbdbe41
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 15 15:23:11 2017 -0500

    Add a small amount of spacing in the image viewer preview

    Otherwise, the thumbnails just blend into each other and
    are hard to select.

M	src/gr-image-viewer.ui

commit 28753f61c46037fcac55868409bfe4eaa1d396de
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 15 13:52:28 2017 -0500

    Fix a crash with "Buy ingredients"

M	src/gr-recipe-store.c

commit 066019b256dc5dacc9fd86b51f27ed5ee315914f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 15 07:28:12 2017 -0500

    Consolidate instruction parsing in one place

    Reuse the same instruction parsing code in the details page,
    so we avoid repetition.

M	src/gr-details-page.c

commit 3969506a826c5b0688653dff4c7d4cc3aa3dae7b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 21:45:41 2017 -0500

    Fix the gettext domain in appdata

    Another victim of the recipes -> gnome-recipes renaming.

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit b836c4c027a58accf393297ec0f6ea692010b7b4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 21:41:35 2017 -0500

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit dbb562c3dafcf36094cb2ab7d2528f29c9a2a2d0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 21:25:42 2017 -0500

    Check our appdata for validity

    appstream-util is a useful tool; we should use it to ensure
    that our appdata is valid.

M	data/Makefile.am

commit b56a1db59ee39c4f5935bc8d81cc4aed2467bf56
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 18:44:00 2017 -0500

    Fix up mail prototype

    We do async calls here, so we don't really have the opportunity
    to return an error. Instead of going full-blown async, just
    swallow the possible errors here, and simplify the callers.

    At the same time, take a window argument and pass its handle
    to the portal, so we have a chance to get window stacking right.

M	src/gr-mail.c
M	src/gr-mail.h
M	src/gr-recipe-exporter.c
M	src/gr-shopping-page.c

commit 0e27e9d2d0604204e2461349f44186eb0b12a159
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 18:43:28 2017 -0500

    Don't forget to unexport window

    Not doing so may lead to problems under Wayland.

M	src/gr-account.c

commit 76606f2f6ea6a3929cab744c5b66c46ccb67cb18
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 18:43:45 2017 -0500

    Add unexport api too

    Under wayland, it is necessary to explicitly unexport handles.

M	src/gr-utils.c
M	src/gr-utils.h

commit cbce07032e813412059008920fe2c4a6693fe660
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 18:29:16 2017 -0500

    Move window handle exporting to utils

    We need this in multiple places soon.

M	src/gr-account.c
M	src/gr-utils.c
M	src/gr-utils.h

commit 6173a5b805ea758e75b00fccc376b24ec49fe1ae
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 18:16:16 2017 -0500

    Use the new Email portal if available

    We fall back to using a mailto: uri if the portal
    is not present.

M	src/gr-mail.c

commit 19514bc3799ce53ead4fae45178b628e7cde54f7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 15:11:00 2017 -0500

    Update to new flatpak repo location

M	README.md

commit f10640929d9b750ba5d373fd91468ab4ed9190db
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 13:24:28 2017 -0500

    Remove a few more test data recipes

M	data/recipes.db

commit 284ad44e925f47ac424e4bf1c5ef34e948b7a883
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 13:22:11 2017 -0500

    Add ebassi to recipe credits

M	src/gr-about-dialog.c

commit a65d474b8874fbef62f8801981af3ee3d54f4ee7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 13:21:53 2017 -0500

    Add another contributed recipe

    Carbonara, by Emmanuele Bassi.

M	data/Makefile.am
M	data/chefs.db
M	data/chefs.db.h
A	data/images/ebassi-carbonara-01.JPG
A	data/images/ebassi-carbonara-02.JPG
A	data/images/ebassi-carbonara-03.JPG
A	data/images/ebassi-carbonara-04.JPG
A	data/images/ebassi-carbonara-05.JPG
A	data/images/ebassi-carbonara-06.JPG
A	data/images/ebassi-carbonara-cover.JPG
A	data/images/ebassi-hackergotchi.png
M	data/picks.db
M	data/recipes.db
M	data/recipes.db.h

commit 45cb0589f4c31e55ff3ed8dff87ddc8d90555dd8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 11:46:24 2017 -0500

    Add another contributed recipe

    Roots Pie, by Bastian Ilsø

M	data/Makefile.am
A	data/images/rootspie1.jpg
A	data/images/rootspie10.jpg
A	data/images/rootspie11.jpg
A	data/images/rootspie12.jpg
A	data/images/rootspie13.jpg
A	data/images/rootspie2.jpg
A	data/images/rootspie3.jpg
A	data/images/rootspie4.jpg
A	data/images/rootspie5.jpg
A	data/images/rootspie6.jpg
A	data/images/rootspie7.jpg
A	data/images/rootspie8.jpg
A	data/images/rootspie9.jpg
M	data/recipes.db
M	data/recipes.db.h

commit 43133648b02c940786b83b54d8e15a6368025a46
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	Tue Feb 14 17:08:40 2017 +0100

    Updated Czech translation

M	po/cs.po

commit 89149170970c05d825382754ecea3d7b1dcd8abf
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 14 06:31:48 2017 -0500

    Fix some sizing problems with images in cooking mode preview

    We were forcing the image frame to be bigger than the image,
    using css min-size and widget alignment, which is really not
    needed here.

M	src/gr-cooking-view.ui
M	src/recipes.css

commit c8c7d8f14781bcb0d351a33ccb3451b996345900
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 21:53:45 2017 -0500

    Improve key handling in cooking mode

    With these changes, space, left and right work as expected.
    We also handle enter to activate the explicit done button at
    the end.

M	src/gr-cooking-page.c
M	src/gr-window.c
M	src/gr-window.ui

commit 9a4b8fb8db7531cb2e55e4e26e774ce359a888b4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 21:35:39 2017 -0500

    Improve the Donauwellen receipe slightly

M	data/recipes.db

commit 54777867f0235849bd6edb116cb0be7a33921f09
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 21:35:17 2017 -0500

    Add an explicit Done button to the end of cooking mode

M	src/gr-cooking-page.c
M	src/gr-cooking-page.ui
M	src/recipes.css

commit 21cf49a342f1e74250cabcfdf2a0060dae445946
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 21:07:04 2017 -0500

    Use bigger pictures for a wide cooking view

M	src/gr-cooking-view.c

commit f6b29c8d7a62ba144f77b0c3e719617466834b66
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 21:06:30 2017 -0500

    Avoid a sizing problem in cooking mode

    Put the page contents into a scrolled window so they can
    shrink when required.

M	src/gr-cooking-page.ui

commit 9fb8cd54e0fe3a632f6dc8cd9a7d819e09c03ba0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 20:12:19 2017 -0500

    Rename a function to match better

    We are no longer stopping the cooking from this button.

M	src/gr-window.c
M	src/gr-window.ui

commit 16edc4d1160ec53fd544215c375471f743afbb60
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 18:55:19 2017 -0500

    Add a border to images in cooking view

    This matches what we do in the lightbox for images,
    and it looks good.

M	src/recipes.css

commit 1a3414356a13fd0603425b15619ba585695f714e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 18:54:18 2017 -0500

    Avoid an assertion failure on fresh installs

    When using the my chef information dialog on a fresh install,
    we end up in a situation where old == NULL. Don't assert that
    it isn't.

M	src/gr-recipe-store.c

commit 2ee727227c64678ebca3c761e860102a1650e716
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 18:44:20 2017 -0500

    Fix getting chef avatar from account info

    More fallout from the recipes -> gnome-recipes rename.

M	src/gr-account.c

commit c48bca0a460c7e424ef5b534ffab51e2146b5f33
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 17:49:35 2017 -0500

    Avoid a crash

    We pass NULL for callback in some places, so better check first.

M	src/gr-account.c

commit 993256d79081ec54f83ff654fa518224d978f267
Merge: dd89df6 d00de98
Author: Matthias Clasen <matthias.clasen@gmail.com>
Date:	Mon Feb 13 15:09:57 2017 -0500

    Merge pull request #17 from jimmac/master

    Theme Updates

commit d00de984a03dc3ca079d9bf1aec67ab6b868d9af
Author: Jakub Steiner <jimmac@gmail.com>
Date:	Mon Feb 13 21:01:44 2017 +0100

    theme: margin for osd buttons

M	src/recipes.css

commit dd89df62d27a209932b4e9d32f63db6da4d23715
Author: Jakub Steiner <jimmac@gmail.com>
Date:	Mon Feb 13 20:57:00 2017 +0100

    theme: fulscreen colors

    - grey bg
    - transparent image backdrop

M	src/recipes.css

commit d8bb2dd0d9eae6740a6ab08126eacf4076ed3e85
Author: Jakub Steiner <jimmac@gmail.com>
Date:	Mon Feb 13 20:57:00 2017 +0100

    theme: fulscreen colors

    - grey bg
    - transparent image backdrop

M	src/recipes.css

commit 182b667558a43570ff046cde52cd89b1b3346d56
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Feb 13 14:24:50 2017 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit 9aa6a500abb0a8fb47ec3bf149c89913cd019e06
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 07:46:30 2017 -0500

    Break the tofu instructions into steps

    This is nicer, and gives me a testcase for multiple timers in
    a row.

M	data/recipes.db

commit 65136a5caca2c19247bdddf12a360b1989754379
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 07:44:10 2017 -0500

    cooking: Always recreate steps

    Otherwise, stopping cooking mode and restarting it with the same
    recipe will not reset running timers.

M	src/gr-cooking-page.c

commit 35c8fe30d1cd4953e046af4ef65cbd551f40672d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 07:19:23 2017 -0500

    One forgotten place for the rename

    This was causing a crash since we assume the directory exists,
    here.

M	src/gr-cooking-page.c

commit 72fb4ce59a17bdddfc56dfb868095ce997ee9442
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 06:13:47 2017 -0500

    Tighten the sandbox again

    We no longer need the HostCommand api, so no need to talk
    to org.freedesktop.Flatpak.

M	org.gnome.Recipes.flatpak.json

commit dea7aa28a4dc364023b4de7400f68e7c5fd3bb2a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 13 06:11:55 2017 -0500

    Use the OpenURI portal for sending email

    This is much simpler than using HostCommand, or adding a
    dedicated email sending portal.

    Thanks to Alexander Larsson for the idea.

M	src/gr-mail.c
M	src/gr-mail.h
M	src/gr-recipe-exporter.c

commit 76da152d100ff501554a9af7474969edf46291d9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 23:14:57 2017 -0500

    Completely remove gr-ingredient-search-tile files

    There were some leftovers in POTFILES.in.

    https://bugzilla.gnome.org/show_bug.cgi?id=778545

M	po/POTFILES.in
D	src/gr-ingredient-search-tile.c
D	src/gr-ingredient-search-tile.h
D	src/gr-ingredient-search-tile.ui

commit c78d9ea04cfd350e316e4bdbe5cb590143825e92
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 20:09:02 2017 -0500

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 64de86cb4aae61b2fd2751552df38dfb3d43ae00
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 20:05:09 2017 -0500

    Rename file locations

    'recipes' is too generic for some, so use 'gnome-recipes' as name
    for the binary and for our filesystem locations. We transition
    data from ~/.local/share/recipes when we find it.

    At the same time, avoid the redundant subdirectory in the flatpak
    case.

    https://bugzilla.gnome.org/show_bug.cgi?id=778531

M	configure.ac
M	data/org.gnome.Recipes.desktop.in
M	data/org.gnome.Recipes.service.in
M	org.gnome.Recipes.flatpak.json
M	src/Makefile.am
M	src/gr-recipe-store.c
M	src/gr-utils.c
M	src/gr-utils.h

commit 56b0782569206f9a28c451cc06d1010454aa12fd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 19:11:14 2017 -0500

    window: Deal with 'My Recipes' more gracefully

    Ensure the user chef exist before showing his recipes.

M	src/gr-window.c

commit e981c01477628270e19f4740304e70f53f2365f4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 19:10:39 2017 -0500

    list page: Handle chefs with partial information

    It may happen that one of the strings is NULL.
    Lets not crash in that case.

M	src/gr-list-page.c

commit 0ad7d898c625e7b5bdff49f5e61834fa84c3dbba
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 19:10:17 2017 -0500

    edit page: Use the new convenience api

M	src/gr-edit-page.c

commit 0090b93cf486491eb88dfe21d628c7f749dd3577
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 19:09:24 2017 -0500

    Add an api to create the user chef

    This is just moving some code from the edit page to a place
    where it can be reused.

M	src/gr-account.c
M	src/gr-account.h

commit 8a45897a5929807d5b57c54caea09ba8b1df1f9c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 18:09:30 2017 -0500

    Remove some dead code

M	src/gr-edit-page.c

commit 8e30726ef2d4b59f264f756edcd86094218769c3
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 18:07:47 2017 -0500

    edit page: Use the new account information api

    We just moved all this code to its own file.

M	src/gr-edit-page.c

commit 7cc2d77a7ddbb0933ff3084b5ce53fcc58a5a5e8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 17:59:14 2017 -0500

    fixup

M	src/gr-account.c
M	src/gr-account.h
M	src/gr-window.c

commit 128b2728b5e9829f323d83916cbc54d431db4a6b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 17:53:36 2017 -0500

    Populate the my chef dialog from account portal

    This is using the new account information api.

M	src/gr-window.c

commit 58d603d4d7b47713237cc1d440fdeac624cecc83
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 17:52:53 2017 -0500

    Move account portal call to a separate file

    This will make it easier to share this in several places.

M	src/Makefile.am
A	src/gr-account.c
A	src/gr-account.h

commit 21a02c67c1e8bcf0598b93c691fcac21fadd216b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 16:24:38 2017 -0500

    Avoid a crash on fresh installs

    We were trying, but failing, to avoid creating a chef dialog
    with a NULL chef. I've never seen this crash because my own
    chef is in the preinstalled data.

M	src/gr-window.c

commit 556c88a31c4aced4986eedb9ad9b8b311601526f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 16:23:21 2017 -0500

    Avoid a crash with empty chefs

    Avoid calling strsplit on fullname if it is NULL.

M	src/gr-chef.c

commit 15995735245770db4c88367743a79a9ff9821915
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 11:56:55 2017 -0500

    Shrink some cuisine images

    We don't need the big cuisine images to be wider than 1024 pixels.

M	src/big-italian.png
M	src/big-turkish.png

commit a08fc870697d400e8fafacaca9f88df25bb8c20a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 11:44:00 2017 -0500

    Shrink some images a bit

    We don't show chefs in big size anywhere, so no need
    to have full-size images.

M	data/images/adria.jpg
M	data/images/fyksen.jpg
M	data/images/mclasen.jpg

commit a6c047e7d3f8aed947c99e11bc9ab2f9e2372b48
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 11:28:36 2017 -0500

    Avoid confusion about step numbers

    Using circled numbers to indicate the image turns out to be a bit
    confusing, since it can be misinterpreted to represent the step
    number. Instead, just use a 👁 glyph to represent images.

    https://bugzilla.gnome.org/show_bug.cgi?id=778528

M	src/gr-details-page.c

commit 16c3b54facb6fd28de219de1db724b50636548c1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 11:18:47 2017 -0500

    Improve window title handling

    Make sure that we set proper window titles for the main pages too.

M	src/gr-window.c

commit b506e9cc710143f58a445c0e50b8c22b058b3243
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 11:13:12 2017 -0500

    Improve featured cuisine tile

    Allow more text to show on the big tile.

M	src/gr-cuisine-tile.c

commit 14becafec7142bbbedbaa93f13a66df8e743411d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 11:12:09 2017 -0500

    Add images for french cuisine

    Recipes from all over the world, yay!

A	src/big-french.jpg
M	src/cuisine.css
A	src/french.jpg
M	src/recipes-images.gresource.xml

commit c7e69c78d5afe340a2fae04de8ce43102ce3e4ce
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 11:10:53 2017 -0500

    Make sure we don't skip the wrong cuisine

    I was trying to be needlessly efficient here, and ended
    up skipping the american cuisine in most cases. Just compare
    the strings.

    https://bugzilla.gnome.org/show_bug.cgi?id=778529

M	src/gr-cuisines-page.c

commit cb239b710e0a64892ce326d12b307a779b6e7c7e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 09:13:10 2017 -0500

    Remove another test data recipe

M	data/recipes.db

commit cf60efc11760a4def1d5ef132534829aa2c35647
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 09:11:28 2017 -0500

    Update translated content

M	data/chefs.db.h
M	data/recipes.db.h

commit a57d0f20b389c3604e22b63b88a74c912e95a873
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 09:09:23 2017 -0500

    Add Adria to the recipe credits

M	src/gr-about-dialog.c

commit cde5442cd53ba39bd4714d684dca9576c55acd27
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 09:07:27 2017 -0500

    Another contributed recipe

    Spanish omelet by Adrià Arrufat.

M	data/Makefile.am
M	data/chefs.db
A	data/images/adria.jpg
A	data/images/spanish_omelet1.jpg
A	data/images/spanish_omelet2.jpg
A	data/images/spanish_omelet3.jpg
A	data/images/spanish_omelet4.jpg
A	data/images/spanish_omelet5.jpg
A	data/images/spanish_omelet6.jpg
A	data/images/spanish_omelet7.jpg
A	data/images/spanish_omelet8.jpg
A	data/images/spanish_omelet9.jpg
M	data/recipes.db

commit 6881beb5b5eda183fd42b3c6f9587921c8d106ef
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Feb 12 14:33:21 2017 +0100

    Update Polish translation

M	po/pl.po

commit 48d4a9e15e7d3ba04f363c5259387446e001b9c0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 03:34:30 2017 -0500

    Bump version to 0.12.1

M	configure.ac

commit f2b53c3d4e4c9c9e57447e2d21091069ab3408c2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 03:17:03 2017 -0500

    Release 0.12.0

M	configure.ac

commit 76b20f626fa59bb2f127763120d379a951b2eb41
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 03:16:56 2017 -0500

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 0ce891fe8d0f949a4d8d4a43fcec001eb0d1b156
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Feb 12 03:07:37 2017 -0500

    Add a cooking mode screenshot

    Also, update some of the others.

M	data/appdata/cook-later.png
A	data/appdata/cooking.png
M	data/appdata/edit.png
M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 5ff31528b8feb6be3af566cc91daf23163aca7c6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 11 15:20:08 2017 -0500

    Improve the style of in-app notifications

    This brings us close to how the look in the mockups.

M	src/gr-window.ui
M	src/recipes.css

commit eee6f2f2491174a8d015d9b81430515f6a1622ed
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 11 14:58:00 2017 -0500

    Speed up changing to the recipes page

    I realized that we only ever show readonly recipes on this page,
    so there is no need to recreate all the content when we switch
    to the page.

    The one exception is the shopping list tile, so recreate just that
    one.

M	src/gr-recipes-page.c

commit aaca35e8db4451586e0416a947b5d9ffd252b1d7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 11 14:41:54 2017 -0500

    Do less work when recipes change

    We were just rebuilding all the pages, all the time, regardless
    whether they are currently shown or not. This was very noticable
    when using the serves spin on the shopping page - it took a
    long time for the page to refresh, several hundred milliseconds.
    With this change, we update in ~20.

M	src/gr-cuisine-page.c
M	src/gr-cuisines-page.c
M	src/gr-cuisines-page.h
M	src/gr-details-page.c
M	src/gr-list-page.c
M	src/gr-recipes-page.c
M	src/gr-recipes-page.h
M	src/gr-search-page.c
M	src/gr-shopping-page.c
M	src/gr-window.c

commit 506f897e96ca98976277de796b62f15c87440875
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 11 11:58:59 2017 -0500

    Make shopping page changes more efficient

    Recreating the entire page all the time gets expensive, and it causes
    us to close the open popover prematurely.

M	src/gr-shopping-page.c

commit e52bb956467eca3b1c151cd3ddafdb501cbf6aec
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 11 11:46:28 2017 -0500

    Add a setter for GrRecipeSmallTile::serves

    Just using g_object_set has the downside that we get a notification
    regardless whether the value changed or not, which tends to cause
    cycles.

M	src/gr-recipe-small-tile.c
M	src/gr-recipe-small-tile.h

commit 4c51e55e0058214dc95d3a2b8de94595b6c42c5a
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	Sat Feb 11 08:59:57 2017 -0500

    Use Header Case in a few more places

    https://bugzilla.gnome.org/show_bug.cgi?id=778494

M	src/gr-details-page.ui
M	src/gr-edit-page.c
M	src/gr-edit-page.ui
M	src/gr-spice-row.c
M	src/gr-window.c

commit f11a038095bd2a537a9b30a45ac00ca917bb408e
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	Sat Feb 11 08:46:20 2017 -0500

    Use Header Case for buttons

    https://developer.gnome.org/hig/stable/writing-style.html

    https://bugzilla.gnome.org/show_bug.cgi?id=778494

M	src/gr-details-page.ui
M	src/gr-list-page.c
M	src/gr-meal.c
M	src/gr-recipes-page.c
M	src/gr-window.ui

commit fe3c597eab065ebf582872728772dad2408b98ca
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	Sat Feb 11 07:22:16 2017 -0500

    data: Recategorize .desktop

    https://bugzilla.gnome.org/show_bug.cgi?id=778488

M	data/org.gnome.Recipes.desktop.in

commit 545410b04ebe0d0db5ff2ee4ac15803138bcaee5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 11 09:02:59 2017 -0500

    Handle serves count properly with shopping

    Persist the serves count for the recipes on the shopping list,
    and transfer the count from the details page when adding
    recipes to the shopping list.

M	src/gr-details-page.c
M	src/gr-recipe-small-tile.c
M	src/gr-recipe-small-tile.h
M	src/gr-recipe-store.c
M	src/gr-recipe-store.h
M	src/gr-shopping-page.c

commit 7b5e72b87ef5c8431c7470e9d30b2862893d2704
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Feb 11 15:01:28 2017 +0100

    Updated Czech translation

M	po/cs.po

commit e8bbd2752b3c74f0e35b8733a93086624e6e0cbc
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Feb 11 14:01:05 2017 +0100

    Updated Czech translation

M	po/cs.po

commit a14ae9d27481a2413fa3fa4f16f140ea4468c074
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Feb 11 13:36:38 2017 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit 12ec1242d5db418b92ca4d86b5709985091a862e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 21:40:52 2017 -0500

    Remove another test data recipe

M	data/recipes.db

commit 4f84bddac07339b17f2d229291cca7313c4ae0da
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 21:39:47 2017 -0500

    Regenerate translated content

M	data/recipes.db.h

commit 6552bf713b8bc622d1fc25ac9b39a3a1394f535e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 21:39:23 2017 -0500

    Add a contributed recipe

    White fish, by Fredrik Fyksen.

M	data/Makefile.am
A	data/images/whitefish1.jpg
A	data/images/whitefish2.jpg
A	data/images/whitefish3.jpg
A	data/images/whitefish4.jpg
M	data/recipes.db

commit 0551273cf352f5d77e50efa4f88397fc004679b9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 21:28:54 2017 -0500

    Remove 2 more test data recipes

M	data/recipes.db

commit c5f1e2a78e635e3ae76504f9d60636535e3bf1ef
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 21:27:45 2017 -0500

    Add Alexandre to credits

M	src/gr-about-dialog.c

commit 1711cfc9c0c5a76fdb31db2463d2890c4cf0631c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 21:26:49 2017 -0500

    Regenerate translated content

M	data/chefs.db.h
M	data/recipes.db.h

commit 965d848b54b3ac75ae600033fb54b37e85625fb4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 21:26:33 2017 -0500

    Add Alexandre to chef picks

M	data/picks.db

commit d825e73e410fd32a0bf3fe023208c330543a8a77
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 21:24:33 2017 -0500

    Add two contributed recipes

    Grumbeerekiechle and Savoury cakes, by Alexandre Franke.

M	data/Makefile.am
M	data/chefs.db
A	data/images/afranke.jpg
A	data/images/cake_aux_lardons.jpg
A	data/images/cake_aux_lardons2.jpg
A	data/images/grumbeerekiechle_1.JPG
A	data/images/grumbeerekiechle_2.JPG
A	data/images/grumbeerekiechle_3.JPG
M	data/recipes.db

commit 2103afa043705a9c7d40a7ffbc44d774ef8cea21
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 15:54:48 2017 -0500

    Allow sharing the shopping list

M	src/gr-shopping-page.c
M	src/gr-shopping-page.ui

commit f209d45a374b8d9ec6765f61e64b7dcfd6b4aef5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 19:35:02 2017 -0500

    Add a plain text shopping list formatter

M	src/Makefile.am
A	src/gr-shopping-list-formatter.c
A	src/gr-shopping-list-formatter.h

commit f77675fcde34860e777f00331043eae4e81cd5df
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 19:34:25 2017 -0500

    Use the new api in the recipe exporter

M	src/gr-recipe-exporter.c

commit bb0334102ff4099a49b0b04037422607728ab9a7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 19:37:15 2017 -0500

    Add an api for sending mail

    This will be reused for sharing shopping lists.

M	src/Makefile.am
A	src/gr-mail.c
A	src/gr-mail.h

commit 44d97d84a560081b4cfed862238398e9f707fa7b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 16:17:15 2017 -0500

    details: Slighly rearrange buttons

    Go from [Print][Share][♥] to [♥][Print][Share] for better
    alignment
    with the shopping list page.

M	src/gr-details-page.ui

commit 731e58a2723d2470a882d5a5b2b71fbd1d5ec0dd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Feb 10 19:29:13 2017 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit 183b6b75f3df2512a106541387eeb0876d96e1f7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 07:34:13 2017 -0500

    Make the cooking view wider in fullscreen

    Otherwise, we just waste too much space here.

M	src/gr-cooking-page.ui

commit cc2a83c7ee02749bb99047d0a49e4c169ec3a7ca
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 07:33:39 2017 -0500

    Add a wide property to the cooking view

    We need a narrower formatting for preview, and this needs some
    explicit enabling, so add a property.

M	src/gr-cooking-view.c

commit ea64fcaa41871e92d4b31eac85b5c712d0dd25ba
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 07:16:38 2017 -0500

    Update translated content

M	data/chefs.db.h
M	data/recipes.db.h

commit 7f08447ca945e18f2c723db8444c03121e37b7e9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 07:15:51 2017 -0500

    Some updates to the included data

    Kick out another few test data recipes, and some other cleanups.

M	data/chefs.db
M	data/picks.db
M	data/recipes.db

commit ecf105d907f7ae413473ce5875e8aaeaa97ae6c8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 07:00:17 2017 -0500

    Another contributed recipes

    Tagliatelle alla Romana by Allan Day.

    https://bugzilla.gnome.org/show_bug.cgi?id=778420

M	data/Makefile.am
A	data/images/tagliatelle1.jpg
A	data/images/tagliatelle2.jpg
A	data/images/tagliatelle3.jpg
A	data/images/tagliatelle4.jpg
M	data/recipes.db

commit a56ad65679b4001a91ba67f93c7bd4c1e36ccf07
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 06:36:42 2017 -0500

    Some updates to the shopping list page

    This brings us closer to latest mockups from Jakub.
    It also adds a new feature: Recipes can now be individually
    scaled on the shopping list page.

M	src/gr-recipe-small-tile.c
M	src/gr-recipe-small-tile.ui
M	src/gr-shopping-page.c
M	src/gr-shopping-page.ui
M	src/recipes.css

commit 5afcb6813f24eba34b8b13ec671e02fcc1cc41a2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 10 06:31:19 2017 -0500

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 7e4c4fcffac2b064af27af8dc536fe05251542d5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 20:43:40 2017 -0500

    Update shopping list title

    Follow the latest mockups.

M	src/gr-shopping-page.c

commit 563fd3bbd729d3a4c0303e4a3aa77a5d59aac262
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 20:40:47 2017 -0500

    Fix style of small recipe tiles

    We don't want the placeholder background image here.

M	src/recipes.css

commit 713735f581deb5180fa5ba079b05650c3e57df51
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 20:34:10 2017 -0500

    Move about dialog to its own files

    This cleans up our application class and lets us use
    the modal stacking for the about dialog as well.

M	src/Makefile.am
C057	src/gr-app.c	src/gr-about-dialog.c
A	src/gr-about-dialog.h
M	src/gr-app.c
M	src/gr-window.c
M	src/gr-window.h

commit 29ca46594fdafe05e532231a7a208a3fb6dbd0cd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 19:25:33 2017 -0500

    Simplify the chef dialog api

    No need to pass the window into the constructor, and no
    need for an extra can_create setter.

M	src/gr-chef-dialog.c
M	src/gr-chef-dialog.h
M	src/gr-edit-page.c

commit f0f0ab9641b8d4df52b05ccdac28084bced14de9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 19:24:04 2017 -0500

    Add a modal dialog stack

    Add a new api that lets us properly stack modal dialogs
    on top of each other. This is more or less a direct copy
    of the corresponding api in gnome-software.

M	src/gr-window.c
M	src/gr-window.h

commit 977136e334701685bcb2c6f616b9d6f8d0ae725f
Author: Mohammed Sadiq <sadiq@sadiqpk.org>
Date:	Wed Feb 8 20:50:48 2017 +0530

    Don't show a dialog when one is already shown

    The dialog windows can pile up each time chef information
    was clicked in applicaton menu.

    So, instead of always creating a new dialog, check if there is
    already one,
    and create only if there is none.

    https://bugzilla.gnome.org/show_bug.cgi?id=778340

    We also take this opportunity to fix a few details in
    the chef dialog: Always emit the done signal when the
    dialog is dismissed, and leave the destruction of the
    dialog to the outside code that created the dialog in
    the first place.

M	src/gr-app.c
M	src/gr-chef-dialog.c
M	src/gr-edit-page.c
M	src/gr-window.c
M	src/gr-window.h

commit abd3d0675be939ba3baa27c6458b692d4d0b5b0d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 18:33:21 2017 -0500

    Use the right time for shopping list

    We want to show when the shopping list was last changed,
    not the favorites.

M	src/gr-recipes-page.c

commit fccc81591b86af356eacaa58048a7c65d6ade192
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 18:07:18 2017 -0500

    Don't pile up import file choosers

    Only allow a single file chooser for importing to be open
    at a time.

M	src/gr-window.c

commit daf8c3a7121152f5031e429858d2d7086d772c6f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 17:47:06 2017 -0500

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit de15e366367fadefd29c73be00c0440db5b6276c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 17:44:40 2017 -0500

    Update POTFILES.in

M	po/POTFILES.in

commit 0c7eb7c8e848ddf9e47e866778a3eb987300a911
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 17:39:41 2017 -0500

    Don't allow contributing readonly recipes

    We don't want people to send already included recipes
    to the list, so prevent this situation from happening.

M	src/gr-recipe-exporter.c

commit b071cf228cc566e59522ec10ac59ce745130a392
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 07:37:31 2017 -0500

    Claim support for our mimetype

    To make this work well in a sandboxed situation, we need some
    work on the flatpak side to export passed files in the document
    portal.

M	data/org.gnome.Recipes.desktop.in

commit d016de904a82678e193a42ed42b16286ecc232a0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 07:36:52 2017 -0500

    Add a mimetype

    We are using application/vnd.gnome.recipes.export as
    the mime type for our exported data, and the associated
    extension .gnome-recipes-export.

M	data/Makefile.am
A	data/org.gnome.Recipes-mime.xml

commit 8a2e8e6b20c31fd5f4aeefde75c2ec7f0bae362b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 13:12:02 2017 -0500

    Use a suffix for the exported file

    Instead of the generic .tar.gz, use .gnome-recipe-export.
    This will let us associate a mimetype with our exports,
    and handle import more nicely.

M	src/gr-recipe-exporter.c

commit fe5ceb9edf9a28b125a61abcdcea1770bdc63555
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 13:06:08 2017 -0500

    Try to make import work better

    Make sure to show the window first, before doing the import.

M	src/gr-app.c

commit cb70aca9e51c5ddd7616244e0f2ff47d3a472dec
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 12:42:06 2017 -0500

    Show an error dialog for when sharing fails

    With this temporary implementation, there are a bunch of error
    conditions, such as nautilus-sendo not being installed.

M	src/gr-recipe-exporter.c

commit cd50cf123f69256f5646f491d6f5267eb532772e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 15:48:58 2017 +0100

    Implement 'share by email'

    This is a temporary implementation that uses the flatpak
    HostCommand api to call out to evolution. In the long term,
    we want to use a sharing portal instead.

    We also allow contributing a recipe by sending it to the
    new recipes-list@gnome.org mailing list.

M	src/gr-details-page.ui
M	src/gr-recipe-exporter.c
M	src/recipe-export-dialog.ui

commit 345b2f68f9dd2f691ad30e66b99e96ff0bf3fd22
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 15:47:35 2017 +0100

    poke a hole in the sandbox for sharing

    This is just a temporary stopgap so we can at least support
    sending email until we have a proper sharing portal.

M	org.gnome.Recipes.flatpak.json

commit f6bf181d6ab389c09ad62dd0364c5f89a2b9e859
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 17:14:33 2017 -0500

    Consolidate instruction parsing in one place

    Reuse the same function in the cooking view and the recipe
    exporter.

M	src/gr-cooking-view.c

commit 0de20edcc58e1aa02ea425495498837c32a9d5f2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 17:00:33 2017 -0500

    Add a function to format a recipe as plain text

    This will be useful for sharing recipes by email.

M	src/Makefile.am
A	src/gr-recipe-formatter.c
A	src/gr-recipe-formatter.h

commit 90d1751a53f91b6cb2e76ce4ad0a33c67ba478c9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Feb 9 08:29:31 2017 -0500

    Use a better shopping cart icon

    This icon was kindly provided by Jakub.

M	src/gr-recipes-page.ui
M	src/gr-shopping-page.ui
A	src/icons/16x16/apps/shopping-list-symbolic.symbolic.png
D	src/icons/16x16/apps/shoppingcart-symbolic.symbolic.png
D	src/icons/16x16/apps/shoppingcart.png
A	src/icons/24x24/apps/shopping-list-symbolic.symbolic.png
D	src/icons/24x24/apps/shoppingcart-symbolic.symbolic.png
D	src/icons/24x24/apps/shoppingcart.png
A	src/icons/32x32/apps/shopping-list-symbolic.symbolic.png
A	src/icons/48x48/apps/shopping-list-symbolic.symbolic.png
A	src/icons/symbolic/apps/shopping-list-symbolic.svg
M	src/recipes-images.gresource.xml

commit 069cc42f81af456201d114d79306df8289a94c98
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 8 23:56:18 2017 -0500

    Handle mouse back button

    We do this in other applications as well.

    https://bugzilla.gnome.org/show_bug.cgi?id=777582

M	src/gr-window.c
M	src/gr-window.ui

commit 3dc32c986a598b57d4aaa4e280ee26f4e0fd12a4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 23:24:49 2017 -0500

    Slight improvement for step titles

    Step x/n is not great, but better than nothing.

M	src/gr-cooking-view.c

commit 283a822109dd2b0bd1986045512094f5cddc83d1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 23:19:30 2017 -0500

    cooking page: Manage sensivitiy of buttons

    We should make buttons insensitive when they don't do anything.

M	src/gr-cooking-page.c
M	src/gr-cooking-page.ui

commit aadf6bbfc5da7e1b32eb3fba2af88858c7eec4c9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 22:03:43 2017 -0500

    Make sure we set window titles consistently

    It was possible to end up in a situation where the window has
    no title, which causes it to show up in a suboptimal way in
    the GNOME shell overview. Fix this by setting the initial title
    to "Recipes", and explicitly setting it when we have no saved
    title.

    https://bugzilla.gnome.org/show_bug.cgi?id=777364

M	src/gr-window.c
M	src/gr-window.ui

commit ec54e874fe652e5ae334f3b4d0f1a0d93eed0e81
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 16:10:58 2017 -0500

    Fix the release date

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 5b7ce6b717b5c6b0f3c07fd9e64ee7af429cdd88
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 16:03:21 2017 -0500

    Bump the version number to 0.10.1

    Back to development.

M	configure.ac

commit d333ae04cd92c99cd6eaa7750053f56e1c482fe4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 15:07:24 2017 -0500

    Bump version to 0.10.0

M	configure.ac

commit a4393d7b9baa564af0ed1684ab1d293fb4958cb8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 15:52:45 2017 +0100

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 3a827864442ed8947c6eaa360a6a269bd22dcb49
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 12:35:31 2017 -0500

    printing: Make the error dialog modal

    This makes it properly centered on the main window.

M	src/gr-recipe-printer.c

commit 1de5d6cf2eb69046082ea97ba54fcb7a34825065
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Feb 7 12:23:40 2017 -0500

    Trivial formatting fix

M	src/gr-recipe-printer.c

commit 0fa46519a285f422cb4686008f3733a7891e5f98
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Feb 7 13:29:43 2017 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit c12e4c45c09a6ff94eed19e60d2d9f949f0cfd14
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 6 17:14:57 2017 +0100

    query editor: Integrate spiciness search

    This adds another field just like the meals field,
    for spiciness levels.

M	src/gr-query-editor.c
M	src/gr-query-editor.ui

commit a8800d05aaa007166b4c5c5ca6d103c952e949c8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 6 17:13:47 2017 +0100

    Add a spice row for the query editor

    This will be used for search by spiciness. Currently, we do just
    for queries here:
    <= mild
    <= spicy
    >= hot
    >= extreme

M	src/Makefile.am
A	src/gr-spice-row.c
A	src/gr-spice-row.h
A	src/gr-spice-row.ui
M	src/recipes-ui.gresource.xml
M	src/recipes.css

commit 5a7f3e9f1137f1423c0119d1feb57bbf45de13e6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 6 16:24:04 2017 +0100

    Define search terms for spiciness

    This lays the groundwork for searching by spiciness.

M	src/gr-recipe.c

commit 229fa0f8ef574b613f329e05abef2228d326c8f0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 6 16:12:05 2017 +0100

    chef dialog: Manage save button sensitivity

    Only make the save button sensitive (and thus blue) when we
    have reason to believe that some field has changed.

M	src/gr-chef-dialog.c
M	src/gr-chef-dialog.ui

commit 71b406bd34c0373f075495eef488e7ba57e1f124
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 6 15:46:57 2017 +0100

    Properly handle timer widget state

    We were not getting the blue start button back in all cases
    when switching between preview and edit.

    https://bugzilla.gnome.org/show_bug.cgi?id=778202

M	src/gr-cooking-view.c
M	src/gr-time-widget.c

commit 7442c7540a78c4ec32ed0cb2abec44fb17cd1d93
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Feb 6 07:49:43 2017 +0100

    Clarify a function name

    This is about the default image, not the default button.

M	src/gr-edit-page.c

commit adcc13ba04a76ae87fce7425df41b8511e86e663
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Feb 5 17:02:06 2017 +0100

    Update Polish translation

M	po/pl.po

commit a5969ca4ba75a80adcf483469db28eb193057645
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 4 23:54:41 2017 +0000

    Fix temporary image switches

    https://bugzilla.gnome.org/show_bug.cgi?id=778029

M	src/gr-cooking-page.c
M	src/gr-cooking-view.c
M	src/gr-cooking-view.h
M	src/gr-details-page.c
M	src/gr-edit-page.c
M	src/gr-image-viewer.c
M	src/gr-image-viewer.h

commit 9530fd6f41517030d64a7f7b95f28f53d9f1a18a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 4 23:02:49 2017 +0000

    recipe store: Stop loading and saving DarkText

    It is not used anymore.

M	src/gr-image-viewer.c
M	src/gr-images.c
M	src/gr-images.h
M	src/gr-recipe-exporter.c
M	src/gr-recipe-importer.c
M	src/gr-recipe-store.c

commit abca96295fb458aeadf1725db3fdd5f1c887c2e2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 4 23:02:13 2017 +0000

    Stop loading and saving DarkText field

    It is not used anymore.

M	data/recipes.db

commit 3a62e2b67e527a70d014e715e9b25bb65e8d0242
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 4 22:48:39 2017 +0000

    Update the buns recipe to the new syntax

M	data/recipes.db

commit 2e26f525deb67476241a36ad75092f59185e362b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 4 22:42:18 2017 +0000

    Update the donauwellen recipe to use the new syntax

M	data/recipes.db

commit bb2adfea805916a459ad4c121aa9e851bc174047
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 4 10:56:23 2017 +0100

    Wrap long notes

    This was overlooked when the new notes UI was introduced.

    https://bugzilla.gnome.org/show_bug.cgi?id=778030

M	src/gr-details-page.ui

commit 820784d554e26ae626356a594bb2c8972201f61b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Feb 4 11:10:23 2017 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit 6d4d15fbbbdca4acd806e01de3f544c3f29a55f0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 4 06:18:16 2017 +0100

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 8b623c9818b547950964b47235a4a5c5ed5b44fa
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 4 06:13:02 2017 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit adbad3448b3692a44aa86a831565848249831e05
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 3 10:27:12 2017 +0100

    Use a cooking view for previewing instructions

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit 0e6d2d302f7bcf2cd79529f93aeed8e3e9f4eff9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 3 11:14:26 2017 +0100

    Small fixup for heading style

    I'm using the heading style class for a box now to align the
    entire content, but I don't want to inherit the font changes
    into some of the content, so restrict the font parts to
    label.heading.

M	src/recipes.css

commit ed26ad61baf894cfe2f2a2ac481d2046a6605919
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 3 09:09:04 2017 +0100

    details: Remove the original cooking mode

    We have a separate cooking page for this now, so all this code
    is not used anymore.

M	src/gr-details-page.c
M	src/gr-details-page.h
M	src/gr-details-page.ui

commit b28c1dc3504a251567e659f1823529c087c578f4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 23 18:39:13 2017 +0300

    window: Add a button press handler

    This send button presses to the cooking view.

M	src/gr-window.c
M	src/gr-window.ui

commit 015336ef9e2aa7a81c1d8713780c52ef609424b4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 3 07:48:50 2017 +0100

    Integrate the new cooking page

M	src/gr-window.c
M	src/gr-window.ui

commit bfaf36e300076b56700504a4b5694d4c2ed94e1e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 3 07:25:47 2017 +0100

    Create separate cooking page

    This will be a fullscreen view.

M	src/Makefile.am
A	src/gr-cooking-page.c
A	src/gr-cooking-page.h
A	src/gr-cooking-page.ui
A	src/icons/48x48/apps/press-any-key.png
A	src/icons/48x48/apps/press-escape-key.png
A	src/icons/48x48/apps/press-left-button.png
A	src/icons/48x48/apps/press-right-button.png
M	src/main.c
M	src/recipes-images.gresource.xml
M	src/recipes-ui.gresource.xml

commit 9d1e5a315239292ff2c38b254500107dd82c9d21
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 4 06:01:55 2017 +0100

    Add a cooking view

    This contains the functionality to display instructions step-by-step,
    including images and timers.

M	src/Makefile.am
A	src/gr-cooking-view.c
A	src/gr-cooking-view.h
A	src/gr-cooking-view.ui
M	src/main.c
M	src/recipes-ui.gresource.xml

commit 3d338019916a262a55328ad3e4e6768b708adab2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 3 07:15:29 2017 +0100

    Add a compound timer widget

    This is closer to the mockups, although not quite the same.

M	src/Makefile.am
A	src/gr-time-widget.c
A	src/gr-time-widget.h
A	src/gr-time-widget.ui
M	src/main.c
M	src/recipes-ui.gresource.xml
M	src/recipes.css

commit 715511291d8782fe83a83106fcbb02b4e36bc8fe
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Feb 3 07:15:00 2017 +0100

    Make the timer animation nicer

    Follow the style seen in gnome-clocks.

M	src/gr-timer-widget.c

commit b4fede2d7fbb9c5ada204c929a79bebdb572a460
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Feb 4 00:22:09 2017 +0100

    Fix a bug in the timer code

    We need to pass the duration as a 64bit integer all the way.

M	src/gr-timer.c

commit 2e266439a99e0969b9d6ce5bf29ed27a69a14982
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 23 18:28:01 2017 +0300

    Add new timer api

    The new api corresponds to what we want the timer
    to do in the cooking view.

M	src/gr-timer.c
M	src/gr-timer.h

commit 7bbb334f9abe94659286b907e0ada9751439ac51
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 23 19:09:03 2017 +0300

    details: rename an api

M	src/gr-details-page.c
M	src/gr-details-page.h
M	src/gr-window.c

commit 8307993fd693c1e8f7be03102f2c9b21033e5ad0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 1 17:25:41 2017 +0100

    Remove another test data recipe

    With this, our picks are free from test data.

M	data/picks.db
M	data/recipes.db

commit ebf833a25d1a5637dc6a9e70694ab861b5a94061
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 1 17:22:35 2017 +0100

    Add Matthew to recipe authors

M	src/gr-app.c

commit f9360092f47b5228562b7215150c10bdb4337c14
Author: Matthew Leeds <mleeds@redhat.com>
Date:	Sun Jan 22 15:16:03 2017 -0600

    Add Gingered Carrot Soup recipe

    This is my aunt's recipe that I found in a family cookbook.

    https://bugzilla.gnome.org/show_bug.cgi?id=777622

M	data/Makefile.am
M	data/chefs.db
M	data/chefs.db.h
A	data/images/gingered_carrot_soup.jpg
A	data/images/mwleeds.jpg
M	data/recipes.db
M	data/recipes.db.h

commit 036a99d017e52323d4af88eb831510b2f4f252a8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 1 06:17:02 2017 +0100

    Add more images for a recipe

    These were taken by Jakub Steiner.

M	data/Makefile.am
A	data/images/non_knead_buns1.jpg
A	data/images/non_knead_buns2.jpg
A	data/images/non_knead_buns3.jpg
A	data/images/non_knead_buns4.jpg
A	data/images/non_knead_buns5.jpg
M	data/recipes.db

commit f7b4c571b89d4c150758fc8a6cd3f92cd94741f4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Feb 1 05:40:31 2017 +0100

    details page: Display instructions lighly formatted

    This avoids the raw markup on the details page and
    preserves the previous functionality. Still somewhat
    temporary, and may need a better solution.

M	src/gr-details-page.c

commit ed9455572fe1e7eee2430a23a2af0f8ff882711c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 31 19:57:20 2017 +0100

    edit page: Use simple markup for instructions

    This is a first attempt at structured editing for instructions,
    with steps, images and timers.

    We've lost support for recipe cross-references here, since they
    don't work well with our new back button regime and the cooking
    mode. Maybe they will come back in the description text at some
    point.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit ea49206340456a6a8a7ce513c26b3f392314d5fa
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Jan 31 15:21:36 2017 +0000

    Update Spanish translation

M	po/es.po

commit 3a877a664818d97a9289e4aec5efe7ecebac6220
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 31 14:09:48 2017 +0100

    Rearrange the edit page a bit

    This is getting us closer to the latest mockup.

M	src/gr-edit-page.ui

commit a412074cfc1174aa7828c897457b7dfb8b0dc1c7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 31 13:46:03 2017 +0100

    Fix a corner-case in the chef dialog

    When it is possible to switch between chefs, but the selected
    chef is readonly, we still need to enable the save button.

M	src/gr-chef-dialog.c

commit 85ab72c53b33f4cdcfb2841dcb2e476adaf3add6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 30 12:57:29 2017 +0100

    Allow entering recipes on somebody elses behalf

    This will let you enter your mom's recipe, and create a chef
    entry for her, if that is what you prefer.

M	src/gr-app.c
M	src/gr-chef-dialog.c
M	src/gr-chef-dialog.h
M	src/gr-chef-dialog.ui
M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit 5d1de5eca449f19f1035a362feda3f4e30df50b0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 31 08:00:41 2017 +0100

    Add api to update chefs

    This is similar to the corresponding API for recipes.
    It ensures that we get the proper store signals emitted
    when a chef changes.

M	src/gr-recipe-store.c
M	src/gr-recipe-store.h

commit 3b1445775b882bf8d60cba243771093d1a641016
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 31 12:05:34 2017 +0100

    Move all_headers to utils

    Thats better than keeping a million static copies.

M	src/gr-details-page.c
M	src/gr-edit-page.c
M	src/gr-recipe-exporter.c
M	src/gr-shopping-page.c
M	src/gr-utils.c
M	src/gr-utils.h

commit 7461e97df55981f202f2a55babac1141a7aaf51f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 31 08:00:15 2017 +0100

    Fix a crash in the image viewer

    We were crashing when saving a recipe without images. Oops.

M	src/gr-image-viewer.c

commit 7301c44bf666f2f1ab09431d21817bd6d18fa07a
Author: Daniel Boles <dboles@src.gnome.org>
Date:	Sat Jan 28 14:25:08 2017 +0000

    cuisine-page: Add missing return sink for signal

    A signal with a return type other than G_TYPE_NONE expects
    “parameters
    to be passed to the signal, followed by a location for the return
    value”
    but the latter was not being supplied here. This can cause a segfault
    because the valist doesn’t contain the number of arguments GLib
    expects.

    https://bugzilla.gnome.org/show_bug.cgi?id=777871

M	src/gr-cuisine-page.c

commit a463a289e11c74ac03dfdd0b8fde6d3730d87572
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 30 09:10:52 2017 +0100

    Rename Preferences menu item

    "Preferences" was not a very obvious label for this, so call
    it "My Chef Information" instead. At the same time, get rid
    of the redundant title inside the dialog, and just use the
    headerbar.

M	src/gr-app.c
M	src/gr-chef-dialog.ui
M	src/menus.ui

commit cd96d95df5a10eef3f2fea09e3b42f3b9b8625ae
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 30 09:00:08 2017 +0100

    Rename GrPreferences to GrChefDialog

    We will use this dialog in more places soon.
    No visual changes yet.

M	po/POTFILES.in
M	src/Makefile.am
M	src/gr-app.c
R083	src/gr-preferences.c	src/gr-chef-dialog.c
R080	src/gr-preferences.h	src/gr-chef-dialog.h
R099	src/gr-preferences.ui	src/gr-chef-dialog.ui
M	src/recipes-ui.gresource.xml

commit a8f634fc370ca5396d7efa02bab20a7373ccc6d2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Jan 30 01:40:31 2017 +0100

    Update Polish translation

M	po/pl.po

commit c2e16746ef6ac3c6f864c9b2d834f9328956c089
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 30 01:07:19 2017 +0100

    Accept images from the clipboard

    This makes Ctrl-V over the image viewer work to paste an
    image from the clipboard, when editing a recipe.

M	src/gr-image-viewer.c

commit 0c3473c876bf93e63a855a591d492f75d926af0b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 30 00:41:53 2017 +0100

    Fix oversights in directory creation

    I didn't mean to use a literal "subdir" here, and I did not
    pass the proper arguments to mkdir.

M	src/gr-utils.c

commit bc950fdb5f5cbcef475f7a95f1183993cba92bec
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 30 00:10:33 2017 +0100

    Limit featured chefs to 6

    Otherwise, we get more than 2 rows, and the page gets
    too high then.

M	src/gr-recipes-page.c

commit e10502251c17ffb59f6e86429af79046911369a0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 28 14:03:11 2017 +0100

    Add a contributed recipe

    Non-knead buns by tigert.

M	data/Makefile.am
M	data/chefs.db
M	data/chefs.db.h
A	data/images/non_knead_buns.png
A	data/images/tigert.jpg
M	data/picks.db
M	data/recipes.db
M	data/recipes.db.h
M	src/gr-app.c

commit 91cd6b5ad96feb1bf52149bcb564717bb333f993
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 28 19:04:06 2017 +0100

    Add a shopping list notification

    Show an in-app notification when a recipe is added to the
    shopping list. This is following the latest mockups for
    this feature.

M	src/gr-details-page.c
M	src/gr-window.c
M	src/gr-window.h
M	src/gr-window.ui

commit 200f7405be43f807c10aaff75cfafaf767355227
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 28 18:40:24 2017 +0100

    Some updates to the shopping list UI

    Follow the latest mockups: Rename from "Cook it later" to
    "Buy ingredients", move the button closer to hte ingredients
    list.

M	src/gr-details-page.c
M	src/gr-details-page.ui
M	src/gr-recipes-page.c
M	src/gr-recipes-page.ui
M	src/gr-shopping-page.ui
M	src/gr-window.c

commit 0bcf3fdc9bd1081d6123e10d434c9b91282ca11a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 28 13:41:02 2017 +0100

    Add UI for setting the default image

    For now, we just use a simple toggle button for this.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit ea49264f2aa84aaf057eb67fc802c1e5e3a7683e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 28 10:13:15 2017 +0100

    edit page: Show the default image

M	src/gr-edit-page.c

commit 8225829023cd01901dc92852fb033ce6361b15b5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 28 10:12:46 2017 +0100

    details page: Show the default image

M	src/gr-details-page.c

commit 692fd9bf3196009713bd5599a1e01f7f1b65e41c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 28 10:09:36 2017 +0100

    Small cleanup

    Use the API we have.

M	src/gr-edit-page.c

commit 70e567d641c6a434109b13605b996a71ab54ad81
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 28 10:03:52 2017 +0100

    Use the default-image field for recipe tiles

M	src/gr-recipe-tile.c

commit 4eaa08817e044fcb76bce49eaf48fd20b2d1b031
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 28 10:03:27 2017 +0100

    Save and load the default-image field

M	src/gr-recipe-store.c

commit fc6b9117f2a7e8d8f5b0b5be16957f8532d263d1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 28 10:02:26 2017 +0100

    Add a default-image field to GrRecipe

    This will be used to mark an image as the default one to be used
    in tiles, etc.

M	src/gr-recipe.c
M	src/gr-recipe.h

commit baf2a9bc378f032cba6c18c92acb8ed281fa1b56
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 28 13:41:36 2017 +0100

    image viewer: Notify on index changes

    This was just overlooked so far.

M	src/gr-image-viewer.c

commit e19d747866640ef68b8b6a3c2b2f97d31756a2a1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 28 09:40:28 2017 +0100

    edit page: Add an image by clicking on the image

M	src/gr-edit-page.ui

commit 12a8f856a6db66069b32542b6eb9957f041b8119
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 27 15:36:46 2017 +0100

    edit page: Don't do fullscreen image view

    This is confusing and unnecessary on the edit page.
    To make this possible, switch things around to use a
    signal in the image viewer and handle it from the details
    page.

M	src/gr-details-page.c
M	src/gr-details-page.ui
M	src/gr-image-viewer.c

commit ab4eb4c190b4ed392f25ee3c5efa8f06aee46aa1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 26 17:14:51 2017 +0100

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit f96b4deef7b3bfc50175f4d0fcca32e11b840899
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 25 23:49:03 2017 +0100

    Improve the notes UI

M	src/gr-details-page.c
M	src/gr-details-page.ui
M	src/recipes.css

commit 98e78a6675fe629eec53753485e66c8008026a9c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 26 09:30:24 2017 +0100

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit bd27e75559ceb59853c7b6067c14728717671779
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 24 18:14:43 2017 +0300

    Add a fullscreen image viewing mode

    This lets you see images at full size.

    https://bugzilla.gnome.org/show_bug.cgi?id=777667

M	src/Makefile.am
A	src/gr-image-page.c
A	src/gr-image-page.h
A	src/gr-image-page.ui
M	src/gr-image-viewer.c
M	src/gr-window.c
M	src/gr-window.h
M	src/gr-window.ui
M	src/main.c
M	src/recipes-ui.gresource.xml
M	src/recipes.css

commit e28d2c04219d201d62778bb76d96362db74c6dbe
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 23 18:42:44 2017 +0300

    window: Add fullscreen api

    We can't just use the GtkWindow api unfortunately, since there is
    no way to query the current state.

M	src/gr-window.c
M	src/gr-window.h

commit f8b207a2c0a00aa1eae277c1555631c8cd6aede2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Jan 24 18:09:50 2017 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit 53c528aba8c53e70343ecbae36afb36cbddcd36d
Author: Matthew Leeds <mleeds@redhat.com>
Date:	Sun Jan 22 14:12:59 2017 -0600

    Don't show dairy warning for vegan recipes

    Vegan recipes by definition can't contain dairy so we shouldn't show a
    warning for it even if the milk-free flag isn't set. Another solution
    would be to set the milk-free flag for all vegan recipes, but the code
    seems to make the assumption that each recipe has only one diet flag
    set.

    https://bugzilla.gnome.org/show_bug.cgi?id=777621

M	src/gr-recipe.c

commit 410fed0378c319ece82752e605497014aeddc778
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 24 17:17:11 2017 +0100

    Remove a no-longer-used file

    The image viewer has replaced the image editor.

D	src/gr-image-editor.ui
M	src/recipes-ui.gresource.xml

commit 4dde0a1a2d919f3dec9e8edfbe4ef80ab5d26b07
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 24 09:54:47 2017 +0300

    Apply image rotation in recipe tiles

    This was simply overlooked since we didn't have any recipes
    with rotated images that would show up in tiles.

    https://bugzilla.gnome.org/show_bug.cgi?id=777671

M	src/gr-recipe-tile.c

commit 45d14face26c8501b18f17b21e11ae1babb25707
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 24 09:53:49 2017 +0300

    Add a utility function for saving rotated images

    GTK+ CSS (like regular CSS) has no way for use to rotate a
    background image, so we need to save a rotated copy for use
    as a background in tiles/

M	src/gr-utils.c
M	src/gr-utils.h

commit 7eb77bd0774700b40c31b11f228cbb935f9be309
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 24 09:06:11 2017 +0300

    Allow adding multiple images in one go

    There is just no reason not to do this.

M	src/gr-image-viewer.c

commit 0da3be35b68003d44917feb62ef7f740ced9e691
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 24 09:01:01 2017 +0300

    Remove control for 'dark text'

    This is no longer used with the current tile design.
    As a first step towards removing it altogether, drop
    the UI for it.

M	src/gr-image-viewer.c

commit e649abaf3a4bcf57d005161c3de0f464c0abcedf
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 24 08:58:01 2017 +0300

    Allow adding more than 4 images

    This restriction is a leftover from when there was a vertical
    non-scrolling thumbnail view.

    https://bugzilla.gnome.org/show_bug.cgi?id=777668

M	src/gr-edit-page.c

commit 0b6ff3d39dbad057e6af8b90c0e1404e0cc19d26
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 24 02:16:38 2017 +0300

    Add pictures for Indian cuisine

    We have Indian recipes now!

A	src/big-indian.jpg
M	src/cuisine.css
A	src/indian.jpg
M	src/recipes-images.gresource.xml

commit c0dc8fc9dfe2f8e74ad4b9325075ab1495ab36a2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 13 07:26:15 2017 -0500

    Slightly change the donauwellen recipe

    This is a temporary fixup; we need to break the instructions into
    steps, and we break at periods, so move the image links before the
    period, so they end up with the step they belong to.

M	data/recipes.db

commit 301160482bd46065e8d6b5f12de848c140b04386
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Jan 22 21:46:02 2017 +0100

    Update Polish translation

M	po/pl.po

commit 68f0569a506c189f170db90cc397b2952765de1d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 20 13:29:25 2017 -0500

    Remove unused test chefs

    These didn't have any recipes and weren't featured.

M	data/chefs.db

commit 2712d4b1502b2e1b5a3c6994c0aa37afb947ab3d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 20 13:21:49 2017 -0500

    Drop another test data recipe

M	data/picks.db
M	data/recipes.db

commit 64a1fccf7bab6a5bb4897d09bff2b1a6db466ca1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 20 13:18:23 2017 -0500

    Add another contributed recipe

    South Indian Tomato Chicken Curry by Erusan

    https://bugzilla.gnome.org/show_bug.cgi?id=777514

M	data/Makefile.am
A	data/images/chickencurry.jpg
M	data/recipes.db
M	data/recipes.db.h

commit df5c1a38bb4a3aec82e204156b03137149446a68
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 20 13:17:43 2017 -0500

    Also escape , in css identifiers

    Otherwise, things break.

M	src/gr-utils.c

commit 771aeccf2a273dcc3d204a71acb19392bd1c0d30
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 20 12:57:34 2017 -0500

    Remove another test data recipe

M	data/picks.db
M	data/recipes.db

commit 99640fb6e7b2f2950f5f125f37c8447be4024703
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 20 12:55:09 2017 -0500

    Regenerate translatable recipe content

M	data/recipes.db.h

commit a40a8b6fee6cfa235d48b6f75f9403d864965696
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 20 12:53:12 2017 -0500

    Add another contributed recipe

    Rosemary scalloped potatoes by Erusan

    https://bugzilla.gnome.org/show_bug.cgi?id=777516

M	data/Makefile.am
A	data/images/rosemary-potatos1.jpg
A	data/images/rosemary-potatos2.jpg
M	data/recipes.db

commit 482a5b1483715b77e105b03839740e79354898d8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 20 12:40:49 2017 -0500

    Add chickensoup to the picks

M	data/picks.db

commit f34cb5ed3930f5977fb3c808cb9b98f8cb4d6bca
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 20 12:40:26 2017 -0500

    Remove another test data recipe

M	data/recipes.db

commit cb2ac93c73b85243fa7051e4ad9ad951a3f271db
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 20 12:38:52 2017 -0500

    Regenerate translatable recipe content

M	data/recipes.db.h

commit c70a8db08e02427ae5c9daff88ec0eb2f141806d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 20 12:34:40 2017 -0500

    Add another contributes recipe

    Chicken Noodle Soup by Link Dupont.

    https://bugzilla.gnome.org/show_bug.cgi?id=777518

M	data/Makefile.am
M	data/chefs.db
A	data/images/Sonic.jpg
A	data/images/chickensoup.jpg
M	data/recipes.db
M	src/gr-app.c

commit e3d4d1845d1e96525d8506637556490afe761313
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 20 12:22:20 2017 -0500

    Some updates for the pizzaburger recipe

    Mostly typographical improvements, and some more chef data.

M	data/chefs.db
M	data/chefs.db.h
M	data/recipes.db
M	src/gr-app.c

commit d76dc5a38b72b44a3acaad0735908a723ba85f65
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 19 19:44:06 2017 -0500

    Add pizzaburger to the picks list

M	data/picks.db

commit 175abe826dff65b8d54311ae5d9d6d8d43f4bd25
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 19 19:43:45 2017 -0500

    Remove another test data recipe

M	data/recipes.db

commit 07c41297583938e327c4d8908d8b46340844d411
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 19 19:39:04 2017 -0500

    Update recipes translatable content

M	data/recipes.db.h

commit 029af62a98c7a780ce6984a54ffe1bf644d3fddc
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 19 19:38:16 2017 -0500

    Add erusan to the recipe authors

M	src/gr-app.c

commit 04bec50e86ee42cfc1f75c0e9a47765930dad162
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 19 19:22:02 2017 -0500

    Add a recipe for pizzaburger by erusan

    https://bugzilla.gnome.org/show_bug.cgi?id=777511

M	data/Makefile.am
M	data/chefs.db
A	data/images/erusan.gif
A	data/images/pizzaburger.jpg
M	data/recipes.db

commit 17861594f175a8286256ec247f64f96b7af49d2a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 19 17:33:51 2017 -0500

    Simplify the 'built-with-builder' logo support

    Instead of doing the recoloring manually, use the -gtk-recolor()
    CSS function.

R100	src/built-with-builder.png
src/built-with-builder-symbolic.symbolic.png
M	src/gr-app.c
M	src/recipes-images.gresource.xml

commit 1a30cdb269036792b9c0e00a63256e2e275112e0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 19 10:11:32 2017 -0500

    Update header information in German translation

M	po/de.po

commit 43450f11fe9b00cfcbbda5dabd5a0152351d4db2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 19 09:54:41 2017 -0500

    Add an (empty) Arabic translation

    Just to prove a point...

M	po/LINGUAS
A	po/ar.po

commit 65a0a5d2284a0063ba4625936403fccf71f14854
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 15:07:06 2017 -0500

    Update screenshots slightly

M	data/appdata/cuisine.png
M	data/appdata/cuisines.png
M	data/appdata/details.png
M	data/appdata/edit.png
M	data/appdata/recipes.png

commit 5f166d17ff6f7ea951a12ee32304f9fdd8ca7af7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 14:52:20 2017 -0500

    Bump version to 0.8.1

M	configure.ac

commit c9291b9eb534a9abcc9bc414f45b9a01afa4c91b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 14:18:41 2017 -0500

    0.8.0

M	configure.ac

commit 37533b3ce7ebf67522e694e60733db25a9b5198d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 14:34:54 2017 -0500

    Avoid calling into gr-app from utils

    This is problematic for the current test setup, so avoid it.

M	src/gr-app.c
M	src/gr-app.h
M	src/gr-utils.c

commit 54ea0d94eabc3bdd81a93bb3351025883d4f8059
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 14:07:09 2017 -0500

    Some updates to the German translation

M	po/de.po

commit b412efac6864b5952afe452f7e5b3227f61a4cb8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 13:54:26 2017 -0500

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 4ef9cc52da75b68b8bed279bc8261b24497c0bc0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 13:43:58 2017 -0500

    Improve the shopping list print layout a bit

    Reduce font size the same as we did for recipe printing.

M	src/gr-shopping-list-printer.c

commit 69d49a0f66a1c986af0eaedc8a9a9c2e610d6909
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 13:43:00 2017 -0500

    Improve recipe print layout a bit

    Reduce the font size; we're not going for large print here.
    Break the title if it is too wide, and use the full name of
    the chef.

M	src/gr-recipe-printer.c

commit bd20d52a767a55356e7f99511e3cccb8966702b9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 12:56:29 2017 -0500

    Fix a typo

M	data/recipes.db

commit 8ae1b6845ad76a3e8fef354d4999e162bd15eaae
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 12:47:47 2017 -0500

    Avoid a crash when navigating away from search

M	src/gr-window.c

commit d797af9fe47fef65c8887cd10d4f6a35ae50a7ba
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 12:47:14 2017 -0500

    Improve the test data a bit

    Rewrite ingredients lists to have the expected names,
    and the new format.

M	data/recipes.db

commit ae8d8fc5e79fdc4c590028904d70092eea09679e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 07:39:58 2017 -0500

    Warn about lack of the print portal

M	src/gr-recipe-printer.c
M	src/gr-shopping-list-printer.c

commit 645f5729d0ec6e16d5d2acf1841b837e3ff156fe
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 07:36:22 2017 -0500

    Move the portal check around

    We will use this in more places, so make it available
    as a utility.

M	src/gr-app.c
M	src/gr-app.h
M	src/gr-image-viewer.c
M	src/gr-utils.c
M	src/gr-utils.h

commit a0c4bd44fe84887b5d4d215d1cf53c17e090124f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 07:30:06 2017 -0500

    Don't leak the shell search provider

M	src/gr-app.c

commit c94ca4db4ea7bb5a3d7202bd8a86c213fd8ebeb5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 07:19:44 2017 -0500

    Warn if we don't have the desktop portals

    This is not great, but better than silently doing nothing
    and leaving people to wonder.

M	src/gr-image-viewer.c

commit d1d9560d8986ea23da9c8cfc091c5c959461048a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 07:14:20 2017 -0500

    Show an error if portals are missing

M	src/gr-image-viewer.c

commit d525db56d749403b8e47eeb2a9f182372e6d1526
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 07:13:59 2017 -0500

    Move a function to utils

    It will be used in more places soon.

M	src/gr-app.c
M	src/gr-utils.c
M	src/gr-utils.h

commit b516b5ce11b046fbaede332ef7e3c77f52041e74
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 06:28:03 2017 -0500

    Remove some more test data from the picks

M	data/picks.db

commit 4611d78190d2edbdc756ccc378d4f08e91025c64
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 06:27:17 2017 -0500

    Randomize the pick selection

    We lost this at some point; it is a bit boring to see the
    same picks every time, so scramble the list to let us
    see different picks.

M	src/gr-recipes-page.c

commit e6595c07610e8e5f5367b45699ddbe22e53935b0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 06:16:39 2017 -0500

    Drop another test data recipe

    And add Allan to the featured chefs.

M	data/picks.db
M	data/recipes.db

commit 21f10936707dfe10bf09492477b63fd3119cc6e2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 06:01:38 2017 -0500

    Regenerate translatable recipe content

M	data/chefs.db.h
M	data/recipes.db.h

commit 3c8cf908ca09f1a08e5ded33025d24973cb1270e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 06:01:03 2017 -0500

    Add Allan to the recipe author list

M	src/gr-app.c

commit 655f3af5fffb53943fa09bfc9c731e713ea69781
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 05:52:30 2017 -0500

    Add a recipe for a cake by Allan

    Pineapple upside down cake, by Allan Day.

    https://bugzilla.gnome.org/show_bug.cgi?id=777437

M	data/Makefile.am
M	data/chefs.db
A	data/images/allan_day.jpg
A	data/images/pineapple_upside_down.jpg
M	data/recipes.db

commit 6021c11768ef1f862b0b60912a2211b76df4a346
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 05:44:51 2017 -0500

    Revert "Try the file chooser portal again"

    This reverts commit 1281197512f5f9ac334c4731c278db6b229fe816.

    Didn't mean to push this yet. It needs to wait for fixes on the
    flatpak side.

M	src/gr-recipe-exporter.c

commit 31725950235414cfb7781f28f1b643a488184de4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 18 05:42:06 2017 -0500

    Fix a small misalignment among the tiles

    Pointed out by eagle-eye Allan.

    https://bugzilla.gnome.org/show_bug.cgi?id=777438

M	src/recipes.css

commit 1281197512f5f9ac334c4731c278db6b229fe816
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 17 17:07:32 2017 -0500

    Try the file chooser portal again

    Some further debugging has shown that the problem is with
    nonatomically writing to the save location, so work around
    that.

M	src/gr-recipe-exporter.c

commit ba38d607225be32adf9be8ee34f48b416cb11030
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 17 13:19:12 2017 -0500

    Make exporting work in flatpak, second try

    I've unfortunately discovered some issues with the SaveFile
    method of the filechooser portal, so for now, go back to writing
    to a fixed location, albeit one that will survive the lifetime
    of the sandbox.

M	src/gr-recipe-exporter.c

commit f11610ed90eed6fb7fc4ce735cc189557d8eb508
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 17 14:28:00 2017 -0500

    Revert "Make exporting work in flatpak"

    This reverts commit 3d57f99daa8914e5a0d817afd660bd8aa43d6901.

M	src/gr-recipe-exporter.c

commit 3d57f99daa8914e5a0d817afd660bd8aa43d6901
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 17 13:19:12 2017 -0500

    Make exporting work in flatpak

    We were writing the archive to /tmp which is a tmpfs in
    flatpak sandboxes, and does not survive longer than the
    application runs. Oops.

    To avoid this problem altogether, let the user choose the
    location to which we write the archive.

M	src/gr-recipe-exporter.c

commit 5bb3d07b4183063232f7adf05d316e7cf3178849
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 17 08:52:46 2017 -0500

    Make the edit page a bit wider

    This gives a bit more room to the name entry, which has been
    criticized as too short. Now it is 30 characters wide.

M	src/gr-edit-page.ui

commit 4286d2ca37237bd02f027b488d1a88742f3e9487
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 17 08:49:21 2017 -0500

    Reduce overall page margins

    80 is a bit much, lets go with 60.

M	src/gr-cuisine-page.ui
M	src/gr-cuisines-page.ui
M	src/gr-list-page.ui
M	src/gr-recipes-page.ui
M	src/gr-search-page.ui
M	src/gr-shopping-page.ui

commit 20aed4d6eb4bbcdc010ac5ec01cbffb6f0c7c216
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 17 07:36:22 2017 -0500

    Make search case-insensitive again

    This was accidentally lost when I reworked the way
    search terms are passed around.

    https://bugzilla.gnome.org/show_bug.cgi?id=777311

M	src/gr-query-editor.c

commit ba8c0cc1726baa451236c1dd84ca697d07692eff
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 17 06:50:10 2017 -0500

    Drop the degree sign for Kelvin

    This is just a temporary fix, since several people have complained
    about it. Eventually, we want the temperature to be displayed in
    the users preferred temperature unit.

M	data/recipes.db

commit 53a907ccc2948035485a1f87552dd1b33a1504b4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 17 06:40:44 2017 -0500

    cuisine page: Defer scrolling to an idle

    This avoids problems when switching between different cuisines.
    We also avoid some unnecessary inefficiency by providing direct
    links from the sidebar items to the content.

    https://bugzilla.gnome.org/show_bug.cgi?id=777304

M	src/gr-cuisine-page.c

commit e1fcef94148a30e7185a8b2846e252842eb85bd8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 17 05:09:08 2017 -0500

    Avoid a warning on exit

    We run into trouble if modify children from finalize, so just
    copy the three lines we really need.

M	src/gr-list-page.c

commit 771952d4c8067570e88b457f2058bfaa9058deca
Author: Mohammed Sadiq <sadiq@sadiqpk.org>
Date:	Tue Jan 17 10:13:50 2017 +0530

    edit-page: set Directions link color from context

    Hardcoding blue color for links was creating contrast issue
    in dark theme.

    So let the link color be set based on context

    https://bugzilla.gnome.org/show_bug.cgi?id=777367

M	src/gr-edit-page.c

commit 4db38fcc0d8e1d4c7d5a7c37e178894e5b38cc84
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 16 22:11:38 2017 -0500

    Avoid an error during exporting recipes without images

    We were not careful enough when handling empty image paths.

    https://bugzilla.gnome.org/show_bug.cgi?id=777306

M	src/gr-recipe-exporter.c

commit 8e3daf8748b596cd9ed7da9348cfcfdbcb539dcf
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 16 22:10:56 2017 -0500

    Forgotten file

    This belongs to the simplified window size handling in the
    previous commit.

M	src/gr-recipes-page.c

commit 98765e865eb81e9a39eddba30026dce1c196eda3
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 16 21:47:39 2017 -0500

    Another simplification of window size handling

    We were attempting to manually give the window the right
    size by setting scrolled windows not scrollable initially.
    This turns out to not really make things much better, so
    just stop doing it.

M	src/gr-recipes-page.ui

commit 2ca4029709b6691448ba5e09164b9f645e19b7b6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 16 21:29:46 2017 -0500

    Simplify window size handling

    We don't need to maximize ourselves. Respectable window managers
    do this on their own (at least mutter does), if we give them the
    chance by making the window resizable.

M	src/gr-window.c
M	src/gr-window.ui

commit 87988786a5bcff732cba62ccf6fc043115e57754
Author: Mohammed Sadiq <sadiq@sadiqpk.org>
Date:	Tue Jan 17 07:36:39 2017 +0530

    exporter: set export button sensitivity conditionally

    When no recipe is selected for exporting, there is no
    need to allow the user to Export the recipes.

    So let the Export button be sensitive only if at least
    one recipe is marked for export.

    https://bugzilla.gnome.org/show_bug.cgi?id=777299

M	src/gr-recipe-exporter.c

commit eca737373f80b8f87520451408220d4ec51ff7a2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 16 21:06:57 2017 -0500

    Maximize the window if the screen is too small

    This should prevent the window from coming up halfway offscreen.
    https://bugzilla.gnome.org/show_bug.cgi?id=777303

M	src/gr-window.c

commit 2bb537bd48b2dea3830147c03818ce9e5c606aca
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 16 16:17:49 2017 -0500

    Avoid ending up on an empty page

    When a search is stopped by toggling the search button, we should
    go back to where we came from, like we already do when search is
    stopped with Esc.

    https://bugzilla.gnome.org/show_bug.cgi?id=777297

M	src/gr-window.c
M	src/gr-window.ui

commit e41bfde73e329ce22a554c99918dd8f2032d17e6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 16 15:04:27 2017 -0500

    details page: Preserve the serves value

    When we reload the recipe because it changed in the store,
    we should not loose the serves value that the user has entered
    here.

    https://bugzilla.gnome.org/show_bug.cgi?id=777305

M	src/gr-details-page.c

commit 0ce6b21b155ef6f5407c7b9aa5754b18ca2a368f
Author: Mohammed Sadiq <sadiq@sadiqpk.org>
Date:	Mon Jan 16 22:11:43 2017 +0530

    about: fix link color in Adwaita dark theme

    The link color was hardcoded to blue color.
    This was creating contrast issues in dark theme.

    To fix this, get the link color from context and use.

    https://bugzilla.gnome.org/show_bug.cgi?id=777340

M	src/gr-app.c

commit 59226bde89e99d95a55c990af0a49b2c1daf92d4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 16 11:56:28 2017 -0500

    Strip links when printing

    We don't want to see the raw markup in the printout.

    https://bugzilla.gnome.org/show_bug.cgi?id=777292

M	src/gr-recipe-printer.c

commit d2009fe572465d93ccca85b08b5a822a41808112
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 16 10:29:16 2017 -0500

    Split off a separate chef page

    For now, this is just a second instance of the list page. Eventually,
    we may want to differentiate these further. This is just the minimal
    change needed to fix a problem with the back stack handling for
    list pages.

    https://bugzilla.gnome.org/show_bug.cgi?id=777302

M	src/gr-window.c
M	src/gr-window.ui

commit 0fc8725065fda3f63cf7e7405db0f11b60d23ff7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 16 10:00:25 2017 -0500

    Simplify the sandbox check

    No need to create a path, /.flatpak-info is at a fixed location.
    Pointed out by Alex Larsson.

M	src/gr-app.c

commit 88d7439d36941587113f9129cfadb9cf30bf5a03
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 16 08:34:51 2017 -0500

    window: Listen for shopping title changes

    ...and update the title, when appropriate.

    https://bugzilla.gnome.org/show_bug.cgi?id=777301

M	src/gr-window.c
M	src/gr-window.ui

commit 384d9c568d05cc4c2f27abb52fe0570f174be02a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 16 08:33:25 2017 -0500

    shopping: Make the title a property

    Setting the window title from here does not really work, since
    we end up overwriting the title of unrelated pages. Instead, we
    will listen for property changes from the window side.

M	src/gr-shopping-page.c

commit 3826dcccebd6c81ad2eefe5e73135ab45c1634a0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 16 07:57:07 2017 -0500

    Ensure that the image viewer controls don't linger

    Make sure to hide the controls when we set new images.

    https://bugzilla.gnome.org/show_bug.cgi?id=777295

M	src/gr-image-viewer.c

commit eb27085ea7accd072279efd6a0f868697be87473
Merge: 5cca286 cc9b7de
Author: matthiasclasen <matthias.clasen@gmail.com>
Date:	Mon Jan 16 07:35:01 2017 -0500

    Merge pull request #14 from jimmac/master

    styling: use legible tile labels

commit 5cca286ba2f5c9a8d4ff7f227a6581823333cc2e
Merge: 39a0715 3e30c22
Author: matthiasclasen <matthias.clasen@gmail.com>
Date:	Mon Jan 16 07:21:40 2017 -0500

    Merge pull request #12 from dareg/master

    Add some informations about dependencies

commit 39a07156170296b9d34f55e6b7320d805b394deb
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 15 21:17:46 2017 -0500

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 2299ce4279b788e89880ec4a21b6f9fb27e91684
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 15 18:40:58 2017 -0500

    Drop the ingredients page for now

    This is something we pick up again at some later point.

    For now, Elvin and I have agreed to cut it and focus on
    completing more essential functionality for 3.24.

M	po/POTFILES.in
M	src/Makefile.am
D	src/gr-ingredient-tile.c
D	src/gr-ingredient-tile.h
D	src/gr-ingredient-tile.ui
D	src/gr-ingredients-page.c
D	src/gr-ingredients-page.h
D	src/gr-ingredients-page.ui
M	src/gr-window.c
M	src/gr-window.ui
M	src/main.c
M	src/recipes-ui.gresource.xml

commit 198ec2c227da0f8be6f0d704b6b5cf8136ff0d06
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Jan 15 14:29:03 2017 +0100

    Update Polish translation

M	po/pl.po

commit 0da92c84533725aa8018d2925b01e8067dc6f09d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 22:36:04 2017 -0500

    Reshuffle preferences a bit

    Lets make this a bit less formulaic and get rid of
    the labels.

M	src/gr-preferences.ui

commit c7d1a10cb812f0e77d23a33ed15834b76323bec9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 22:19:10 2017 -0500

    Some more German translation updates

M	po/de.po

commit 9503e8299cdfc2adffbc3dccc5822cc9f4154003
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 21:50:10 2017 -0500

    Update German translation

M	po/de.po

commit 5bd7eba8180a0a9b44f2f40e9e1aee478be25c05
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 18:25:01 2017 -0500

    Add some more ingredients that were missing

M	data/ingredients.list

commit 3cdbb4e7df95ba0466303dba7baad7bfae6b5b64
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 16:48:26 2017 -0500

    Remove some dead code

M	src/gr-cuisines-page.c

commit 4328bfd3512766f5d6596d7c1ed33c7dbe0a927b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 16:32:11 2017 -0500

    details page: Bring mnemonics back on the action bar

    These went missing when we went iconic for a bit.

M	src/gr-details-page.ui

commit 8584a8c529edd17ee605732238a40fbdc84ae650
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 16:31:54 2017 -0500

    Update German translation

M	po/de.po

commit 8fcde5927d7bcacd53ceac2a7b1e66e2b1a5beb9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 16:31:37 2017 -0500

    Update POTFILES.in

M	po/POTFILES.in

commit 3711e26da4ac26aa9f5565025f81ecf2eb0deff9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 16:19:41 2017 -0500

    Update the German translation

M	po/de.po

commit 9e11e95aec2655f173b8b7f259a03db06b95bd97
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 16:03:56 2017 -0500

    Avoid a memory leak in shopping list printer

M	src/gr-shopping-list-printer.c

commit aa2cc42803c71e92e2dd298b1b865cc8a3bf608b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 16:03:04 2017 -0500

    Avoid an invalid write

    A handler for ::finish may already free the search object,
    so don't write to it after emitting the signal.

M	src/gr-recipe-store.c

commit e9d6ede4f0f8073b9bc9a21384718f20008c939d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 16:02:47 2017 -0500

    Plug another small memory leak

M	src/gr-chef.c

commit 9dc73ee76014837e89107d30c34e5d5a70c3e038
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 16:01:56 2017 -0500

    edit page: Improve error handling

    We still want to reject recipes without a name.
    This broke when we separated IDs and names.

M	src/gr-edit-page.c

commit ba3cedca40535c7a64a049227a40ddf50464953f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 15:03:16 2017 -0500

    Plug a small memory leak

M	src/gr-chef.c

commit 30704121084bb6d09dce13a12ae37bb2dd255fc3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Jan 14 21:34:35 2017 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit ac63763a43223e34f9d432cb4e49d99a08cfc782
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 14:46:01 2017 -0500

    shopping page: Be safe against NULL units

    Which happens, e.g. for "6 Eggs".

M	src/gr-shopping-page.c

commit 58e16584dc2c7b726707dce2f1d0ef577ad35310
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 14:44:33 2017 -0500

    Fix appstream syntax

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit f61acb6be32a6f0bdbffde36d0d8ac230ff19cf4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 14:38:09 2017 -0500

    Update screenshots

A	data/appdata/cook-later.png
M	data/appdata/details.png
M	data/appdata/org.gnome.Recipes.appdata.xml.in
M	data/appdata/recipes.png

commit b545f96ecf57d647460f478f6f2a774dd9ff0f55
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 14:33:27 2017 -0500

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 93b70ab54edaeabc24112f8acf4719a57d49b14a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 14:30:29 2017 -0500

    shopping list: Hide unimplemented buttons

    We don't have Edit or Export functionality yet.

M	src/gr-shopping-page.ui

commit e9846232c067e26f414269cc9465db26d21adb5f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 14:26:04 2017 -0500

    Add a quick print implementation for shopping lists

    Just like the recipe printing, the layout needs work,
    but the basic functionality is there.

M	src/Makefile.am
A	src/gr-shopping-list-printer.c
A	src/gr-shopping-list-printer.h
M	src/gr-shopping-page.c
M	src/gr-shopping-page.ui

commit 86aafec7d86f03e986baffca7a583fe4abf82a08
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 12:45:17 2017 -0500

    Add minimal merging for ingredient lists

    For now, we just merge like dimensions, ie we convert
    250g + 250g to 500g, but we don't do any conversions between
    different units.

M	src/gr-shopping-page.c

commit 3eed5de7567fdf246b92dd396810648b7ba2301c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 12:44:40 2017 -0500

    Add api to get unformatted units for ingredients

    This will help with some minimal merging support on the shopping
    list.

M	src/gr-ingredients-list.c
M	src/gr-ingredients-list.h

commit 40ad0d81c7f01d48c362bb822c038a726ba7f564
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 11:39:11 2017 -0500

    Remove an outdated comment

    We no longer parse ingredients like that, much.

M	src/gr-ingredients-list.c

commit d5a8aeecce6d88188eeb9e43af51c14893fe63bb
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 8 16:49:09 2017 -0500

    Update the empty list states

    We no longer have a "Cook later" button, update the text.

M	src/gr-list-page.c

commit 71045fec007b05e8f2f471594afb85da494aec20
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 13 22:43:55 2017 -0500

    Be safe against crash in the details page

M	src/Makefile.am
M	src/gr-details-page.c
M	src/gr-details-page.ui
M	src/gr-recipe-tile.c
M	src/gr-recipes-page.c
M	src/gr-recipes-page.ui
A	src/gr-shopping-page.c
A	src/gr-shopping-page.h
A	src/gr-shopping-page.ui
M	src/gr-window.c
M	src/gr-window.ui
A	src/icons/16x16/apps/shoppingcart-symbolic.symbolic.png
A	src/icons/24x24/apps/shoppingcart-symbolic.symbolic.png
M	src/main.c
M	src/recipes-images.gresource.xml
M	src/recipes-ui.gresource.xml
M	src/recipes.css

commit e568346042f5726d39fea6578f9a97adacdb352f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 13 22:43:29 2017 -0500

    Add a small tile variant for recipes

M	src/Makefile.am
A	src/gr-recipe-small-tile.c
A	src/gr-recipe-small-tile.h
A	src/gr-recipe-small-tile.ui
M	src/recipes-ui.gresource.xml

commit cd4e0cfc871842be43ca5ad07a2af677cde54350
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 14:21:09 2017 -0500

    Add a new shopping list tile to the recipes page

    This shows the shopping list prominently on the landing page.

    The actual shopping list is still a placeholder.

M	src/gr-recipes-page.c
M	src/gr-recipes-page.ui
M	src/recipes.css

commit 7ad00664799810764d5c0287d1d738b16a67780b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 8 09:21:53 2017 -0500

    window: Add api to show the shopping list

    This is entirely parallel to the APIs for showing categories.

M	src/gr-window.c
M	src/gr-window.h

commit 2676e00efec11ed6070fdf5520db8c235f46230c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 8 09:20:11 2017 -0500

    Support querying the shopping list

    This will soon be used to display the shopping list.

M	src/gr-recipe-store.c

commit cab703244c5b8b5bd90809474f8ed15e8941ed88
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 8 08:56:30 2017 -0500

    Add a temporary shopping cart icon

    This is just a placeholder; it needs to be replaced
    with proper artwork.

A	src/icons/16x16/apps/shoppingcart.png
A	src/icons/24x24/apps/shoppingcart.png
M	src/recipes-images.gresource.xml

commit dbfe9f117de2f96949f8d96907a8b87f3814ac48
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 8 08:50:06 2017 -0500

    Add a Shopping List button to the action bar

    We will have separate favorites and shopping lists.

    This commit changes alls the right-hand-side buttons on the
    action bar to be image buttons.

M	src/gr-details-page.c
M	src/gr-details-page.ui

commit 65c6965df709df0a91753d101b4d9e3bac6a68ba
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 8 08:44:09 2017 -0500

    Add a shopping list api

    Make the recipe store keep a shopping list.
    This is entirely parallel to the favorites list,
    but the use cases are separate.

M	src/gr-recipe-store.c
M	src/gr-recipe-store.h

commit 20523e66a50adee04b4bfd51bfad0876d4192fad
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 8 08:09:09 2017 -0500

    Slight format change for favorites.db

    Use Recipes as key instead of Favorites. We handle the change
    transparently.

M	src/gr-recipe-store.c

commit 4515d7553f107f4541e18a09f7b1ec1707dde987
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 00:18:21 2017 -0500

    Maintain a 'last changed' timestamp for favorites

    This will be used in the next commit.

M	src/gr-recipe-store.c
M	src/gr-recipe-store.h

commit 16a5cf28e95b41d773ba44945f36cc39e2e19e6d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 00:17:47 2017 -0500

    Add a function to format time differences

    This does a fuzzy "some time ago" style translation.

M	src/gr-utils.c
M	src/gr-utils.h

commit 7b2901a9daa97697f2b952e76352b12f71630a2f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 14 10:54:56 2017 -0500

    Better chef tiles

    Redo the chef tiles to look closer to Jakubs last mockups.

M	src/gr-chef-tile.ui
M	src/recipes.css

commit 9c3d3ff998119ca37825360c0b9250733b3b350d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 12 15:50:16 2017 -0500

    Small appdata updates

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit b7efb7b2d30951130e07ae66eb952cd7e69c3f29
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Jan 13 17:40:10 2017 +0100

    Update Polish translation

M	po/pl.po

commit cc9b7ded84b9ee3ab2eca92867e27ce5f02705cc
Author: Jakub Steiner <jimmac@gmail.com>
Date:	Fri Jan 13 14:05:13 2017 +0100

    styling: use legible tile labels

    - bring theme closer to wireframes
    - semi-opaque labels don't bring anything to the table

M	src/recipes.css

commit 79611492148f306ec23889dea33b8a3c34ccab8b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 12 14:38:40 2017 -0500

    Don't set a title on the about dialog

    It is not shown, so no point in translating it.

M	src/gr-app.c

commit ee427b312a1eea4031d769630bcdf60111dc5114
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 12 13:16:19 2017 -0500

    Inhibit suspend and idle while cooking

    This avoids the annoyance that sets in when your screen is blanking
    while you have both hands in the dough.

M	src/gr-details-page.c

commit 0528033ebd38718004809c7b18076b5dccfef369
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 12 12:15:58 2017 -0500

    Add more information in the flatpak case

    This might be useful sometimes.

M	src/gr-app.c

commit 007999d2d11c10757258b6a562bce6bb6e547bd9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 12 11:48:12 2017 -0500

    Revert "New dependency json-glib"

    This reverts commit 1defef5b8e1bb9210a48da198178ffaeb3d7bfdd.

    Not needed anymore.

M	configure.ac

commit 1ee4c8c904299ed2a6089ceef2b40efce4dbed0c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Jan 12 11:25:47 2017 -0500

    Use a better source for flatpak version info

    We can get the same information in /.flatpak-info, and it
    is a keyfile so we avoid glib-json.

M	src/gr-app.c

commit 3e30c221aafca2c4b8aa7db02e0aa05098ec1040
Author: dareg <dareg@users.noreply.github.com>
Date:	Tue Jan 10 16:17:46 2017 +0100

    Add some informations about dependencies

M	README.md

commit 91e79b3039cfe4c45e400d00b332f12023a23fca
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 10 08:33:15 2017 -0500

    Cosmetic cleanup

    Use a local widget_class instead of casting a million times.

M	src/gr-cuisines-page.c
M	src/gr-edit-page.c
M	src/gr-list-page.c
M	src/gr-preferences.c
M	src/gr-recipes-page.c

commit 2943232fd0314126adc07db03af36475a6c58e15
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Jan 10 10:46:33 2017 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit fad64ec880a8caff6bec37ab35885741457a87ed
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 9 22:19:02 2017 -0500

    Small keynav improvements

    Add mnemonics to the buttons on the recipe export dialog.

M	src/recipe-export-dialog.ui

commit a955796706657bbc02fb647d9a8d44af564e5cdb
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 9 22:18:31 2017 -0500

    Cosmetic fixes

    Remove some superfluous newlines from messages.

M	src/gr-recipe-exporter.c

commit 65475efd19df38347cc2d864ec403fcfdc166ab5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 9 21:55:25 2017 -0500

    Make the undo popover safe for overwriting

    We don't want to leak reference here when the notification gets
    overwritten before it is done.

M	src/gr-window.c

commit 6e7844e7bcc7e99222f0149444aa38ae546d432c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 9 21:53:28 2017 -0500

    Improve keynav in the recipe conflict dialog

    Make the entry activate the default widget, and make the
    rename button the default.

M	src/recipe-conflict-dialog.ui

commit e39dfb49d4d65e73b3e7f5972127a755c8d80cad
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 9 21:51:06 2017 -0500

    Make import work more than once

    We were not quite cleaning all state properly.

M	src/gr-recipe-importer.c

commit 7ca7115dfcc00e83432f1a3c61797dadd113e6fc
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 9 21:33:19 2017 -0500

    Add an undo notification for deleting recipes

    The implementation is inspired by the corresponding feature
    in nautilus. We show the notification for 10 seconds.

M	src/gr-details-page.c
M	src/gr-window.c
M	src/gr-window.h
M	src/gr-window.ui

commit 6f8c9fed20653f2c85130f0cfc7671c1c4d48e46
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 9 20:55:11 2017 -0500

    Make deletion from the imported list work

    We need to check if the recipes are still in the store - they
    won't die, since we're holding a reference to them here.

M	src/gr-list-page.c

commit 87d52ae1bda4013174ae6d35e583c07dc013960e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 9 18:25:44 2017 -0500

    Make multi-import work as well

M	src/gr-recipe-importer.c

commit a1d8448aac782523bd2ba4f432e06bcbd2550333
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 9 19:24:37 2017 -0500

    Add a window api to show the list of recipes

    This will be used to show the results of import.

M	src/gr-window.c
M	src/gr-window.h

commit 8e17e3aefa24378eb9a38e2e0fb5405f7b7cd6c8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 9 19:02:14 2017 -0500

    Add api to populate the list page from an explicit list

    This will be used for showing imported recipes.

M	src/gr-list-page.c
M	src/gr-list-page.h

commit f2e9d42cfe5fc782aa62a304073aab1c2d1dc170
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 8 22:36:59 2017 -0500

    Allow exporting multiple recipes at once

    Add a dialog where we can collect a list of recipes before
    exporting them.

M	src/gr-recipe-exporter.c
A	src/recipe-export-dialog.ui
M	src/recipes-ui.gresource.xml

commit 86959c549598d904fd1173d5f12ba0dd474763da
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 8 20:50:18 2017 -0500

    Prepare the recipe exporter API for multi-file export

    This gets most things in place to let us export multiple
    recipes in one go.

M	src/gr-details-page.c
M	src/gr-recipe-exporter.c
M	src/gr-recipe-exporter.h

commit 843f47ce26490ded265b64c36d5098d867d26315
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Jan 9 00:06:53 2017 +0100

    Updated Czech translation

M	po/cs.po

commit db3ba21041eeecde3e0c6985ffee3fa8d500b0a1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 21:33:08 2017 -0500

    Link to licenses in the system tab

    Just a small nicety.

M	src/gr-app.c

commit 9e2a216a956ebc2b0092b896fae5727ab47ebded
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 17:04:26 2017 -0500

    Bump version to 0.6.1

M	configure.ac

commit 90d8fb5a7cca7390db3b306fb7d6af37a7188fc2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 16:07:41 2017 -0500

    0.6.0

M	configure.ac
M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit dd6003a0961f14224389b93aa65778f95f71673a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 16:30:59 2017 -0500

    Fix distcheck

M	src/Makefile.am
M	tests/Makefile.am

commit 5b0301b682ee02133e86bad837f94dcbc0173baa
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 16:27:30 2017 -0500

    Rename ingredients test sources

    This is unfortunate.

M	tests/Makefile.am
R100	tests/ingredients.c	tests/ingredients-test.c

commit db669122dd3bf38879189e92f78eed8f9ad0db86
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 16:22:02 2017 -0500

    Update ingredients tests for new parser

    We are more restrictive now.

M	tests/ingredients-data/valid-1.expected
M	tests/ingredients-data/valid-1.in
M	tests/ingredients-data/valid-2.expected
M	tests/ingredients-data/valid-2.in
M	tests/ingredients-data/valid-3.expected
M	tests/ingredients-data/valid-3.in
M	tests/ingredients-data/valid-4.expected
M	tests/ingredients-data/valid-4.in

commit 4067885d6c0f73f9da440fe24f64183b730fd706
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 16:12:39 2017 -0500

    Update the unit tests for the demise of plurals

M	tests/unit-data/unit1.expected
M	tests/unit-data/unit1.in
M	tests/unit.c

commit e1aaf30b181099ddad59acc411ff71e4c6ac75d6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 15:49:30 2017 -0500

    Fix a copy-paste error

M	po/de.po

commit e5c2e723a59a3081556ca632bf8d90e7b9b23bb9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 15:42:25 2017 -0500

    Update the German translation

M	po/de.po

commit c344769fa4c738e017134a60158ab9188a820518
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 15:37:39 2017 -0500

    Refine spacing in System tab

    We shouldn't have an extra newline at the end. Remove it.

M	src/gr-app.c

commit c9019401f989058c8d30de97db9b21078fc1d017
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 15:34:12 2017 -0500

    Fix up some translatable strings

    If we can avoid it, keeping fixed formatting such as \n out of
    the translations is nice. At least, we should be consistent
    about it.

M	src/gr-app.c

commit f4a5c0170dd86fc67c2c0feafb9bc7dc07358e1a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 15:06:38 2017 -0500

    Update recipes.db.h

M	data/recipes.db.h

commit c6cca0e65d2258f039d751449da719d8601b2a65
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 14:56:13 2017 -0500

    Update the appdata

    More details about the next release.

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 4ef5dfc3ca2dbcda8a4e404756645647950d484f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 14:42:40 2017 -0500

    Update screenshots again

M	data/appdata/cuisine.png
M	data/appdata/recipes.png

commit 877199098695916bfce6c1d28e528c332f0fef5a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 14:36:50 2017 -0500

    Fix recipe tile image sizing

    We don't want the fallback image to peek through, so use 'cover'
    for the sizing.

M	src/gr-recipe-tile.c

commit abc10c07fd3c5d53da5f18b8551661195a5a9918
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jan 7 14:21:44 2017 -0500

    Fine-tune the new recipe tiles

    Lapo did not like the solid white background for the labels,
    so make it a bit translucent.

M	src/recipes.css

commit 5fade76cf3b6286d9b875906fe3ec5c6efec5e45
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 6 21:58:00 2017 -0500

    Update screenshots

M	data/appdata/cuisine.png
M	data/appdata/recipes.png

commit f01901c87d9e57ab83efb3d37e131bd23ae50a10
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 6 21:50:07 2017 -0500

    Allow horizontal scrolling in the system tab

    The OSTree commit id makes the dialog too wide otherwise.

M	src/gr-app.c

commit 3dce9098dd41d27b55f7b3dc981bbeaa79031c13
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 6 21:37:40 2017 -0500

    Update appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 5c0484e71b1f50f8a16f13ee49d00fd38e28fbce
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 6 17:16:46 2017 -0500

    Avoid a crash on the new recipe page

M	src/gr-edit-page.c

commit 71f40b2daa74a5a8f38cc17155e8455aee4e7e17
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 6 09:24:44 2017 -0500

    Add a system info tab to the about dialog

    For now, this shows the versions of several libraries we use,
    or the Flatpak runtime information if we have it.

M	src/gr-app.c

commit 1defef5b8e1bb9210a48da198178ffaeb3d7bfdd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 6 12:24:59 2017 -0500

    New dependency json-glib

    We'll need it to parse Flatpak manifests.

M	configure.ac

commit 5675406cffc23249431fbe53c59948ea4747e384
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 6 09:24:09 2017 -0500

    Define versions of libgd and libglnx

    This will be used in the about dialog eventually.

M	Makefile.am
M	src/Makefile.am

commit 60824a9d92b670fa516c13eaa9b12c757312b21f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 6 09:23:41 2017 -0500

    Define versions for gspell and gnome-autoar

    This will be used in the about dialog eventually.

M	configure.ac

commit 1605ec2129609c9da167cb2100bafd314979045a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 6 14:25:55 2017 -0500

    An attempt at better recipe tiles

    This follows some ideas of Jakub in his latest mockup.

M	src/gr-recipe-tile.c
M	src/recipes.css

commit bf62ad858bdd1a8caa8e69659a52a5909983e9d7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 6 14:44:24 2017 -0500

    Improve cuisine tile labels slightly

    Don't let the text on the big tile unwrap all the way,
    the lines get just too long then. Cap it at 60 characters.

M	src/gr-cuisine-tile.c
M	src/gr-cuisine-tile.ui

commit 5492e276166fed28929338e0c3c4c2ed6ab86033
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 6 07:02:26 2017 -0500

    Update release information

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 0ef40c202d36f7793b77e3e7c21f4afa1c99151c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 6 07:00:40 2017 -0500

    Improve button sensitivity handling

    We never want the link buttons to be sensitive when the insert mark
    is inside an existing link, and adding image links only makes sense
    if there are at least 2 images to switch between.

M	src/gr-edit-page.c

commit 7ba0f16b82f9cea7afe047274a180be9b1a36872
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Jan 6 12:14:53 2017 -0500

    Fix a compiler warning

M	tools/recipe-extract.c

commit b90395ab2eba35039f1225106ef8e6bd615106f7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 3 16:29:08 2017 -0500

    Add some image switching links to the Donauwellen recipe

    This is mainly for trying it out.

M	data/recipes.db

commit 252c038a9274c86f3aed797c47b559092d4d588c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 3 22:56:26 2017 -0500

    Support image link editing

    Add a button for inserting an image link.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit 3915362fd16ec0463d50b5f7572e2191699849bd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 3 16:28:52 2017 -0500

    Support links for switching the image in the instructions.

M	src/gr-details-page.c
M	src/gr-details-page.ui

commit fb803e44e122f223bed3edb059e4e83b3662fd6c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 3 16:28:24 2017 -0500

    Make it possible to select an image from the outside

    This adds a function to the image viewer to set the current
    image from the outside.

M	src/gr-image-viewer.c
M	src/gr-image-viewer.h

commit 87cd89f989a832446d920460a0fe5e63d4c5e617
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 3 21:18:41 2017 -0500

    Use the selection for recipe search

    This feels a little more integrated.

M	src/gr-edit-page.c

commit 3e935d3081ebe8171ed5a15b9bf448aad6066bb5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 3 20:55:54 2017 -0500

    Don't allow self-referential links

    Thats not useful, and can only lead to confusion.

M	src/gr-edit-page.c

commit 8b05d725232d600f1c50188900cd81c66ee39c07
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 00:28:03 2016 -0500

    Add support for recipe links in instructions

    Add a simple button to insert a recipe link, and format the link
    nicely.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit 90d2d85b9859415f875fd2f43860b8462e67b56e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 28 22:49:48 2016 -0500

    recipe: Allow searching just by name

    This will be used in the next few commits.

M	src/gr-recipe.c

commit 146209b9d0223941cb0ad9ace72db83f376e9465
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 11:18:19 2016 -0500

    Add a way to get the recipe of the details page

    We will need this in future commits.

M	src/gr-details-page.c
M	src/gr-details-page.h

commit e51f9a3947f38c51c17d6f0a0bc21bed872f9278
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 11:17:57 2016 -0500

    Defer link activation to an idle

    This avoids a crash in GTK+ that will be fixed with 3.22.6.

M	src/gr-details-page.c

commit 9a284f3082a15ac9489dbee0b4d7dbbe41a9cc78
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 21:43:14 2017 -0500

    Support recipe references in the instructions

    Support links in the text of the form <a href="recipe:ID">bla</a>,
    and go to the recipe with that ID when the link is clicked.

M	src/gr-details-page.c
M	src/gr-details-page.ui

commit 8fe0fdec2765c5f8703d0af385596bcdf7be11fa
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 4 13:37:46 2017 -0500

    Slightly review the chef tiles

    Arrange the chefs in a 3 column layout as well, like the rest
    of the content. With this layout, a horizontal arrangement
    works better. Following suggestions by Jakub.

M	src/gr-chef-tile.c
M	src/gr-chef-tile.ui
M	src/gr-recipes-page.ui

commit 4bad590d70f4a21036ed7723bd35b0c69c7981f8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 4 10:55:55 2017 -0500

    Use the right border color for the image viewer

    Again, spotted by Lapo.

M	src/recipes.css

commit 8564440cf3f66e3987393758c4bd6f093f7b14e4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 4 06:58:49 2017 -0500

    Repopulate a list page when going back to it

    Otherwise, the chef page comes up without recipes when going
    back to it.

M	src/gr-window.c

commit a52b7ec44a7c9eb6dc03c5f0bcba836c6c3ca703
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Jan 4 06:58:06 2017 -0500

    Add a way to repopulate a list page

    This is necessary now since we're stopping the search when navigating
    away.

M	src/gr-list-page.c
M	src/gr-list-page.h

commit 76be4e4ac3da51d59e2a553975ce9d87e7943906
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 07:15:56 2016 -0500

    Slightly reduce the height of the instructions field

    It was a bit too much.

M	src/gr-edit-page.ui

commit d0723d5efb1da2db0001f5d9fd7d2cc750723114
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 3 16:02:54 2017 -0500

    Fix quoting in the make-pot script

    This was copied from a makefile rule, and the quoting is slightly
    different.

M	make-pot

commit 7d7a52090f4a8f2be3c3c183f10953a6bd6c3922
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 3 14:48:32 2017 -0500

    Add a script to generate the .pot file

    This is heavily inspired by a similar script in GTK+.

A	make-pot

commit cd04d6916da90392fb2fd3f782b24381c604e09b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 3 15:48:02 2017 -0500

    Add recipes.db.h and chefs.db.h to git

    These are generated from recipes.db and chfs.db, so adding them
    to git is a bit bad, but otherwise it is hard to generate the
    recipes.pot files from a pristine git checkout, and our translators
    depend on that.

M	data/Makefile.am
A	data/chefs.db.h
A	data/recipes.db.h

commit 421f184811bf4a15b64f82389d139c21022f2560
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 3 14:58:11 2017 -0500

    Fix recipe-extract tool for non-ASCII

    This was written too quickly, and did not take UTF-8 into
    account.

M	tools/recipe-extract.c

commit c6e4da35eaf335c50991f3438e9b4993db4531ad
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 3 12:22:54 2017 -0500

    Add missing cherries back to the Donauwellen recipe

    ...an important detail!

M	data/recipes.db

commit 4c37c87589eec59a0e433b0837fc2681da18a4db
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 3 12:23:18 2017 -0500

    Add 'glass' as a unit

    Not sure if this is ideal, but at least it lets us parse the
    Donauwellen recipe without losing the cherries.

M	src/gr-unit.c

commit 5451726f3b6d4fd81f7314b8d524c022f7803152
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Jan 3 12:24:32 2017 -0500

    Fix a typo

    This error message did not make sense.

M	src/gr-ingredients-list.c

commit f3de2b1acabe00c43496ba788654bba96a5bc5cd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 21:37:23 2017 -0500

    Fix up soe recipe IDs

M	data/picks.db
M	data/recipes.db

commit 187af376aa62ce1d29d084cd561ab04f6a36145d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 21:32:04 2017 -0500

    Add myself to recipe authors

M	src/gr-app.c

commit 0dd733e5cbab2a12a41157c3129d3937f3371003
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 12:15:23 2017 -0500

    Update picks

M	data/picks.db

commit 6e8cd8d8eb4863a4eab3a4ae452d88f7d8d6df13
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 12:08:43 2017 -0500

    Update my chef information

M	data/chefs.db

commit 66d24c5dda3fc0843556acbb95aa82a9d68a4d1e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 21:26:23 2017 -0500

    Add images for Donauwellen

M	data/Makefile.am
A	data/images/donauwellen0.jpg
A	data/images/donauwellen1.jpg
A	data/images/donauwellen2.jpg
A	data/images/donauwellen3.jpg
A	data/images/donauwellen4.jpg
A	data/images/donauwellen5.jpg
A	data/images/donauwellen6.jpg
A	data/images/donauwellen7.jpg
A	data/images/donauwellen8.jpg
A	data/images/donauwellen_final.jpg
M	data/recipes.db

commit c1d00bff4c393418b8ebbf77a6031bffda64adb8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 12:07:14 2017 -0500

    Add a Donauwellen recipe

M	data/recipes.db

commit ee5ffaa112819f6d4e13606a85ab1c321af4e404
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 14:34:43 2017 -0500

    Improve file naming for exports

    Create an archive that is named after the recipe.

M	src/gr-details-page.c
M	src/gr-recipe-exporter.c

commit bc9e67782d7bc4da2ef1bce40a1b7c31c91051d3
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 14:17:32 2017 -0500

    Add a testcase for the previous commit

    This adds a mixed number with non-ascii whitespace to the
    number parsing tests.

M	tests/number-data/number1.expected
M	tests/number-data/number1.in

commit 006efc0d4f6a8dff68a88682bd31765f781bc419
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 14:16:43 2017 -0500

    Skip non-ascii whitespace too

    This was showing up as a failure to parse mixed numbers that
    we've formatted ourselves (!), because we use a thin space there.

M	src/gr-utils.c

commit 7c23e4eb30f2c476fb4e24754009a4d694c01b20
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 12:19:18 2017 -0500

    Update German translation

M	po/de.po

commit 402a76cab550e6315bfa49dd886efe8732a8a70d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 12:05:22 2017 -0500

    Add some more ingredients

M	data/ingredients.list

commit fe8db29d1fac0cf480d8e3c5cd217c02f22cc59c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 10:48:05 2017 -0500

    Update appdata some more

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit d01a69c1b058597cd89c99e170e1002ae335ab14
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 10:19:17 2017 -0500

    Change strategy for tile backgrounds

    Instead of creating a custom per-widget style provider
    that needs to load the image again, generate just a single
    style provider that provides the style for all recipes
    and another one for all the chefs. This avoids lots of
    image reloading and speeds up the list pages quite a bit.

M	src/gr-chef-tile.c
M	src/gr-chef-tile.h
M	src/gr-list-page.c
M	src/gr-recipe-tile.c
M	src/gr-recipe-tile.h
M	src/gr-recipe-tile.ui
M	src/gr-recipes-page.c

commit 4a70c555ddf0adc6f01697e71bce520d43cc1dd7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 10:17:52 2017 -0500

    search: Make it time-based

    Allow the search to spin for up to 4 ms at a time.
    This lets us avoid long idle delays when they are not
    necessary.

M	src/gr-recipe-store.c

commit bdd5be18fad7fae213c7a5c00be091b31d73bbba
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 10:15:47 2017 -0500

    edit page: Use the new ID generation function

M	src/gr-edit-page.c

commit d201e8745329d4884a5b9ccdbdb61e34ba543358
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 10:14:51 2017 -0500

    Add a utility function to generate IDs

    This will be used to generate recipe IDs that are usable
    as CSS element names.

    This commit also includes a simple facility for printing out
    timestamps for performance debugging that is currently unused.

M	src/gr-utils.c
M	src/gr-utils.h

commit 9e2109d3630d7115f00c41cf9eb4cc598fce72cd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 10:13:27 2017 -0500

    Improve IDs for included recipes

    Make them so that we can use them as CSS element names.

M	data/recipes.db

commit 081a44161c5d59b8b0ca5e5360f987bafe4349a5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 10:10:06 2017 -0500

    Avoid chef descriptions unwrapping all the way

    We now limit their width to 60 characters, as we already do
    for the diet descriptions.

M	src/gr-list-page.ui

commit 7df7d1add71ea5aa9010f40983950391be30c256
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 06:18:43 2017 -0500

    Update OS X build instructions

    It is even easier now.

M	README.md

commit a0cdd5dd45c68fde158e169627fdc25a9d901cf9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 06:16:29 2017 -0500

    Use translated string APIs where suitable

    This also adds a few remaining cases of name<>id confusion
    in the search provider.

M	src/gr-details-page.c
M	src/gr-list-page.c
M	src/gr-recipe-exporter.c
M	src/gr-recipe-printer.c
M	src/gr-recipe-tile.c
M	src/gr-shell-search-provider.c
M	src/gr-window.c

commit 4a456d13765cb0c2913cd167d13055e27c313929
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 06:15:21 2017 -0500

    Make translated string apis explicit

    I've decided that I don't like the 'just return translated strings'
    semantics, so add explicit getters for translations.

M	src/gr-chef.c
M	src/gr-chef.h
M	src/gr-recipe.c
M	src/gr-recipe.h

commit 807f972ab3fe0ad80194a11bb667865ac56dfc03
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Jan 2 06:14:45 2017 -0500

    Move a translation helper function to utils

    This will be used in multiple places.

M	src/gr-utils.c
M	src/gr-utils.h

commit abf5c8b14912ea9baac079e9bfd485b5d22c956d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 21:35:11 2017 -0500

    Update German translation

M	po/de.po

commit e4893f989acf178aaaf1b547cdab9696b7bc4a05
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 21:33:56 2017 -0500

    Add some information about the next release

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 495293649e39ffed1edc89d1e8dcf8a331193f8d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 21:28:39 2017 -0500

    Escape some characters when extracting strings

    This is just the minimum necessary to avoid breakage with the
    current strings.

M	tools/recipe-extract.c

commit ecae681638c46b31ef4edd50879054d1a8dd52d3
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Mon Jan 2 01:04:08 2017 +0000

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit b4683d1c7661acf317f60718fa6772723ee464ab
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 10:41:18 2017 -0500

    Update German translation

M	po/de.po

commit 08f4cbe1929104a8448b79bf2f86424465184d2a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 10:59:34 2017 -0500

    Small fixup to Rays description

    No need for hardcoded newlines here.

M	data/chefs.db

commit 6709a9c84f7b9c37bdf42d65725e02c3379357b6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 10:59:13 2017 -0500

    Translate chef descriptions for display

M	src/gr-list-page.c

commit 0fc3d3bf44be82a002129086890bbfdb0de3565c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 10:48:42 2017 -0500

    Extract chef descriptions

M	data/Makefile.am
M	po/POTFILES.in

commit 2c55c0be558218f41a5ef525325cf6df95938071
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 10:47:51 2017 -0500

    Make it possible to extract chef descriptions

    This can be translated too, for included chefs, for a fully
    translated user experience.

M	tools/recipe-extract.c

commit f224eca76e598cb5da4a51e4845753cd7c6066ad
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 10:40:05 2017 -0500

    Mark chefs as test data too

    This will help with only extracting translatable strings from
    actual chefs, and not from test data. It also helps to verify
    that the internal IDs don't show up in the UI anywhere.

M	data/chefs.db
M	data/picks.db
M	data/recipes.db

commit bba28546956abf216005308f0c674fa20ab43d47
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 01:22:32 2017 -0500

    Update the German translation

    Add rough translations of most of the contributed recipe content.

M	po/de.po

commit 0bc64f8c3a51b07791ead5b46b475833040012b5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 10:32:00 2017 -0500

    Small additions to the about dialog

    Add a tooltip to the built-with-builder button, and mark
    the app name for translation.

M	src/gr-app.c

commit e823280691381c837db811ed05fd821bbd46d92a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 10:23:11 2017 -0500

    search page: Update the search for empty terms too

    This fixes a problem where going back to the search page
    would not redisplay the search results for the query, because
    the search was not aware that the displayed list had been cleared.

M	src/gr-search-page.c

commit c660e436b9ae452eee5e7e1f251a4ab87cbd80e4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 10:22:34 2017 -0500

    Handle empty search terms without crashing

    Now that search terms are an array, we need to treat the
    empty array like a NULL string.

M	src/gr-recipe-store.c

commit 46f50dc0fd70f5e5f3215f700f479c88b9a13d55
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 09:42:21 2017 -0500

    Add more content warning icons in the detail page

    We show icons for gluten and dairy now. I haven't used the egg
    warning icon yet, since we don't have a dietary restriction flag
    for it yet.

M	src/gr-details-page.c
M	src/gr-details-page.ui

commit e158a4664e85fe590299c48628783d8cd7c7ddc7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 09:41:30 2017 -0500

    Add more content warning getters

    For now, these just look at the diet flags, but we could maybe
    determine this from the ingredients list, eventually.

M	src/gr-recipe.c
M	src/gr-recipe.h

commit f9887c4a90b533f1321cfd4572b589c7e925a3f9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Jan 1 09:24:39 2017 -0500

    Add more content warning icons

    These were made by Sam Hewitt.

A	src/icons/16x16/apps/dairy-content-symbolic.symbolic.png
A	src/icons/16x16/apps/egg-content-symbolic.symbolic.png
A	src/icons/16x16/apps/wheat-content-symbolic.symbolic.png
A	src/icons/24x24/apps/dairy-content-symbolic.symbolic.png
A	src/icons/24x24/apps/egg-content-symbolic.symbolic.png
A	src/icons/24x24/apps/wheat-content-symbolic.symbolic.png
A	src/icons/32x32/apps/dairy-content-symbolic.symbolic.png
A	src/icons/32x32/apps/egg-content-symbolic.symbolic.png
A	src/icons/32x32/apps/wheat-content-symbolic.symbolic.png
A	src/icons/48x48/apps/dairy-content-symbolic.symbolic.png
A	src/icons/48x48/apps/egg-content-symbolic.symbolic.png
A	src/icons/48x48/apps/wheat-content-symbolic.symbolic.png
A	src/icons/symbolic/apps/dairy-content-symbolic.svg
A	src/icons/symbolic/apps/egg-content-symbolic.svg
A	src/icons/symbolic/apps/wheat-content-symbolic.svg
M	src/recipes-images.gresource.xml

commit fc05aa3b00e22896a73c57714c21fb51e67e1870
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 17:29:45 2016 -0500

    Match against translated name and description

    This makes the search entry behave as expected when running
    in other languages.

M	src/gr-recipe.c

commit 356bbce3c060060eb90f8fffab26eb04a60d1a79
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 17:23:26 2016 -0500

    Store ingredients by ID if possible

    This will make ingredients translated without further effort.

M	src/gr-edit-page.c

commit f3dce2305b86a49c5c1675d16465420dd3043725
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 17:01:56 2016 -0500

    More work toward better handling of translated ingredients

    Use the ingredient ID when creating search terms, but use
    the translated ingredient name when filtering in the UI.

M	src/gr-ingredient-row.c
M	src/gr-ingredient-row.h
M	src/gr-query-editor.c

commit e11dabf8c0dec2fb0771282cbba6c99e2d7d27ce
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 17:00:24 2016 -0500

    Use ingredient ids in recipes where possible

    This makes ingredients matching work.

M	data/recipes.db

commit 760d80e1adb643ffd6d3ac03b4332da397df42db
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 16:59:23 2016 -0500

    Stop translating cook and prep time in the recipe getters

    This turned out to cause problems. Instead, translate the
    text in the details page setup code.

M	src/gr-details-page.c
M	src/gr-recipe.c

commit 1f7143f190b0e375aa355819bcf5d49c5c2f0bad
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 16:50:29 2016 -0500

    Match ingredients on the un-casefolded string

    This will work better for recipes that contain ingredient ids.
    Ingredient matching still needs to be redone to not rely on
    the raw string.

M	src/gr-recipe.c

commit 2fe39e2ea1b8197a63ea201b15b4beaf93933e1b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 16:01:05 2016 -0500

    Try to make translated ingredients work for search

M	src/gr-ingredient-row.c

commit 5e298e411024d51735a93076189cb051c5c08764
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 15:49:29 2016 -0500

    Add an api to get untranslated ingredients names

    We slowly work our way toward proper ingredient objects.

M	src/gr-ingredient.c
M	src/gr-ingredient.h

commit c9eca5222ca32ff17545424832a588ad7fe61061
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 15:57:36 2016 -0500

    Redo search APIs

    We were passing around a string an splitting it in gr_recipe_matches,
    which is problematic since it breaks with terms like:
    "i+:sunflower seeds"
    Instead of inventing some complicated quoting convention, just avoid
    joining it into a single string in the first place, as far as
    possible,
    and just pass an array of search terms around.

M	src/gr-query-editor.c
M	src/gr-query-editor.h
M	src/gr-recipe-store.c
M	src/gr-recipe-store.h
M	src/gr-recipe.c
M	src/gr-recipe.h
M	src/gr-search-page.c
M	src/gr-search-page.h
M	src/gr-window.c

commit 743915789e9a4be75b636605cda138ba1800d4df
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 16:00:31 2016 -0500

    Avoid a crash at shutdown with search tag

    Search tags are inserted into the entry across the widget hierarchy.
    We need to use weak pointers to prevent this from crashing when the
    entry is finalized before the popover containing the various tagging
    rows.

M	src/gr-diet-row.c
M	src/gr-ingredient-row.c
M	src/gr-meal-row.c

commit 2e5335e0da3ac11986ef7a4ff9b665ad4956bf5d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 13:28:20 2016 -0500

    Add more ingredients

M	data/ingredients.list

commit 375edecf5cc02daf5c294722742800e858e5d620
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 11:52:48 2016 -0500

    Don't cut off search terms at 3 characters

    The behavior when backspacing is a bit jarring, and we do search
    incrementally now, so it should be ok.

M	src/gr-search-page.c

commit 1c826c8f6f5dca0c0ec46f937c2c408d9e4bfb4d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 11:47:58 2016 -0500

    Remove an unused variable

    clang complains about this.

M	src/gr-list-page.c

commit 215a2bbdcd211622206455a257e322c8b73d838f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 11:45:56 2016 -0500

    Print: Use the term directions

    We use "Directions" in the UI, so use the same in the printout.

M	src/gr-recipe-printer.c

commit 0837f35924b976b2bdfabe3a43d18f530c48dec6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 11:39:19 2016 -0500

    Populate list pages asynchronously, using search

    Use a search to populate the list page with various content.

    https://bugzilla.gnome.org/show_bug.cgi?id=775850

    There are various small UI refinements here as well:
    - The diet page header now has a limited width
    - We avoid showing the header until we have enough
      search results to keep it from jumping around
    - We show the 'no results' placeholder below the header,
      since the header information is still useful in that case

M	src/gr-list-page.c
M	src/gr-list-page.ui

commit 6c69b2c96abd9e3cbe14707caff6de2437e7d75f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 11:38:40 2016 -0500

    Improve list page handling

    Add a way to clear the list page, and use it in GrWindow when
    switching away from a list page.

M	src/gr-list-page.c
M	src/gr-list-page.h
M	src/gr-window.c

commit 19a6f05fdf876e8629bf66bf1c9a518c07323dcb
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 11:36:07 2016 -0500

    Improve recipe search capabilities

    Add a way to search for favorites, using a search term or
    "is:favorite". This is implemented in the recipe store itself,
    since it knows about favorites.

M	src/gr-recipe-store.c

commit 73d0bc7191bee7f7e11fe2697899aa70d5582d03
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 11:34:51 2016 -0500

    Improve recipe search capabilities

    Make searching by author exact, and add a way to search
    by season. This will be used in future commits when we
    convert the list page to populate asynchronously.

M	src/gr-recipe.c

commit 7a2b5f32889a580c66852189db8555cab127ae28
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Dec 31 12:58:15 2016 +0100

    Updated Czech translation

M	po/cs.po

commit 73e755f5941389cab623550d4705126e7923a5d3
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 31 00:48:46 2016 -0500

    Change the way the back button works

    Make the search page an 'implicit' main view, and make the back
    button more or less always go back to main view. We make an exception
    for the chef and category pages, which we do add to the back stack.
    Also change the flow after saving a recipe. We go to the details
    page for the recipe now.

    https://bugzilla.gnome.org/show_bug.cgi?id=776625

M	src/gr-edit-page.c
M	src/gr-edit-page.h
M	src/gr-window.c

commit d783138e0f23b6ac37ced5bf33418219ece29773
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 23:46:09 2016 -0500

    Recolor the built-with-builder logo

    Since this isn't a symbolic icon, we do it manually.

M	src/gr-app.c

commit 643d8f100000e7e6c72af843cd1e8e01d5ecdf3f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 22:01:07 2016 -0500

    Make the built-with-builder logo clickable

    And bring up the builder website, to learn more.

M	src/gr-app.c

commit ada02142603fbf631a296978b7ab12b80cd60a91
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 22:00:20 2016 -0500

    Add better built-with-builder logo

    This icon was provided by Lapo Calamandrei. Thanks, Lapo!

M	src/built-with-builder.png

commit 659b97f76e32e5ce34fb0d6fb922993298a21ad8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 21:31:21 2016 -0500

    Fix another small memory leak

M	src/gr-details-page.c

commit d06d4426c32e2b1074b632de58a3dc91b17ee9d5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 21:27:04 2016 -0500

    Fix another small memory leak

M	src/gr-recipe-store.c

commit 312f5a1ff8ee683c1688f5d91a79d4dda1994f88
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 21:25:24 2016 -0500

    Fix a small memory leak

M	src/gr-ingredients-list.c

commit b493fe01de291f632dd64d78bcdcfe2d1d88bd33
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 21:14:18 2016 -0500

    Small fixes to the tofu egg scramble recipe

M	data/recipes.db

commit 8e3e00bf8388ccc46374b38525c5acb15c6bb9eb
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 16:53:53 2016 -0500

    Update the German translation

    This is not complete, but the Pan pizza recipe shows up
    completely in translated now.

M	po/de.po

commit 23f54143328684464761d5198e9946da5521ca28
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 18:10:14 2016 -0500

    Add some more ingredients

M	data/ingredients.list

commit 930541fccfe41a4efd4cb32ba199d7545eb5b0e6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 18:04:55 2016 -0500

    Require exact matches for ingredients

    The current code leads to things like "garlic powder " being
    shown as "garlic" and the like.

M	src/gr-ingredient.c

commit e9641b6be5fdb046ded45464c5792f9b0e3a81ac
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 18:04:12 2016 -0500

    Slight fixup to the pan pizza recipe

M	data/recipes.db

commit f0128d44f2c58b40be3f96f1609b75074441ea70
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 18:03:33 2016 -0500

    Use our contributed recipes to replace some picks

M	data/picks.db

commit adc43df9988d9c2146f4ea44efc4c575c468ff33
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 17:46:34 2016 -0500

    Return translated segment names

    This should be shown in the UI.

M	src/gr-ingredients-list.c

commit 1eaec262e1113efda2dfc88641e692bd0cf4395a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 17:46:09 2016 -0500

    Allow extracting segment names as well

M	tools/recipe-extract.c

commit 4ea4973ed1b71e80f6b22ee9a500b8754b56fcd7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 17:44:55 2016 -0500

    Translate segment names as well

    These need to be shown translated as well.

M	data/Makefile.am
M	data/ingredients.list
A	data/segments.list
M	po/POTFILES.in
M	src/Makefile.am
M	tools/recipe-extract.c

commit 318a32061eb067915e26d21796a7fe717bccc3b0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 17:22:57 2016 -0500

    Fix a whitespace snafu

M	src/gr-details-page.c

commit eaab23510849d6ae58187fd73aa81f53c56cf032
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 17:21:13 2016 -0500

    Don't forget to translate ingredients w/segments

    This was overlooked when segmented ingredients lists were
    first introduced.

M	src/gr-ingredients-list.c

commit 2ce922a6eec897fb968b9c992afe457969cc48d0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 17:11:08 2016 -0500

    Add a mode that extracts ingredients

    This will be useful for making sure we have all ingredients
    from the included recipes covered in our ingredients database.

M	tools/recipe-extract.c

commit 36ef0cfc43baad71e2edccc7e5010a20a919f629
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 16:54:33 2016 -0500

    Some minor improvements to the pan pizza recipe

    Just typographical corrections.

M	data/recipes.db

commit 37337e5750eb98f0225065260fc0ca117c595b16
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 16:01:39 2016 -0500

    Parse unit names better

    When parsing units, also look for the unit name, apart from the
    translated abbreviation and name.

M	src/gr-unit.c

commit af21c137230be967a010148996aea62aedbd30e6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 16:01:01 2016 -0500

    Make filtering translated unit names work

    This wasn't working because we forgot to case-fold them.

M	src/gr-edit-page.c

commit 684ed9d18a3b1925e8c0712b014ab42d55d12d6d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 15:59:44 2016 -0500

    Return translated strings from recipe getters

    Note that this makes gr_recipe_get_description do something else
    than g_object_get (..., "description", ...). Just something to
    be aware of.

    We are doing the same for name, description, instructions, cook
    time and preparation time.

M	src/gr-recipe.c

commit c6cf22ea09f24a898944cc4e0b50f5431ac475d8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 15:58:40 2016 -0500

    Extract strings from the included recipes

M	data/Makefile.am
M	po/POTFILES.in

commit 81cc5fe24a9eeace5eb4806e916fcef509a95d61
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 15:57:51 2016 -0500

    Add a tool to extract strings from recipes

    This is a quick hack that will get the job done until we get
    a better storage layer.

M	Makefile.am
M	configure.ac
A	tools/Makefile.am
A	tools/recipe-extract.c

commit dc80cdbc9dd3ce1df755ee056244ffd32bfc2e6a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 15:51:16 2016 -0500

    More marking of test data

    Make the IDs of all test data start with TEST, this makes
    it easy to skip them.

M	data/picks.db
M	data/recipes.db

commit 082d7cdde25c8f22250ced4d474194eefd11f5b7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 15:42:10 2016 -0500

    Initialize locale earlier

    If we rely on GtkApplication to do it for us, it does not
    happen until startup, which is after we loaded the recipe
    database, and thus, too late.

M	src/main.c

commit e7eef2321fdaac767d4b422b3326b9ed277522c5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 14:14:42 2016 -0500

    Partially generate ingredients lists

    This will make it easier to expand the list later on.

M	data/Makefile.am
A	data/ingredients.list
M	src/Makefile.am
M	src/gr-ingredient.c

commit 1b8f0b30e19fecf5a4c5b1ef33c70040e07358c0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 12:41:53 2016 -0500

    Fix a number of small issues with recipes format

    Consistently use 'g' instead of 'gram' or even 'grams'.

M	data/recipes.db

commit 94519b6ee26c339512e4e0a9d1f80d856e7c7dda
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 12:11:50 2016 -0500

    Drop ingredient plurals for now

    We don't use these either.

M	src/gr-ingredient.c
M	src/gr-ingredient.h

commit 6b470ab8f7063b7b2129ee6b84afd3ff449bce5b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 12:08:33 2016 -0500

    Drop plurals for units

    We don't need them now, so lets not cause extra work for translators.

M	src/gr-unit.c
M	src/gr-unit.h

commit 88315872ac2d02d296e2e65c53c042deee3713ff
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 12:01:01 2016 -0500

    Stop matching plurals of units

    This seems maybe unnecessary, and we can stop tranlating quite
    a few strings if we drop this.

M	src/gr-edit-page.c

commit 6295f399fa1f4cdbae9829272eee5c92c9dc7afc
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 11:17:12 2016 -0500

    Mark test data more obviously as such

    Best to avoid confusion about this.

M	data/recipes.db

commit 2d63c503c3e7623af3edbc783fb25944c107c8d0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 30 11:12:49 2016 -0500

    Add a forgotten image

    Sorry, Frederik.

M	data/Makefile.am
M	data/chefs.db
A	data/images/fyksen.jpg

commit 02dc495efcc859e82367a59cc86b308f4630f159
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 16:49:14 2016 -0500

    Update README.md

    Add a link to the PR for the homebrew formula.

M	README.md

commit db9338e0e8467204a6181516dd91f10fe497ef92
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 16:26:47 2016 -0500

    Bump version to 0.4.3

M	configure.ac

commit 83e6f274a40268f557d240f8049c49f91959b5d6
Author: matthiasclasen <matthias.clasen@gmail.com>
Date:	Thu Dec 29 14:21:36 2016 -0500

    Update README.md

    We can actually use gspell on OS X. Update the build instructions
    to reflect that.

M	README.md

commit 1a23a663d05c869fb3f2d4b356c7732ed357111b
Author: matthiasclasen <matthias.clasen@gmail.com>
Date:	Thu Dec 29 13:51:29 2016 -0500

    Add build instructions for OS X

    This worked for me. Your mileage may vary.

M	README.md

commit 6362e0c29a3f17e18511ec3a960fbd9096d81410
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 16:11:16 2016 -0500

    0.4.2

M	configure.ac
M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit ac4903a1c515c310578b1bd76d6495b0ba8231ff
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 16:18:51 2016 -0500

    Drop a test thats no longer needed

M	tests/Makefile.am
D	tests/ingredients-data/valid-5.expected
D	tests/ingredients-data/valid-5.in

commit 57f41af71524103b2a84d5222c1bbc2d1b41ae91
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 15:39:58 2016 -0500

    Drop an unneeded include

M	src/gr-recipe-store.c

commit 9d5b5e853f39d52ba0d249fcad344da9021056ef
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 14:19:08 2016 -0500

    Build against older gspell

    The entry support in gspell is brandnew. We can easily avoid using
    it if it is not available, and still get spell-checking for all
    the text views.

M	src/gr-edit-page.c

commit 259db35ce11510fdd56aaa559254107f7764aa99
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 13:28:17 2016 -0500

    Don't link against libglnx if we're not building it

M	src/Makefile.am

commit ab468481a7a5452d7053aa5c7f9ffb7f62f3c6aa
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 13:26:53 2016 -0500

    Fix another unused variable warning from clang

M	src/gr-recipe-exporter.c

commit a0554be04f8db9f0342e792c8f7b21bccdc8e090
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 13:20:32 2016 -0500

    Hide the import menuitem if import is not available

    Same reason as for export.

M	src/gr-app.c
M	src/menus.ui

commit 706b26db2c3aee7fb2458feb86548ae6fdd9737c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 13:19:45 2016 -0500

    Hide the export button when when export is unavailable

    Best to not show it at all if we don't have it.

M	src/gr-details-page.c
M	src/gr-details-page.ui

commit 1f55b9e1ef28684159fb8be0e1e726abbe3d14ae
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 13:09:43 2016 -0500

    Make autoar dependency conditional

    This will help getting builds on other platforms working.
    Without export/import, we also don't need the linux-specific
    libglnx.

M	Makefile.am
M	configure.ac
M	src/gr-recipe-exporter.c
M	src/gr-recipe-importer.c

commit 61015d18948f1fae08323dac2604b79ab19d9ac2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 13:10:48 2016 -0500

    Fix a typo in the gspell configury

M	configure.ac

commit a1e51c47eb8b9047f9f98eddc04af2b1f5cec266
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 12:33:22 2016 -0500

    Fix the build with clang

    It complained about a bunch of unused variables that gcc
    does not notice. Get rid of all of them.

M	src/gr-details-page.c
M	src/gr-edit-page.c
M	src/gr-ingredients-page.c
M	src/gr-preferences.c
M	src/gr-recipe-exporter.c
M	src/gr-recipe-printer.c
M	src/gr-recipe-tile.c

commit 36a5d629cc8f85dba2110c049a9c423805d8e692
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 11:35:44 2016 -0500

    Allow building without gspell

    This will help getting recipes to build on other platforms.

M	configure.ac
M	src/gr-details-page.c
M	src/gr-edit-page.c
M	src/gr-preferences.c

commit 35d0805c6c2fb0bbbf9d31d0ce308e2aa910225d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 29 08:42:14 2016 -0500

    Add a built-with-builder logo

    We're doing some pretty bad things to get this into GtkAboutDialog
    here. This needs to be properly integrated eventually.

A	src/built-with-builder.png
M	src/gr-app.c
M	src/recipes-images.gresource.xml

commit 9c02e38b0fe70514d4a29cad90cf61ceed2eef76
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Thu Dec 29 12:19:45 2016 +0000

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit 6a7c715e38ceeeb2896befdb21377f006c2e6948
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 26 14:00:38 2016 -0500

    Drop support for number words

    Since we are no longer parsing free-form ingredients lists, this
    is not really necessary anymore.

M	src/gr-number.c
M	tests/number-data/number1.expected
M	tests/number-data/number1.in

commit 4d8f054e7b56f525d79427c9babc3a7e8c7d783b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 26 12:31:15 2016 -0500

    Add margins to chef description in preferences

    This was lost at some point, it seems.

M	src/gr-preferences.ui

commit 6d32d0b402182a80174f2ebc8c4f818477c84073
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 26 09:40:17 2016 -0500

    Bump version to 0.4.1

    Back to development.

M	configure.ac

commit e04f1339b68d1167db0ba61d52033f18e5ab4e6e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 26 08:07:17 2016 -0500

    Bump version to 0.4.0

M	configure.ac

commit a65b7b7cc920cfac9341ccd9ce732b38dc1790bc
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 26 08:49:14 2016 -0500

    Update expected output for unit tests

    The expected output for some units has changed, since we
    now consistently use the abbreviation for the unit name.

M	tests/unit-data/unit1.expected

commit 7db94589575c14726b3772ca11b2cf1dc8138c6e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 26 08:48:31 2016 -0500

    Update expected results for number tests

    The handling of invalid fractions has changed, we now
    print them as an empty string.

M	tests/number-data/number1.expected

commit 219c71cab65d97c43d0a344e15ad7210599ac7ce
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 26 08:28:22 2016 -0500

    Fix some test build issues

    The way we currently build the tests is not ideal, we simply
    include all the required sources. This can lead to conflicts
    between identically named static functions, so move all the
    common helper functions to the gr-utils.c source file and
    include that as well.

M	src/gr-ingredients-list.c
M	src/gr-number.c
M	src/gr-unit.c
M	src/gr-utils.c
M	src/gr-utils.h
M	tests/ingredients.c
M	tests/number.c
M	tests/unit.c

commit e2d51103a6f892efe45d04a0b0f2fedffedcd4c9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 26 08:06:19 2016 -0500

    Fix distcheck

    The data for the new tests needs to be distributed, so add
    it to EXTRA_DIST.

M	data/Makefile.am
M	tests/Makefile.am

commit 2762ea642021cb73b73a3bba124df3369e8f96b6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 25 22:05:47 2016 -0500

    Improve keynav in the ingredient edit popover

    The improvements are similar to the ones in the search popover:
    if the focus is not already in the right place, grab it to one
    of the revealed entries, and activate the button when appropriate.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit 2e1fe0e3cfbfc42397ca178ef0765c7d3d145496
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 25 19:02:46 2016 -0500

    Improve keynav in the search filter popover

    Alt-Down now opens the popover if the search bar is visible,
    and if the ingredients filter entry is unveiled in the popover,
    it will get focused upon key press.

M	src/gr-query-editor.c
M	src/gr-query-editor.h
M	src/gr-query-editor.ui
M	src/gr-window.c

commit 25f06b66f9adaae23a4b9f4cd1002f7aca46d443
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 25 19:01:50 2016 -0500

    Clear the filter entry in the search popover on hide

    Otherwise, we unexpectedly see old search terms there
    the next time the filter is opened again.

M	src/gr-query-editor.c

commit 318188e2fe7f0594249ea5cca469abc50f5661db
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Dec 25 21:46:18 2016 +0100

    Update Polish translation

M	po/pl.po

commit 3d26eca78b021ae6280f89b0bcad0671c4546338
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 25 15:05:26 2016 -0500

    Update appdata

    Mention spell checking as a feature of the upcoming release.

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit ea8b334975eaf1ecd77ddc89f1df1f04ae27606a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 25 15:02:55 2016 -0500

    edit page: Add spell checking to list headings

    This adds spell checking to the entries we use for ingredient
    list headings, if there are multiple lists.

M	src/gr-edit-page.c

commit c6778b9e0f2cc744d0dac02cc6ddceb7b9c37f36
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 25 14:53:24 2016 -0500

    flatpak: bundle gspell

    Add gspell to the list of bundled dependencies in the flatpak recipe.

M	org.gnome.Recipes.flatpak.json

commit 9a247f96c7e7bd433cad3756c3a5db92c2751eb3
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 25 14:46:52 2016 -0500

    preferences: Add spell checking

    Add spell checking to the description field in the
    preferences.

M	src/gr-preferences.c

commit 1728ffdc881c666fd6712b89afe06615e46e0812
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 25 14:45:56 2016 -0500

    edit: Set up spell checking for some fields

    This add spell checking using gspell to the description
    and instruction fields.

M	src/gr-edit-page.c

commit 4a23f03acea49bcdf8742c6fcd25689e450cc9ba
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 25 14:45:23 2016 -0500

    details: Set up spell checking for the notes field

    This add spell checking using gspell.

M	src/gr-details-page.c

commit 23e144ff0315924812bd5a74d8bbaf1e735d2f42
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 25 14:44:27 2016 -0500

    Add a dependency on gspell

    We will add spell-checking in some of our text fields
    in subsequent commits.

M	configure.ac

commit deb5c22fcca5cff098b2f29f7d75935840545114
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 25 14:02:19 2016 -0500

    Fix timer functionality

    The change from recipe name to id broke the timers without me
    noticing. :-(

M	src/gr-app.c
M	src/gr-details-page.c

commit af91bd1e008f9d47555f2438376f280b3190983d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 23:24:23 2016 -0500

    Convert contributed recipes to the new ingredients list format

    We still support the old format, and the test data will continue
    to use it.

M	data/recipes.db

commit ec94e600144a6c7c9cd80b0de7dca1e3a812b760
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 23:15:23 2016 -0500

    edit page: Save ingredients lists in the new format

M	src/gr-edit-page.c

commit 18a3ed4a7f05045543ec4db78b3352bfcbe03c63
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 23:13:54 2016 -0500

    Revise the format for ingredients lists

    Store each line as fields, separated by \t. This makes the
    parsing much less ambiguous, and allows us to store empty
    amount and unit fields.

M	src/gr-ingredients-list.c

commit 9ebc6d03ec2db0f3c6a8987d6f766f08ed2f1aa0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 23:14:51 2016 -0500

    number: export setters

    These will be useful in the ingredients list code.

M	src/gr-number.c
M	src/gr-number.h

commit df4051e50e81efb6c1b0b7aae22d2e211fd8859b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 22:33:13 2016 -0500

    Small additions to the appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit f093e6dcf2c0a187d1fd0dc0e5a5b865c0228283
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 13:44:42 2016 -0500

    Update homepage url in appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit f2b34fe81cb7f95f82e9ea89df89b56b2e916ccf
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	Sun Dec 25 16:46:23 2016 +0100

    Czech translation

M	po/LINGUAS
A	po/cs.po

commit 0e53aaf102b38bfb5371d00bd0e8f6e4afa12d8b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Dec 24 19:29:06 2016 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit a97647a664e5389962d7099c5c116749be007f65
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 11:50:29 2016 -0500

    Update appdata for the next release

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 9d7a801b46cea5acfbefe01b0acaed53bd1939a4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 11:36:18 2016 -0500

    Split the ingredients list of Frederiks pan pizza

    This is a great example for using a segmented list.

M	data/recipes.db

commit aa51bad24a661fea55689321fb0ab0579953bff2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 11:28:30 2016 -0500

    Update screenshots

    This includes the latest changes to the edit page.

M	data/appdata/details.png
M	data/appdata/edit.png
M	data/appdata/recipes.png

commit ed4ab9d08a23c2aca96fc330b823436f015b6a42
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 10:49:04 2016 -0500

    edit page: Improve the unit completion

    Use the new unit parser directly, and match both long names
    and abbreviations. We now also populate the list from the
    same data, so we now only show units that we can actually
    parse.

M	src/gr-edit-page.c

commit ad196105c67c7dfb6cd6189b3135581f8b4f93fe
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 10:42:54 2016 -0500

    units: Fix mismatch between unit names and data

    This was not showing up in my tests, sadly.

M	src/gr-unit.c

commit 47750336961745c29c7446d5049c141a0e1a500d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 10:20:38 2016 -0500

    Update expected output for the number test

    The output contains formatted numbers, so it is affected by
    the previous commit.

M	tests/number-data/number1.expected

commit 3870bf12e37661dd0cb7709d900422cb7815efbd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 10:19:59 2016 -0500

    Tweak mixed number formatting

    Use a narrower, non-breaking space for the best look.

M	src/gr-number.c

commit 05dca17154e9404a572e8b804b52fc1e6285505e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 09:48:34 2016 -0500

    ingredients list: Use the new unit parser

    All the unit-related code has been moved over now.

M	src/gr-ingredients-list.c

commit eb27482704c953d77b6cdf0ed39303f476041555
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 09:42:51 2016 -0500

    Add a test for unit parsing

    This just tests that we recognize all the abbreviations,
    names and plurals. No surprises here.

M	tests/Makefile.am
A	tests/unit-data/unit1.expected
A	tests/unit-data/unit1.in
A	tests/unit.c

commit 98599a8102988290d1913488cd2a5d9d18694bac
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 24 09:41:21 2016 -0500

    Break out unit parser as a separate file

    This will make it easy to write tests, and also helps
    with adding new functionality later.
    While we are at it, add some more units to the list.

M	src/Makefile.am
A	src/gr-unit.c
A	src/gr-unit.h

commit c0ef56b744352d401d54bc245e09403004faf24b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 23 18:58:55 2016 -0500

    ingredients list: Use the new number parser

    All the number-related code has been moved over now.

M	src/gr-ingredients-list.c

commit b85ca9ac6b5bef780971c3f83cd3f9f492768ee1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 23 18:15:40 2016 -0500

    Add a test for number parsing

    This already found quite a few irregularities, so yay for testing.

M	tests/Makefile.am
A	tests/number-data/number1.expected
A	tests/number-data/number1.in
A	tests/number.c

commit b07efdc486faeba4a9a37d65892fdceacc0a05d5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 23 18:14:47 2016 -0500

    Break out the number parser as a separate file

    This will make it easy to write tests for it.
    While we are at it, add support for mixed numbers.

M	src/Makefile.am
A	src/gr-number.c
A	src/gr-number.h

commit f6303970360230feb273c165a2bf0f93c69bad5a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 23 16:26:49 2016 -0500

    Move ingredients test data to a less generic place

    We'll add another test that takes data files soon.

M	tests/Makefile.am
R100	tests/data/valid-1.expected
tests/ingredients-data/valid-1.expected
R100	tests/data/valid-1.in	tests/ingredients-data/valid-1.in
R100	tests/data/valid-2.expected
tests/ingredients-data/valid-2.expected
R100	tests/data/valid-2.in	tests/ingredients-data/valid-2.in
R100	tests/data/valid-3.expected
tests/ingredients-data/valid-3.expected
R100	tests/data/valid-3.in	tests/ingredients-data/valid-3.in
R100	tests/data/valid-4.expected
tests/ingredients-data/valid-4.expected
R100	tests/data/valid-4.in	tests/ingredients-data/valid-4.in
R100	tests/data/valid-5.expected
tests/ingredients-data/valid-5.expected
R100	tests/data/valid-5.in	tests/ingredients-data/valid-5.in
M	tests/ingredients.c

commit 4f7c7d59537e1542d214de073c1024b7efa99aaa
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 23 12:09:46 2016 -0500

    printing: handle segmented ingredients lists

    I overlooked this when I first added the segmented list support.
    We want to essentially print the segments like independent lists.

M	src/gr-recipe-printer.c

commit eec33e1dddb944f35df90382090092a6f83440a3
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 23 10:35:31 2016 -0500

    Visual tweaks

    Use selection to indicate the active row.

    According to Jakubs latest mockup.

M	src/gr-edit-page.c

commit 45fa1928cff73ceee39d08eea846f12e222eefdc
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 22 21:46:06 2016 -0500

    Add a unit completion list

    Stop using a combo box for units; this is not what we want,
    ultimatively. Instead add a completion list similar to what
    we do for ingredients.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit 4c743dcd918165c6469ce6d8d994e7bba0ceca0e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 22 21:42:02 2016 -0500

    Add a search/filter list for adding ingredients

    This works similarly to our main search filtering, with
    some small differences.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit 3b650211a0a7ec1bfe89f92956f3f4332cedc83f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 22 20:47:05 2016 -0500

    edit page: Minor spacing adjustment

    Just move around some margin to avoid a double-wide space between
    segments.

M	src/gr-edit-page.c

commit 0123aa523d390ca225578fc090fe2db1419734e1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 22 20:35:32 2016 -0500

    Make it possible to toggle the edit/delete buttons

    This feels more natural. For good measure, we also remove
    the buttons when a segment is added or removed, just so
    we avoid getting into problems if the active row gets
    indirectly removed.

M	src/gr-edit-page.c

commit 1fbe378ee1fdfa1746f75fc35ea0c612f5a5ecad
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 22 20:34:18 2016 -0500

    details page: Adjust the content warnings

    With a segmented ingredients list, it no longer makes
    sense to show the content warnings at the top of (each)
    segment. Instead, move them closer to the images, to
    separate them from the ingredients list.

    Following new mockups by Jakub.

M	src/gr-details-page.ui

commit 1d282184d33c9d2643a0101dcda0a3cd1d4b91da
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 23 09:20:04 2016 -0500

    ingredients list: Support parsing vulgar fractions

    When editing the ingredients list, the formatted vulgar
    fractions may appear in input, so better handle them.

M	src/gr-ingredients-list.c

commit 91e18438d2c242f56fc555d6743ad8f5470a5afe
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 22 19:59:40 2016 -0500

    Make the ingredients list api safe for segment overlap

    We need to pass the segment name to scale_unit, so we can disambiguate
    if the same ingredient is present in multiple segments.

    Update all callers.

M	src/gr-details-page.c
M	src/gr-edit-page.c
M	src/gr-ingredients-list.c
M	src/gr-ingredients-list.h

commit 63219a174f80faad25c357382e7ea38acdcaf834
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 22 19:18:29 2016 -0500

    Improve ingredient editing

    Make it possible to edit existing rows, and to remove them again.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit c127b9420949c0f56b43175e7dbe92fa46a40244
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 20 20:02:14 2016 -0500

    Introduce a segmented ingredients list

    This makes it possible to have separate ingredient lists
    for, say, the dough and the frosting of a cake. There are
    multiple small visual fixups to the edit page here too,
    following a new mockup by Jakub.

    The text format for the ingredients list now looks like this:

    amount unit ingredient\tsegment\n

M	src/gr-details-page.c
M	src/gr-details-page.ui
M	src/gr-edit-page.c
M	src/gr-edit-page.ui
M	src/gr-ingredients-list.c
M	src/gr-ingredients-list.h
M	src/gr-recipe-store.c

commit f1507718dbe4a1fbf94adedd0d9ec1356b290187
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 21 18:00:43 2016 -0500

    Use a different icon for the remove image button

    Use user-trash-symbolic here. It doesn't work well in a circular
    button, but now the button is square again.

M	src/gr-edit-page.ui

commit e61acb3526a7fb8d2f892e2ad642799f7576839f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 21 17:43:57 2016 -0500

    No more circular buttons

    Jakub says 4 circular buttons in a row are not cute.

M	src/gr-edit-page.ui

commit 9b12f821f402fab7f9567c8dec6182fe54929ec6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 20 20:08:47 2016 -0500

    Fix some oversights in recipe loading

    We want to be able to only add notes to readonly recipes,
    so make it possible to load recipe fragments like that.

M	src/gr-recipe-store.c

commit c748ab2c21dea5f13ae3c0a21727fdb8390af6b6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 20 09:09:02 2016 -0500

    Use git describe for git versions

    Recommended by desrt.

M	src/Makefile.am

commit 246dfb9315b252f18daf39eecb52b387e92459f7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 20 08:06:44 2016 -0500

    Some visual tweaks to readonly recipes

    Hide the buttons that don't work. And mark the delete button
    as destructive.

M	src/gr-details-page.c
M	src/gr-details-page.ui

commit 0583801c1b9bee3d7649762b1bac616e8c815ca9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 20 06:51:20 2016 -0500

    details page: Bring back the description

    We should show it if we have it.

M	src/gr-details-page.c
M	src/gr-details-page.ui

commit 9426c077345e5148f92f84cea6db6d387616b5f8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Dec 20 11:32:52 2016 +0000

    Update Spanish translation

M	po/es.po

commit a278d563601d827733ffbac4acaec9c2a990da3d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 20 05:09:13 2016 -0500

    Don't mark pan pizza as milk-free

    The ingredients list has cheese on it...

M	data/recipes.db

commit fa7c67186cbc06342cb6e85dec2fdee4adc345b4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 19 20:57:03 2016 -0500

    Add a notes field to the details page

    This is where we need and want to edit the notes
    for somebody else recipe.

    https://bugzilla.gnome.org/show_bug.cgi?id=776265

M	src/gr-details-page.c
M	src/gr-details-page.ui

commit db57edc34eba2c95eedd143f6ae5a8ddda98295d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 19 20:18:22 2016 -0500

    details page: Disable the edit button for readonly recipes

    This prevents us from modifying somebody elses recipe.

    https://bugzilla.gnome.org/show_bug.cgi?id=776264

M	src/gr-details-page.c
M	src/gr-details-page.ui

commit 8e5e521c3f272d7656dd45020d628347448debaf
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 19 20:17:12 2016 -0500

    Mark preinstalled recipes and chefs as readonly while loading

    This will let us avoid editing somebody elses recipe. We load
    notes from the per-user storage though, so it is possible
    to attach your notes to somebody elses (readonly) recipe.

M	src/gr-recipe-store.c

commit de281b0e3a99b44f9ffca7c28b760f3b175836b4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 19 20:16:47 2016 -0500

    Add a readonly flag to chefs

    This will be used to mark preinstalled chefs as readonly.

M	src/gr-chef.c
M	src/gr-chef.h

commit 082b4b105bfd6d095de1770d9768f5b6cc185256
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 19 20:16:06 2016 -0500

    Add a readonly flag to recipes

    This will be used to mark preinstalled recipes as readonly.

M	src/gr-recipe.c
M	src/gr-recipe.h

commit d1d5fc90fc685282b5aed058719ca3e5fd1510d4
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Mon Dec 19 18:01:38 2016 +0000

    Add Brazilian Portuguese translation

M	po/LINGUAS
A	po/pt_BR.po

commit cdedf95f075cf05d9e4aebcacc92419c4670d909
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 19 10:44:40 2016 -0500

    Linkify Frederiks description

    We can do this now.

M	data/chefs.db

commit a120e637fbc06da3c3566e07e2b1071eccc9c4d9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 19 10:44:16 2016 -0500

    Allow markup in chef descriptions

    This lets people embed links to their websites, etc.

M	src/gr-list-page.c

commit f3def292c2058262f948a9e5d0dbd43992df69c0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 19 10:15:19 2016 -0500

    Add Frederik to the credits

M	src/gr-app.c

commit 7344183967a633b16119b2befefe2a9086585fdc
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 19 10:12:21 2016 -0500

    Another contributed recipe

    Pan pizza by Frederik. Thanks!

    https://bugzilla.gnome.org/show_bug.cgi?id=776273

M	data/Makefile.am
M	data/chefs.db
A	data/images/pan_pizza1.png
A	data/images/pan_pizza2.png
A	data/images/pan_pizza3.png
M	data/recipes.db

commit 8a03b223ef58fbe7da17d2202fdb33cd7f495b94
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 19 09:48:04 2016 -0500

    Make importing work again

    When I moved to a purely-internal ID for recipes, I forgot to
    make the importer create one. Imports are failing due to that.

M	src/gr-recipe-importer.c

commit 4e9fa69ded4bcd2feef6cdbea277736435fdffb8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 19 09:30:25 2016 -0500

    Add credits section for recipe authors

    Seems fair to mention them here.

M	src/gr-app.c

commit 257c37757bf2930b4e1c543655d63c7599956acc
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 18 19:58:46 2016 -0500

    Cosmetic fix for ingredient editing

M	src/gr-edit-page.ui

commit d6e1366fce96a3be759692e5b33cf1a234eb534b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	Sun Dec 18 11:19:49 2016 +0100

    image-viewer: fix assertion trying to free a NULL array

    https://bugzilla.gnome.org/show_bug.cgi?id=776234

M	src/gr-image-viewer.c

commit ad80be18035ab0d31a248ea8a54d7ae7974b138c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Dec 18 16:33:19 2016 +0100

    Update Polish translation

M	po/pl.po

commit 9cee47a9c9d15aefad002615e6a7185f8782ea67
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Dec 17 16:14:35 2016 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit 3fa49335874e077f327046276555985d722b88c3
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 17 09:31:28 2016 -0500

    Update a screenshot

    This shows up on both the wiki page and in appstream.

M	data/appdata/edit.png

commit b863c64a2ed298d6c29c5f9525f82578b47c670b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 17 08:50:05 2016 -0500

    Improve details on the edit page

    Show the author of the recipe, and adjust the label for the
    name entry to reflect whether this is a new recipe or not.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit 29c619e2c034048a6cbe723fceda58320e6d2068
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 17 08:49:38 2016 -0500

    Fix centering of the cuisines pages

    There was some uneven margin that caused the page to be off-center.

M	src/gr-cuisines-page.ui

commit fdc78666c974f010c4c07811c9da5e1a1b2ddd5c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 17 08:17:47 2016 -0500

    Don't scroll the ingredients list grow

    This matches what we do on the details page, and seems right
    since the ingredients are the most important thing here, we
    should hide them behind a small viewport.

M	src/gr-edit-page.ui

commit 5aca3f0f1518a4f3d4032c8b88120bc85d13a48d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 16 20:36:14 2016 -0500

    Redo the edit page

    This is a roughly working experiment, trying to use a similar
    2 column layout on the edit page, with a more structured editor
    for ingredients.

    More work is needed on the ingredients list, but this is
    functional enough for now.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit ad86754e7c49135f004b2bb36d58242145e16d7b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 16 20:43:13 2016 -0500

    Use a GrImageViewer in the edit page

    This is now the new editor.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit f2cd1e2c7efc096bef734b9a49ed3ddfd6f19af7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 16 20:37:09 2016 -0500

    Move GrImages to its own files

M	src/Makefile.am
M	src/gr-details-page.c
M	src/gr-edit-page.c
D	src/gr-image-editor.c
M	src/gr-image-viewer.c
C052	src/gr-image-editor.h	src/gr-images.c
R066	src/gr-image-editor.h	src/gr-images.h
M	src/gr-recipe-exporter.c
M	src/gr-recipe-importer.c
M	src/gr-recipe-printer.c
M	src/gr-recipe-store.c
M	src/gr-recipe-tile.c
M	src/gr-recipe.c
M	src/gr-shell-search-provider.c
M	src/main.c

commit 138f5cee2b2f4be7bb443efafe299b9d9b6bc8d5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 16 18:01:48 2016 -0500

    Add editor functionality to GrImageViewer

    We will end up close to where we started with GrImageEditor.
    Just with a new name. This also adds new functionality to
    the viewer, namely crossfades when switching images, and a
    nice, rounded outline.

M	src/gr-image-viewer.c
M	src/gr-image-viewer.h
M	src/gr-image-viewer.ui

commit 8f43bcee48d869f3cf0c83784ac7d2637265e5ec
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 16 12:55:35 2016 -0500

    Make sure to remove generated sources sometimes

    Otherwise, they are never regenerated and cause problems.

M	src/Makefile.am

commit 8cc480f63e50a0c30404833e31612e20cb2cac02
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 16 12:43:31 2016 -0500

    Try to fix non-srcdir builds

    There was a report of types.h not getting generated properly.
    This is a blind attempt at fixing it by relying on automatic
    variables instead of vpath.

M	src/Makefile.am

commit 03850c20d591476d6f7045909dfeaab3c8920cd6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 16 06:58:45 2016 -0500

    Embed the app-specific icons as resources

    They won't get exported from a flatpak since they don't have
    the right prefix. So embed them, since that is the current
    best practice for application-specific icon theme extensions.

M	data/Makefile.am
R100	data/icons/16x16/garlic-content-symbolic.symbolic.png
src/icons/16x16/apps/garlic-content-symbolic.symbolic.png
R100	data/icons/16x16/spicy-content-symbolic.symbolic.png
src/icons/16x16/apps/spicy-content-symbolic.symbolic.png
R100	data/icons/24x24/garlic-content-symbolic.symbolic.png
src/icons/24x24/apps/garlic-content-symbolic.symbolic.png
R100	data/icons/24x24/spicy-content-symbolic.symbolic.png
src/icons/24x24/apps/spicy-content-symbolic.symbolic.png
R100	data/icons/32x32/garlic-content-symbolic.symbolic.png
src/icons/32x32/apps/garlic-content-symbolic.symbolic.png
R100	data/icons/32x32/spicy-content-symbolic.symbolic.png
src/icons/32x32/apps/spicy-content-symbolic.symbolic.png
R100	data/icons/48x48/garlic-content-symbolic.symbolic.png
src/icons/48x48/apps/garlic-content-symbolic.symbolic.png
R100	data/icons/48x48/spicy-content-symbolic.symbolic.png
src/icons/48x48/apps/spicy-content-symbolic.symbolic.png
R100	data/icons/symbolic/garlic-content-symbolic.svg
src/icons/symbolic/apps/garlic-content-symbolic.svg
R100	data/icons/symbolic/spicy-content-symbolic.svg
src/icons/symbolic/apps/spicy-content-symbolic.svg
M	src/recipes-images.gresource.xml

commit 8bd0219d4993c5afa4af32e9dc386c9bb20d3f5f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 16 06:16:17 2016 -0500

    Fix appdata typo

    A <release> tag needs a date attribute, or the validator will
    complain.

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit e75a78bf80a0a8f33e36d966103777617332c04e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 16 06:12:46 2016 -0500

    Fix a build problem

    When one adds a dist_ prefix to an automake variable, it has to
    be applied for all uses of the variable...

M	data/Makefile.am

commit 1a1ce18a62bbd1044dbbf194ee1991d19e772abb
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 16 06:05:27 2016 -0500

    Bump gettext requirement

    We need 0.19.7, for --xml support.

M	configure.ac

commit 0268798041d685c8a68ac296514b33e336240244
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 15 22:04:27 2016 -0500

    Make text views wrap

M	src/gr-edit-page.ui
M	src/gr-preferences.ui

commit c9ed63173e810957e9fd17a681ede507e4019174
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 15 21:46:17 2016 -0500

    Add some keynav to the image viewer

    It is not perfect, but it is a start.

M	src/gr-image-viewer.c
M	src/gr-image-viewer.ui

commit 3fb6182fa8ebb63600c061d4128d4a9d0bbef124
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 15 18:24:35 2016 -0500

    Bump version to 0.3.1

M	configure.ac

commit f5f47b5a753e1a808f86585e6d6255014704c043
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 15 16:08:48 2016 -0500

    Fix distcheck

    When generating files in subdirectories, we need to create the
    build-subdir first.

M	Makefile.am
M	data/Makefile.am
M	src/Makefile.am
M	tests/Makefile.am

commit a93108d3886405cc4afeb6576c8bb6b147dfd33d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 15 17:27:47 2016 -0500

    Fix the ingredient parser tests

M	tests/Makefile.am
M	tests/data/valid-1.expected
M	tests/data/valid-2.expected
M	tests/data/valid-3.expected
M	tests/data/valid-4.expected
M	tests/data/valid-5.expected
M	tests/ingredients.c

commit 5563164c7f0ce58daa34dbb8717f29916e102dbd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 15 15:54:22 2016 -0500

    Bump version to 0.3.0

M	configure.ac

commit 28d56b18530f38c012d50cc2dc04b586171d302c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 15 15:44:15 2016 -0500

    Use git.gnome.org in the flatpak recipe

    This will become the canonical location anyway.

M	org.gnome.Recipes.flatpak.json

commit a7b1de5e2b9e0bcd9a5bb45a599418a79b7be75f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Dec 15 21:53:26 2016 +0100

    Add Polish translation

M	po/LINGUAS
A	po/pl.po

commit 8a267812d62bea4c094e6d306bdf932108c2516b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 15 15:10:49 2016 -0500

    Split resources into two

    The images take a long time, resourcify, and never change.
    So lets keep them separate.

M	src/Makefile.am
A	src/recipes-images.gresource.xml
R079	src/recipes.gresource.xml	src/recipes-ui.gresource.xml

commit 8497586a6d25c820170579dce3f4aed9533217b6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 15 13:08:00 2016 -0500

    Use a multi-image viewer

    This widget shows multiple images, and lets the user cycle through
    them.

M	po/POTFILES.in
M	src/Makefile.am
M	src/gr-details-page.c
M	src/gr-details-page.ui
A	src/gr-image-viewer.c
A	src/gr-image-viewer.h
A	src/gr-image-viewer.ui
M	src/main.c
M	src/recipes.css
M	src/recipes.gresource.xml

commit d6afea0a098bc17b80edb02357bbc766cda0dc5b
Author: hanniedu <lafeber-dumoleyn2@zonnet.nl>
Date:	Thu Dec 15 17:27:39 2016 +0100

    Added Dutch translation

M	po/nl.po

commit 70d97876d6944436a160fac7204ea8be9540ddf6
Author: hanniedu <lafeber-dumoleyn2@zonnet.nl>
Date:	Thu Dec 15 17:21:14 2016 +0100

    Added Dutch translation

M	po/LINGUAS
A	po/nl.po

commit 75c52d63785ada2a1421ec12e43690f7d6fbc2ef
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Dec 15 12:26:12 2016 +0000

    Update Spanish translation

M	po/es.po

commit a0d626544740605307a3c86404b77ed474ab6e2c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Dec 15 05:35:51 2016 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit 0c10daa5c4cd3857a998a6a61cba6a7d2adba1a0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 21:22:53 2016 -0500

    Set the version to 0.2.1, so we have an odd micro

    This triggers the non-release-build change that I just committed.

M	configure.ac

commit f309e3055a4a16d7ba20864215aed3e868ee2749
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 21:21:30 2016 -0500

    Show a commit id in the about dialog for non-release builds

    This is a bit improvised, but it mostly works.

M	configure.ac
M	src/Makefile.am
M	src/gr-app.c

commit f0d5a2435288ba1a24a3c779aa63dd73ba579411
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 20:14:00 2016 -0500

    Rename GrImages to GrImageEditor

    Since this is what it is.

M	src/Makefile.am
M	src/gr-details-page.c
M	src/gr-edit-page.c
M	src/gr-edit-page.ui
R063	src/gr-images.c src/gr-image-editor.c
R066	src/gr-images.h src/gr-image-editor.h
R097	src/gr-images.ui	src/gr-image-editor.ui
M	src/gr-recipe-exporter.c
M	src/gr-recipe-importer.c
M	src/gr-recipe-printer.c
M	src/gr-recipe-store.c
M	src/gr-recipe-tile.c
M	src/gr-recipe.c
M	src/gr-shell-search-provider.c
M	src/main.c
M	src/recipes.gresource.xml

commit e02390d10984d9664524dd07a00dd8b45dc35589
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 19:36:21 2016 -0500

    More test data improvement

    We can now test various conditions that would cause an
    error before, such as recipes with the same name by
    different chefs.

M	data/recipes.db

commit be9ccf1ec742832e9b360581229ee39ead0a8a2d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 19:32:06 2016 -0500

    Improve the short names of our test chefs

    Doing this tests that the id and name are now properly separated.

M	data/chefs.db

commit 174b14529f9430a547b1fbafee5643a9e92053be
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 19:24:11 2016 -0500

    Make the IDs of contributed recipes follow the new pattern

    This ensures that halfline and Bastian can contribute more
    recipes without name clashes.

M	data/recipes.db

commit 104cc8cc0d18e642311d7ad6d7d82ae2b7e36c88
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 19:12:26 2016 -0500

    Generate suitable IDs for new recipes

    We use <name>_by_<author> to avoid clashes between identically
    named recipes from different chefs.

M	src/gr-edit-page.c

commit e23395e91b0cc2f25d793722f2962d04502b8a13
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 19:12:03 2016 -0500

    Use IDs for recipe lookup in the store

M	src/gr-recipe-store.c

commit 042242440b7204aed5f2437485655f509aa4c4ff
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 18:51:06 2016 -0500

    Rename some store apis

    Add an explicit recipe to that part of the GrRecipeStore api,
    and update all callers.

M	src/gr-app.c
M	src/gr-cuisine-page.c
M	src/gr-details-page.c
M	src/gr-edit-page.c
M	src/gr-list-page.c
M	src/gr-recipe-importer.c
M	src/gr-recipe-store.c
M	src/gr-recipe-store.h
M	src/gr-recipes-page.c
M	src/gr-shell-search-provider.c

commit 72ae5cd55baf38c31e316ae2cf829352768018af
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 18:42:48 2016 -0500

    Add an id to recipes as well

    This will help to keep uniqueness constraints out of user-visible
    strings.

M	src/gr-recipe.c
M	src/gr-recipe.h

commit 45a266979be22fba8d76d3e23f46634107ad9206
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 18:26:25 2016 -0500

    Make GrRecipe final as well

    No need to derive this either.

M	src/gr-recipe.c
M	src/gr-recipe.h

commit 678625f67d3e4b5b45d0b3917402eff2f8752864
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 18:04:49 2016 -0500

    Chef cleanup

    Make GrChef a final class. No need to derive this.
    And rename properties name -> id and nickname -> name.
    Finally, stop showing the id in the importer dialogs as
    well. It is purely an internal thing.

M	src/chef-conflict-dialog.ui
M	src/gr-chef-tile.c
M	src/gr-chef.c
M	src/gr-chef.h
M	src/gr-details-page.c
M	src/gr-edit-page.c
M	src/gr-list-page.c
M	src/gr-preferences.c
M	src/gr-recipe-exporter.c
M	src/gr-recipe-importer.c
M	src/gr-recipe-store.c
M	src/gr-recipe-tile.c

commit 61972199cea479a2d757db0259286bac4cbcb736
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 15:31:49 2016 -0500

    Run gtk-builder-tool simplify over all ui files

M	src/gr-category-tile.ui
M	src/gr-cuisine-page.ui
M	src/gr-cuisines-page.ui
M	src/gr-details-page.ui
M	src/gr-diet-row.ui
M	src/gr-edit-page.ui
M	src/gr-ingredient-row.ui
M	src/gr-list-page.ui
M	src/gr-meal-row.ui
M	src/recipe-conflict-dialog.ui

commit 061d94ce8be299944ea66d03f441274e2ecc39e3
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 15:31:17 2016 -0500

    Fix up whitespace issues

M	src/gr-app.h
M	src/gr-category-tile.c
M	src/gr-category-tile.h
M	src/gr-chef-tile.c
M	src/gr-chef-tile.h
M	src/gr-chef.h
M	src/gr-cuisine-page.c
M	src/gr-cuisines-page.c
M	src/gr-details-page.c
M	src/gr-diet.h
M	src/gr-edit-page.c
M	src/gr-images.c
M	src/gr-images.h
M	src/gr-ingredient-search-tile.c
M	src/gr-list-page.c
M	src/gr-preferences.c
M	src/gr-query-editor.c
M	src/gr-recipe-store.h
M	src/gr-recipe.h
M	src/gr-timer-widget.c
M	src/gr-timer-widget.h
M	src/gr-timer.c
M	src/gr-utils.h
M	src/gr-window.c

commit f72e7aae043b5c37bbf6086428705d6878dd205b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 15:10:51 2016 -0500

    Importer: Allow importing recipes without chef

    We already have such recipes in the system, so we might
    as well allow creating them via import.

M	src/gr-recipe-importer.c

commit 65e9025a75a6a5e525fe9eae56b0ef776317a8a6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 15:10:25 2016 -0500

    Exporter: Allow exporting recipes without chef

    No reason not to allow this, really.

M	src/gr-recipe-exporter.c

commit cf6990b981e461694511fa8bd0b021cb2be8d3aa
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 14:26:32 2016 -0500

    Add spiciness warning to details page

    Show a back or red pepper to indicated high levels of spiciness.

M	src/gr-details-page.c
M	src/recipes.css

commit 762f919742aa654b217901a3302db84b2b52bb71
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 14:13:33 2016 -0500

    Allow editing spiciness

    This makes just differentiates between 4 levels for now.

M	src/gr-edit-page.c
M	src/gr-edit-page.ui

commit 8778d08cb146d66744fe7e907b90bd5b9df21cc9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 14:12:48 2016 -0500

    Store spiciness as an integer

    We are going to need levels here, so best to switch this right away.

M	src/gr-details-page.c
M	src/gr-recipe-store.c
M	src/gr-recipe.c
M	src/gr-recipe.h

commit fa4167f1036e60b5ae484684924f8cf1c122ca69
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 11:35:36 2016 -0500

    Update credits in the about dialog

M	src/gr-app.c

commit a449edfab9797c3ba57e836c7e0994811622f9f0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 11:26:26 2016 -0500

    Add translator credits to the about dialog

    Credit where credit is due...

M	src/gr-app.c

commit 34b9fe9fd5f73a18205ee09e3a4b7c163e4e2267
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 11:30:11 2016 -0500

    Regenerate .symbolic.png icons

M	data/icons/16x16/garlic-content-symbolic.symbolic.png
M	data/icons/16x16/spicy-content-symbolic.symbolic.png
M	data/icons/24x24/garlic-content-symbolic.symbolic.png
M	data/icons/24x24/spicy-content-symbolic.symbolic.png
M	data/icons/32x32/garlic-content-symbolic.symbolic.png
M	data/icons/32x32/spicy-content-symbolic.symbolic.png
M	data/icons/48x48/garlic-content-symbolic.symbolic.png
M	data/icons/48x48/spicy-content-symbolic.symbolic.png

commit c57c4249feb2f21eb2a890f90c38134214e2c981
Author: Sam Hewitt <sam@snwh.org>
Date:	Wed Dec 14 11:18:24 2016 -0500

    fixed errors in symbolic icons

M	data/icons/symbolic/garlic-content-symbolic.svg
M	data/icons/symbolic/spicy-content-symbolic.svg

commit ffeb44c28c78dcf396ea3ca6131366984bb4b57f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 11:01:46 2016 -0500

    Use content warnings from GrRecipe in the details page

    This is what we added the new API for.

M	src/gr-details-page.c

commit da1fe390da0cde7079f2284abb7f9ee148bce2e4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 11:02:20 2016 -0500

    Add content warning APIs to GrRecipe

    We can now ask if a recipe contains garlic, or is spicy.
    For the garlic, we can just derive this information from
    the ingredients list. For spicy, it is not so easy, so
    we store it separately.

M	src/gr-recipe.c
M	src/gr-recipe.h

commit 54cbd31df77ececfb9a633cd5f4bcf15c37f75b1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 10:58:44 2016 -0500

    Store and load GrRecipe::spicy

    This can't be directly derived from the ingredients list, so
    we should just store it. There's no UI to set it, yet.

M	src/gr-recipe-store.c

commit 25e58b5b018191513ab0df58a98923d458f71532
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 09:41:26 2016 -0500

    wip: recipe content warnings

M	src/gr-details-page.c
M	src/gr-details-page.ui

commit 33d00075c2856e1a0a1d88bf8af4ae3114762b08
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 07:16:31 2016 -0500

    Add symbolic png versions of the content icons

    This is best practice for symbolic icons nowadays.

M	data/Makefile.am
A	data/icons/16x16/garlic-content-symbolic.symbolic.png
A	data/icons/16x16/spicy-content-symbolic.symbolic.png
A	data/icons/24x24/garlic-content-symbolic.symbolic.png
A	data/icons/24x24/spicy-content-symbolic.symbolic.png
A	data/icons/32x32/garlic-content-symbolic.symbolic.png
A	data/icons/32x32/spicy-content-symbolic.symbolic.png
A	data/icons/48x48/garlic-content-symbolic.symbolic.png
A	data/icons/48x48/spicy-content-symbolic.symbolic.png

commit e923a6dc227e944fc43c2d03c2c73606c86f661c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 09:40:38 2016 -0500

    Update appdata for the next release

    This way, the information will show up in GNOME Software.

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit f5d83e8b38272719727b291e138187c5b4a9e2dd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 09:39:24 2016 -0500

    Generate NEWS from appdata

    This is the current best practice.

M	Makefile.am
D	NEWS
M	configure.ac

commit cb895472da6272b78db69b0518b886fe474b3807
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 07:01:35 2016 -0500

    Update appdata screenshot

    The details page looks much better now, lets show it off.

M	data/appdata/details.png

commit 825764fc434839366bf27e7fc27c08c61a7319e5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 06:52:42 2016 -0500

    Use the nickname on recipe tiles

    The goal is to not show the internally-used ID anywhere
    in the UI, and use the nickname instead.

M	src/gr-recipe-tile.c

commit 6da48201caa8b0cd4e0dbb9064e6fcb2f9464c6e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 06:52:01 2016 -0500

    Use the nickname for the chef link in the details page

    The goal is to not show the internally-used ID anywhere
    in the UI, and use the nickname instead.

M	src/gr-details-page.c

commit da2223b2c58675e9a879ca1a4edb8ce1b63f759e
Author: Jakub Steiner <jimmac@gmail.com>
Date:	Wed Dec 14 12:06:37 2016 +0100

    icons: spicy/garlic content warning icons

A	data/icons/symbolic/garlic-content-symbolic.svg
A	data/icons/symbolic/spicy-content-symbolic.svg

commit 6a4af8ceff45f184c1a8affd6ad9221b23328041
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 06:05:52 2016 -0500

    Set nick name from preferences

    And do away with the entry for the username. No real need
    to let the user set this internally-used ID.

M	src/gr-preferences.c
M	src/gr-preferences.ui

commit d7b7e5da04fae509078066a3c3f9c3e2072a2cc6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 14 06:04:54 2016 -0500

    Fix up preinstalled data for halfline and Bastian

    They and their recipes were not showing up properly.

M	data/Makefile.am
M	data/chefs.db
M	data/recipes.db

commit a74734a32646a46c8722142bc3d907c3c82f3f32
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 13 21:12:15 2016 -0500

    Add Bastien and halfline to the featured chefs

M	data/picks.db

commit d84140c5181cbb18b5b9d3b65051b5b416815323
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 13 21:11:53 2016 -0500

    Refine the bio section on the list page

    This is along the lines of Jakub's latest mockup.

M	src/gr-list-page.c
M	src/gr-list-page.ui
M	src/gr-window.c

commit 71921955dc3f5aab7970be3d51fde72ec51eced1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 13 21:11:03 2016 -0500

    Use nickname in chef tiles

M	src/gr-chef-tile.c

commit 44af372de7df1dff7efcb875d0f6e45a511d3c63
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 13 21:11:18 2016 -0500

    Add api to get nicknames for chefs

    Storage still tbh.

M	src/gr-chef.c
M	src/gr-chef.h

commit 5206f8a5d409cf884ddb87c46a48d32e1c8960d3
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 13 20:39:54 2016 -0500

    Add tablespoons and teaspoons to the list of units

    These should be recognized as units now.

M	src/gr-ingredients-list.c

commit bc0dffa7dfc8f48a264a82e9f05521f99eb74133
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 13 20:34:29 2016 -0500

    Redo the detail page

    This is along the lines of a new mockup by Jakub.

M	src/gr-details-page.c
M	src/gr-details-page.ui

commit 3cbc1e777dcc284497032806d7cc4ecba1b0713f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 13 20:35:05 2016 -0500

    Add api to get the units for an ingredient

M	src/gr-ingredients-list.c
M	src/gr-ingredients-list.h

commit 90720a9bff2dd761adbb3ed510ca1682bcaf23e0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 13 20:33:58 2016 -0500

    Trivial formatting fix

M	data/recipes.db

commit ca34e010c42c315a6a9d9ff1ec08c4ac8a57f98a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 13 08:50:04 2016 -0500

    We must not free name and description

    That is bad!

M	src/gr-recipe-exporter.c

commit cf5fb9a4b26dedac42decbc599c760b42415a0cd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Tue Dec 13 08:49:30 2016 -0500

    Use g_strcmp0 instead of strcmp

    Just to be on the safe side if the portal doesn't send us
    data back.

M	src/gr-images.c

commit 56e9cc9806f26fc29c194f9ab4096ddc4de0ae37
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 12 21:20:09 2016 -0500

    Update link to the design page

M	README.md

commit bc606d844e12d0a72d6594099cb5b995c3c779aa
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 12 21:13:49 2016 -0500

    Update homepage link in doap

M	recipes.doap

commit 74b3b1a0cba7d9cb06bcf9c1760a96e862068c46
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 12 17:11:34 2016 -0500

    Add a recipe for wholesome crackers by Bastian

    Second contributed recipe!

    https://bugzilla.gnome.org/show_bug.cgi?id=776015

M	data/chefs.db
A	data/images/Bastian.jpg
A	data/images/wholesale-crackers.jpg
M	data/recipes.db

commit 22f206515d263c6a3651a80aa148bed531a55794
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 12 17:06:32 2016 -0500

    Add dl to the list of units

    The ingredients parser has a lot to learn, this is just a
    small step towards making it slightly less stupid.

M	src/gr-ingredients-list.c

commit 59be4487340a282695e64901f51536d84b6497f1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 12 16:35:29 2016 -0500

    Fix up some layout issues on the details page

    We need to make our long labels wrap, or the page will grow
    infinitely wide.

M	src/gr-details-page.ui

commit 973f9a078c67b0065d6307ea42dc4c57b8ecbc63
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Dec 12 22:17:59 2016 +0100

    Use Unicode in translatable strings

    According to https://developer.gnome.org/hig/stable/typography.html

M	src/gr-cuisine.c
M	src/gr-details-page.c
M	src/gr-ingredients-list.c
M	src/gr-recipe-exporter.c
M	src/gr-recipe-importer.c
M	src/gr-recipes-page.ui

commit c36674df8be3e33d07acf798e893938ae7a503f1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Dec 12 21:56:00 2016 +0100

    Add a translator comment to the .desktop file

    To avoid at least some mistranslations of the Icon line.

M	data/org.gnome.Recipes.desktop.in

commit 9968424adb26b915b899cede98ab3dbefcc7d59b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Dec 12 16:19:56 2016 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit dcfefe3e1e487903b890e53887d4dcc8e356581c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 12 09:39:22 2016 -0500

    Move diet functions to their own files

M	src/Makefile.am
M	src/gr-category-tile.c
M	src/gr-category-tile.h
M	src/gr-diet-row.c
A	src/gr-diet.c
A	src/gr-diet.h
M	src/gr-recipe.h

commit 3d70c654d421743c4caa1d78ab890e88254c3a77
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 11 21:18:47 2016 -0500

    Add some information about dietary restrictions

    Similar to the bio section for chefs, show some general
    information for each dietary restriction.

M	src/gr-category-tile.c
M	src/gr-category-tile.h
M	src/gr-list-page.c
M	src/gr-list-page.ui

commit 5533ef27065a0dde8dd1453a5e75f0eaf929c270
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 11 20:44:55 2016 -0500

    Add a biographical section to the top of chef pages

    This is useful to let us see the information we have about our
    beloved chefs.

M	src/gr-list-page.c
M	src/gr-list-page.ui
M	src/gr-window.c

commit df482711051fa30b626a3943a70a30941fdb7d9f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 12 09:12:20 2016 -0500

    Update credits

M	src/gr-app.c

commit 987939dfa8b9879cae0d7268244c530c3fdd2352
Author: Mohammed Sadiq <sadiq@sadiqpk.org>
Date:	Mon Dec 12 16:42:19 2016 +0530

    timer-widget: set color from context

    blindly setting the color to (0, 0, 0) may not be good, as it can
    have contrast issue in different themes.

    This commit gets the GdkRGBA color and sets the cairo surface.

    https://bugzilla.gnome.org/show_bug.cgi?id=775976

M	src/gr-timer-widget.c

commit 6cb32bde144c84dbddb0aaf5fa8225d9dd34e74c
Author: Mohammed Sadiq <sadiq@sadiqpk.org>
Date:	Mon Dec 12 15:54:58 2016 +0530

    details-page: allow running timer only when time is above 0

    https://bugzilla.gnome.org/show_bug.cgi?id=775974

M	src/gr-details-page.c
M	src/gr-details-page.ui

commit 6a7861e638face309c5e4d055d63c2b783625cc0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 11 21:33:34 2016 -0500

    Avoid a segfault for Anonymous recipes

    We can't show more recipes by Anyonymous, so just hide the link.

M	src/gr-details-page.c

commit 9f90e2873f0d2d7ac3bbebaffe06262c78648c74
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 11 18:59:46 2016 -0500

    Mark units and number forms for translation

M	src/gr-ingredients-list.c

commit 8191c8de74c01d49c66d1d3b62f7963a701a6f15
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Fri Dec 9 18:56:53 2016 +0100

    Added Serbian translation

M	po/LINGUAS
A	po/sr.po

commit 3d8dca57b1a3e78a13f6a68ae619f4ae16333eca
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Fri Dec 9 11:14:06 2016 -0500

    Add a forgotten file

    I forgot to add the .ini file when I committed search provider
    support.

A	src/org.gnome.Recipes-search-provider.ini

commit ccb926b0b7e1d28c64c97262917574f03999a109
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 8 20:44:29 2016 -0500

    Fix dark theme appearance

    We can get a perfectly acceptable dark theme appearance by simply
    using colors that are defined in Adwaita, instead of hardcoding
    black/white.

    https://bugzilla.gnome.org/show_bug.cgi?id=775787

M	src/recipes.css

commit 4e5955c8d2216d0a47a056896ee8b206e7dd00b4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 8 16:14:33 2016 -0500

    Add a marker to chefs.db for where test data starts

M	data/chefs.db

commit 48f21194d406e7b8dcd7bed4def41a29e93dcbd5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 8 16:03:32 2016 -0500

    Add a recipe for tofo scramble by halfline

    First contributed recipe!

    https://bugzilla.gnome.org/show_bug.cgi?id=775715

M	data/chefs.db
A	data/images/halfline.jpg
A	data/images/tofuscramble.jpg
M	data/recipes.db

commit 746afa69db5973f033cae9b6d03a0e3c37213f54
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 8 15:52:58 2016 -0500

    Remove debug spew

M	src/gr-recipe-store.c

commit 46c2834216498e992da65cc0ed68556e7a91cab5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 8 15:40:03 2016 -0500

    Remove an unneeded string

    We shouldn't mark placeholder text that gets replaced as
    translatable. It causes unnecessary work for translators.

M	src/gr-details-page.ui

commit a652c65bbc1c6bfcb8e81be8c04080f652e8a261
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 8 15:29:37 2016 -0500

    Allow message context in translations

    It will happen sooner or later, best not to trip about it then.

M	po/Makevars

commit 37d75d635464e7215f3248532308fb521182fc44
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 8 13:55:14 2016 -0500

    Update the doap file slightly

M	recipes.doap

commit 7c66f1ca1b100758a7162fcff84165fbd08e8c43
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 8 13:39:03 2016 -0500

    Drop the TODO

    I've moved the remaining items to bugzilla.

D	TODO

commit 289c0fac4611f6f0ed75797ec31f8b4a670068d7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Thu Dec 8 07:21:14 2016 -0500

    Update appdata

    Claim credit for the search provider that we now have.

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 2188dc0043906b4c2ec5c6fb8a1f514feb492be6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 7 21:55:56 2016 -0500

    Add a shell search provider

    This makes recipes show up as search results in the shell
    overview.

M	src/Makefile.am
M	src/gr-app.c
A	src/gr-shell-search-provider.c
A	src/gr-shell-search-provider.h
M	src/gr-window.c
M	src/gr-window.h
A	src/shell-search-provider-dbus-interfaces.xml

commit a5e95a0267301235b837f7efcc794044b88cf525
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 7 20:18:46 2016 -0500

    Some more work on appdata

M	data/appdata/org.gnome.Recipes.appdata.xml.in

commit 0ead639f14acd8d357a11feb9d1d65ed21255f1a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 7 16:45:33 2016 -0500

    Don't create an empty chef for the user

M	src/gr-recipe-store.c

commit 5f6210a5650c29e377856b85ddbb8f67ee3b16d9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 7 16:45:08 2016 -0500

    Use the Account portal if available

M	src/gr-edit-page.c

commit d7cc71daa7d4c1e95f071fb5bfc4bbb4b23e3fa8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 7 15:28:16 2016 -0500

    Fix the POTFILES.in entry for the appdata file

    Its appdata, not appstream.

M	po/POTFILES.in

commit a64153a30ab2d089ccca3fdbb4cd64e0844477af
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 7 15:13:05 2016 -0500

    Fix po file syntax

M	po/es.po

commit 28de701994c77aff231cdb05e3f5c1b2938df848
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 7 15:10:01 2016 -0500

    Add es to LINGUAS

M	po/LINGUAS

commit 822f9a0c02c2b3bbbcfc7298b9c334be6ce4e7e8
Merge: cd82504 dacb414
Author: matthiasclasen <matthias.clasen@gmail.com>
Date:	Wed Dec 7 15:09:04 2016 -0500

    Merge pull request #5 from aguzanotti/patch-1

    Create es.po

commit cd825042857216b9cd6113a70cf2a25277eb31bb
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 7 14:20:09 2016 -0500

    Fixes for appdata generation

    Make sure the translations work.

M	data/Makefile.am
R100	data/appdata/org.gnome.Recipes.appdata.xml
data/appdata/org.gnome.Recipes.appdata.xml.in
M	po/POTFILES.in

commit 7eb6c9aa7c1bc7c7bf10e2e3db94ba4d0b2f5672
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 7 14:02:37 2016 -0500

    Add appdata

M	data/Makefile.am
A	data/appdata/cuisine.png
A	data/appdata/cuisines.png
A	data/appdata/details.png
A	data/appdata/edit.png
A	data/appdata/org.gnome.Recipes.appdata.xml
A	data/appdata/recipes.png

commit dacb414938185724e98dc18932d1d177321e5025
Author: aguzanotti <aguzanotti@users.noreply.github.com>
Date:	Wed Dec 7 11:13:21 2016 -0300

    Create es.po

    Initial Spanish translation

A	po/es.po

commit aee884d3fd224371ebd82442ae2470a1de18ec97
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Wed Dec 7 06:59:35 2016 -0500

    Move AC_USE_SYSTEM_EXTENSIONS up in configure.ac

    autoconf seems unhappy otherwise.

M	configure.ac

commit d1e61890c0dae0348547e7a9d49286325d2e86f0
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Tue Dec 6 12:22:31 2016 +0100

    Fix typo

M	src/gr-cuisine.c

commit a6bc4b404e93afdaea584259b494a314c5cc32bd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 5 22:25:13 2016 -0500

    Update the German translation

M	po/de.po

commit bd14392ef0d2f5bd961961a00e6368026103a9a4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 5 21:54:00 2016 -0500

    Prepopulate user data from system

    If we don't have the user id stored yet, fall back to user
    the Unix account data. Once we have an account information portal,
    we can include a user photo in here too.

    This should fix ebassi's problem where he couldn't edit his user
    data because there was a chef ebassi in the shipped database.

M	src/gr-recipe-store.c

commit 5c80db0cc319373f800ca7d61b90271d82ca0e52
Author: matthiasclasen <matthias.clasen@gmail.com>
Date:	Mon Dec 5 11:49:26 2016 -0500

    Update README.md

    Add building and testing instructions.

M	README.md

commit f20a94d4e394102aacaff3e3cbf1c9703d08ed5f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Dec 5 14:28:27 2016 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit 60244ae4322895f02e32a12a61c02c472900a8ce
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Dec 5 06:19:19 2016 -0500

    Add a doap file

A	recipes.doap

commit 3ea94bf2bbf6f4f21c1824237fa89323d417fc04
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 4 21:36:09 2016 -0500

    Improve the recipe import

    This reshuffles all the recipe import code in order to allow
    some dialogs that let the user decide about conflicts.

A	src/chef-conflict-dialog.ui
M	src/gr-recipe-importer.c
A	src/recipe-conflict-dialog.ui
M	src/recipes.gresource.xml

commit 196b4c950ca5f41c805b9c5b191bdcc9902545bd
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 4 21:35:32 2016 -0500

    Update the flatpak json manifest

M	org.gnome.Recipes.flatpak.json

commit b8d3cac1376acd2a31acb1e4e6e13c1b8e271f05
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 4 18:16:35 2016 -0500

    Remove debug spew

M	src/gr-app.c

commit c3eb5524d7a4ad05a72b78372d7de3275c42539d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 4 14:20:15 2016 -0500

    Add a script to build a flatpak bundle

A	build-bundle.sh

commit ab952ff3c8f512b01241aba9b393c9738af933b4
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 4 14:07:40 2016 -0500

    Another POTFILES update

M	po/POTFILES.in

commit 31ffcdd0da120d2f962e734317d0e3883cbe0466
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 4 14:01:36 2016 -0500

    Update POTFILES

M	po/POTFILES.in

commit f7ab33d1d3bbdcb778db420540cefbb8e0b54d92
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 4 13:59:17 2016 -0500

    Avoid an uninitialized variable warning

M	src/gr-cuisines-page.c

commit af47e9304ad4b24dc8f017881b3cd3efc31c54f5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sun Dec 4 12:21:03 2016 -0500

    Bump version to 0.2.0

M	configure.ac

commit c7d0cdbc1d0b75dcc0b03b3da53920b901cb6579
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 3 21:17:29 2016 -0500

    Move the date time formatting to shared utils

    No need to have multiple copies of this code.

M	src/gr-recipe-exporter.c
M	src/gr-recipe-importer.c
M	src/gr-recipe-store.c
M	src/gr-utils.c
M	src/gr-utils.h

commit 98bc87e96f318a1c12a04b9c1e666db3446db299
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 3 21:14:11 2016 -0500

    Some memory leak fixes

M	src/gr-recipe-exporter.c
M	src/gr-recipe-store.c
M	src/gr-recipe.c

commit 1ee9c547000fd566453d9cbe746666f817672ab7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Dec 3 20:57:29 2016 -0500

    Add a forgotten else

M	src/gr-cuisine.c

commit 07f779b17bcb51935647b6a2837f03e4ac9018fb
Author: Matthias Clasen <mclasen@redhat.com>
